#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4073e924, "sev_guest_deactivate" },
	{ 0x2e2df7f4, "irq_remapping_cap" },
	{ 0x6e3ca408, "kvm_queue_exception_p" },
	{ 0x38e3d502, "__SCK__tp_func_kvm_nested_intr_vmexit" },
	{ 0xdbb5932, "kvm_vcpu_deliver_sipi_vector" },
	{ 0xf9bf7889, "__tracepoint_kvm_inj_virq" },
	{ 0xc3fb186e, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0x57bc19d2, "down_write" },
	{ 0x86f3a176, "kvm_cpu_has_interrupt" },
	{ 0x16170ec7, "handle_fastpath_set_msr_irqoff" },
	{ 0xce807a25, "up_write" },
	{ 0x2e6a6147, "psp_copy_user_blob" },
	{ 0x6cdc8d1, "kvm_configure_mmu" },
	{ 0x48e080b1, "x86_virt_spec_ctrl" },
	{ 0xdcd005a, "kvm_make_all_cpus_request" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x9e6a5fbf, "__tracepoint_kvm_avic_kick_vcpu_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd74aa0f6, "pmc_write_counter" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x29bd3fd4, "kvm_emulate_instruction_from_buffer" },
	{ 0x388ad251, "kvm_init_mmu" },
	{ 0x306f631, "kvm_emulate_wbinvd" },
	{ 0x58b31b6c, "kvm_vcpu_reset" },
	{ 0xea8985b0, "rmp_make_shared" },
	{ 0x9ee5cd34, "kvm_zap_gfn_range" },
	{ 0x98f4d306, "hyperv_flush_guest_mapping" },
	{ 0x16fab2a3, "kvm_set_cr3" },
	{ 0x509001f9, "kvm_update_cpuid_runtime" },
	{ 0x51f5b353, "x86_decode_emulated_instruction" },
	{ 0x92d308d1, "__ct_user_enter" },
	{ 0xe7ad026b, "__SCK__kvm_x86_get_cs_db_l_bits" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd91d729c, "__SCK__tp_func_kvm_page_fault" },
	{ 0x3922bfa3, "kvm_alloc_apic_access_page" },
	{ 0x1575475c, "kvm_get_cr8" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x8370a052, "__tracepoint_kvm_vmgexit_exit" },
	{ 0x6636c3c9, "irq_set_vcpu_affinity" },
	{ 0x388e0e10, "__SCT__tp_func_kvm_pi_irte_update" },
	{ 0xf7853ad0, "__SCK__tp_func_ipi_send_cpu" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xd43adfef, "kvm_is_linear_rip" },
	{ 0x8d12ab48, "kvm_set_dr" },
	{ 0x5871cbd7, "kvm_set_msi_irq" },
	{ 0x78518fbb, "psmash" },
	{ 0xef2a0e1e, "__SCK__tp_func_kvm_rmp_fault" },
	{ 0x6da19b50, "snp_free_firmware_page" },
	{ 0xb1d4b040, "kvm_emulate_hypercall" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5fdfa2c1, "amd_pmu_enable_virt" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x709cd8cb, "kvm_spurious_fault" },
	{ 0xf5c2b84, "__put_devmap_managed_folio_refs" },
	{ 0x33ad32af, "__SCK__tp_func_kvm_vmgexit_msr_protocol_exit" },
	{ 0xdd2760a6, "misc_cg_uncharge" },
	{ 0xf46b176, "kvm_emulate_ap_reset_hold" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8597cef5, "__tracepoint_kvm_skinit" },
	{ 0xe2b82adf, "get_xsave_addr" },
	{ 0x68952493, "rcu_note_context_switch" },
	{ 0xad1036a2, "amd_iommu_activate_guest_mode" },
	{ 0xc61d087d, "load_pdptrs" },
	{ 0xf2a83764, "__tracepoint_write_msr" },
	{ 0xa588ef67, "__SCT__tp_func_kvm_nested_intercepts" },
	{ 0x5d0113e0, "x86_pred_cmd" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x99823632, "kvm_vcpu_read_guest_page" },
	{ 0x5d996b31, "kvm_set_cpu_caps" },
	{ 0xfb578fc5, "memset" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8027cfbf, "hv_track_root_tdp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb4c21830, "kvm_set_cr4" },
	{ 0x1f8e9483, "__SCT__tp_func_kvm_avic_doorbell" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0x8a14434e, "__SCK__tp_func_kvm_exit" },
	{ 0xf7d4954a, "kvm_handle_page_fault" },
	{ 0x95609b26, "context_tracking_key" },
	{ 0x6303c089, "kvm_calc_nested_tsc_offset" },
	{ 0xad43fc4c, "kvm_cpu_caps" },
	{ 0x2d82cc24, "kvm_spec_ctrl_test_value" },
	{ 0x616e6c95, "__SCT__tp_func_kvm_exit" },
	{ 0x1688bf8c, "__tracepoint_kvm_avic_unaccelerated_access" },
	{ 0xf6fc8791, "__bitmap_xor" },
	{ 0x6d16c104, "mutex_lock_killable" },
	{ 0x668b19a1, "down_read" },
	{ 0x3eb4214e, "kvm_load_guest_xsave_state" },
	{ 0x95092369, "kvm_set_cr0" },
	{ 0x986e2763, "__kvm_is_valid_cr4" },
	{ 0x4f80e319, "__ct_user_exit" },
	{ 0x94e06388, "pv_ops" },
	{ 0xd69f55db, "kvm_set_cr8" },
	{ 0x79a9a7bd, "__tracepoint_kvm_vmgexit_msr_protocol_exit" },
	{ 0xc92ec40a, "__tracepoint_kvm_invlpga" },
	{ 0x7721b0f7, "kvm_get_dr" },
	{ 0x3e93be33, "snp_lookup_rmpentry" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa2ad93d0, "kvm_update_dr7" },
	{ 0x57be4a3b, "__tracepoint_kvm_nested_intercepts" },
	{ 0x711a5261, "kvm_mmu_page_fault" },
	{ 0x276766ea, "__SCK__tp_func_kvm_nested_vmexit" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1d1b139a, "__SCT__tp_func_kvm_avic_ga_log" },
	{ 0x6a0af085, "param_ops_bool" },
	{ 0xaec5f57b, "kvm_emulate_instruction" },
	{ 0xa6729c43, "cpu_info" },
	{ 0x8f057b49, "kvm_hv_assist_page_enabled" },
	{ 0xef14fd98, "kvm_calc_nested_tsc_multiplier" },
	{ 0x5864e269, "rmp_make_private" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x25db1577, "do_trace_write_msr" },
	{ 0xaa6eedfd, "kvm_vcpu_apicv_activated" },
	{ 0x1362340f, "kvm_apic_send_ipi" },
	{ 0x9388f5b1, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xf2f8743a, "__tracepoint_read_msr" },
	{ 0x63bc4b16, "kvm_vcpu_read_guest" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1211f910, "__tracepoint_kvm_rmp_fault" },
	{ 0xc927e3e, "kvm_vcpu_on_spin" },
	{ 0x72f6bfcf, "sev_platform_init" },
	{ 0xbc9bfd90, "kvm_gmem_get_pfn" },
	{ 0x631813fb, "__SCK__tp_func_kvm_vmgexit_exit" },
	{ 0xad19d0be, "kvm_read_guest" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x196a834f, "set_page_dirty_lock" },
	{ 0x8d78f996, "kvm_vcpu_wake_up" },
	{ 0xdfb62b1b, "ms_hyperv" },
	{ 0x485cd7f6, "kvm_rebooting" },
	{ 0xec99d530, "kvm_get_rflags" },
	{ 0xfbd9e3a, "kvm_queue_exception_e" },
	{ 0xe9dc51c5, "cpu_emergency_register_virt_callback" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x6becaded, "__SCT__tp_func_kvm_inj_virq" },
	{ 0x903e2294, "alloc_pages_noprof" },
	{ 0xd09da48b, "__SCT__tp_func_kvm_nested_intr_vmexit" },
	{ 0xebefc7f4, "__tracepoint_kvm_exit" },
	{ 0x93784336, "kvm_emulate_cpuid" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x818a3658, "kvm_emulate_wrmsr" },
	{ 0xa0b10c93, "__SCK__tp_func_kvm_inj_virq" },
	{ 0xf54e2886, "__SCT__tp_func_kvm_vmgexit_msr_protocol_enter" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xee924ef5, "kvm_find_cpuid_entry_index" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x6d2c9437, "__SCT__tp_func_kvm_nested_vmenter" },
	{ 0xe3eb0afe, "kvm_vcpu_kick" },
	{ 0x59387ba3, "__SCT__kvm_x86_cache_reg" },
	{ 0x5ca0e9e5, "kvm_mmu_invlpg" },
	{ 0x73462c2c, "kvm_emulate_invd" },
	{ 0xbe576f2c, "kvm_fast_pio" },
	{ 0x50b42ba1, "entry_ibpb" },
	{ 0x69ad6ac1, "cpu_emergency_unregister_virt_callback" },
	{ 0x67f50ee1, "kvm_init_shadow_npt_mmu" },
	{ 0x47596f31, "__SCK__tp_func_kvm_ple_window_update" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xfb481948, "kvm_set_msr_common" },
	{ 0xe93dfc8c, "__SCT__tp_func_kvm_nested_vmenter_failed" },
	{ 0xf5b52d5c, "hv_vp_assist_page" },
	{ 0x4e909304, "__SCK__tp_func_kvm_nested_vmexit_inject" },
	{ 0x36c75b4e, "context_tracking" },
	{ 0xf8da908d, "kvm_intr_is_single_vcpu" },
	{ 0x3f510ff5, "kvm_has_noapic_vcpu" },
	{ 0xf1cd8929, "kvm_read_and_reset_apf_flags" },
	{ 0x4f6bba3e, "kvm_emulate_rdpmc" },
	{ 0x93a3e40e, "__SCT__tp_func_kvm_ple_window_update" },
	{ 0x843d6541, "sev_guest_decommission" },
	{ 0xb5252c00, "param_ops_int" },
	{ 0x267c7076, "__tracepoint_kvm_nested_vmexit_inject" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd86f9e1d, "__tracepoint_kvm_avic_doorbell" },
	{ 0x4e3fd1b4, "kvm_release_pfn_clean" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xcd56a19b, "kvm_sev_es_mmio_read" },
	{ 0x7ff2a104, "__SCT__tp_func_kvm_page_fault" },
	{ 0x778cc7ff, "__SCK__tp_func_kvm_vmgexit_msr_protocol_enter" },
	{ 0x48bd3e2e, "kvm_cpu_has_injectable_intr" },
	{ 0xe94c500, "kvm_skip_emulated_instruction" },
	{ 0x4263fdc5, "cc_platform_has" },
	{ 0x54f81ef7, "kvm_set_or_clear_apicv_inhibit" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x66eb7323, "kvm_handle_invalid_op" },
	{ 0x53b954a2, "up_read" },
	{ 0x2c2f5a09, "x86_family" },
	{ 0xcf509080, "kvm_caps" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xb647a4d7, "__kvm_vcpu_update_apicv" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x164cd73a, "kvm_sev_es_mmio_write" },
	{ 0x1c336a9b, "hv_flush_remote_tlbs_range" },
	{ 0xccb6ec10, "kvm_get_kvm" },
	{ 0x90d62bb1, "kvm_complete_insn_gp" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0x2a5a9f94, "kvm_apic_write_nodecode" },
	{ 0xe0e786a7, "__SCT__tp_func_kvm_skinit" },
	{ 0x9cf59e7a, "allow_smaller_maxphyaddr" },
	{ 0x84574e91, "__SCK__kvm_x86_cache_reg" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xca591a8c, "kvm_x86_vendor_init" },
	{ 0x73fc31da, "pin_user_pages_fast" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xcbaa327d, "misc_cg_set_capacity" },
	{ 0x2d131ad6, "__tracepoint_kvm_ple_window_update" },
	{ 0x3d6168e2, "__SCK__tp_func_kvm_avic_incomplete_ipi" },
	{ 0xa54c6b10, "kvm_arch_has_assigned_device" },
	{ 0x9630a4bd, "kvm_apic_match_dest" },
	{ 0xfcef00a1, "gfn_to_memslot" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x25c58aa4, "kvm_clear_guest" },
	{ 0x18582826, "amd_pmu_disable_virt" },
	{ 0x9d14205c, "cr4_read_shadow" },
	{ 0xb8bdeb6e, "kvm_host" },
	{ 0xb82c0987, "enable_pmu" },
	{ 0x75ebdb63, "kvm_requeue_exception" },
	{ 0x3e059f28, "sev_guest_activate" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x53d9f927, "__SCT__kvm_x86_get_cs_db_l_bits" },
	{ 0x75dc5009, "file_is_kvm" },
	{ 0x77ff053, "default_cpu_present_to_apicid" },
	{ 0x52b82af2, "__tracepoint_kvm_avic_ga_log" },
	{ 0xdd328f72, "__SCK__tp_func_kvm_nested_vmenter_failed" },
	{ 0xd475c188, "kvm_pmu_cap" },
	{ 0x27046576, "kvm_exit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaa0db5c6, "kvm_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x180cbf4b, "kvm_deliver_exception_payload" },
	{ 0xc071e99f, "__SCT__tp_func_kvm_entry" },
	{ 0xc31e230, "__tracepoint_kvm_avic_incomplete_ipi" },
	{ 0xd36d935d, "param_ops_ushort" },
	{ 0x888d1515, "__tracepoint_kvm_nested_vmexit" },
	{ 0x1db1c372, "enable_vmware_backdoor" },
	{ 0x1d013832, "kvm_enable_efer_bits" },
	{ 0x40a0aafc, "__flush_tlb_all" },
	{ 0x5c83bd4a, "__tracepoint_kvm_nested_vmenter" },
	{ 0x2510fc6d, "__SCT__tp_func_kvm_nested_vmexit" },
	{ 0xbd9d6dfc, "kvm_mmu_set_me_spte_mask" },
	{ 0x8a7fe54a, "__SCT__tp_func_kvm_vmgexit_enter" },
	{ 0xfeea58f2, "srso_alias_untrain_ret" },
	{ 0xdc640977, "kvm_emulate_xsetbv" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa38f21b9, "amd_iommu_update_ga" },
	{ 0x832640c7, "snp_alloc_firmware_page" },
	{ 0xafa6bd53, "__SCK__tp_func_kvm_cr" },
	{ 0xd766ccd0, "kvm_apicv_activated" },
	{ 0xb0455e84, "snp_leak_pages" },
	{ 0xb4503362, "do_machine_check" },
	{ 0x847fb222, "__tracepoint_kvm_vmgexit_msr_protocol_enter" },
	{ 0xce576a13, "enable_apicv" },
	{ 0xad9b683b, "__SCT__tp_func_kvm_rmp_fault" },
	{ 0xd1e664f, "handle_ud" },
	{ 0x4942be67, "__SCT__tp_func_kvm_avic_incomplete_ipi" },
	{ 0xbad29fbf, "kvm_mmu_new_pgd" },
	{ 0x95916784, "unpin_user_pages" },
	{ 0xa4b044, "amd_iommu_deactivate_guest_mode" },
	{ 0xcd579455, "kvm_post_set_cr4" },
	{ 0x3df43fdc, "__SCK__tp_func_kvm_nested_intercepts" },
	{ 0x63517381, "__tracepoint_kvm_nested_vmenter_failed" },
	{ 0x3fff6f5b, "kvm_get_msr_common" },
	{ 0xefe29df8, "__SCK__tp_func_kvm_avic_ga_log" },
	{ 0x79da6c23, "kvm_gmem_populate" },
	{ 0x51a249e5, "smp_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x712eb8b4, "__SCK__tp_func_kvm_nested_vmenter" },
	{ 0x999dfa42, "pcpu_hot" },
	{ 0xfb5b0eac, "kvm_hv_get_assist_page" },
	{ 0x6340434e, "x86_model" },
	{ 0x9c167ffa, "kvm_emulate_halt" },
	{ 0x1bdae733, "__SCK__tp_func_kvm_vmgexit_enter" },
	{ 0x3432663e, "kvm_emulate_mwait" },
	{ 0x70bc552a, "kvm_vcpu_map" },
	{ 0x7467c976, "__SCK__tp_func_kvm_invlpga" },
	{ 0x7168ae05, "__SCK__tp_func_kvm_skinit" },
	{ 0x2ae53046, "kvm_msr_allowed" },
	{ 0x687b78fc, "kvm_x86_vendor_exit" },
	{ 0xe2226c3e, "kvm_wait_lapic_expire" },
	{ 0x6393b94e, "hv_flush_remote_tlbs" },
	{ 0xa5fa7228, "sev_issue_cmd_external_user" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3e1fea2c, "kvm_put_kvm" },
	{ 0xe1a794a2, "perf_event_read_value" },
	{ 0x9493fc86, "node_states" },
	{ 0x61b443f8, "x86_spec_ctrl_current" },
	{ 0xa1cc0afe, "kvm_find_cpuid_entry" },
	{ 0xc30a0af2, "kvm_task_switch" },
	{ 0x5388b1a0, "amd_get_dr_addr_mask" },
	{ 0x5c8c2a9e, "__SCK__tp_func_kvm_avic_unaccelerated_access" },
	{ 0x39e3c030, "do_trace_read_msr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe1553535, "kvm_write_guest" },
	{ 0x6d3c61f4, "misc_cg_try_charge" },
	{ 0x155a42c8, "kvm_sev_es_string_io" },
	{ 0x6bd2f25c, "__tracepoint_kvm_cr" },
	{ 0x6ada8f59, "kvm_mmu_set_mmio_spte_mask" },
	{ 0x53614ec, "kvm_set_user_return_msr" },
	{ 0x22de4931, "amd_iommu_register_ga_log_notifier" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x778e30b9, "__SCT__tp_func_kvm_cr" },
	{ 0x3660fcb6, "kvm_emulate_monitor" },
	{ 0x3b04a798, "kvm_requeue_exception_e" },
	{ 0xb43094cc, "__tracepoint_kvm_vmgexit_enter" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xdcf29537, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x5c7e9f84, "__SCT__tp_func_kvm_apicv_accept_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc96d35f4, "report_ignored_msrs" },
	{ 0x4a1c261b, "__SCT__tp_func_kvm_invlpga" },
	{ 0x5f911332, "__SCT__tp_func_kvm_avic_kick_vcpu_slowpath" },
	{ 0x7ea56f98, "kvm_queue_exception" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b4747dd, "kvm_emulate_rdmsr" },
	{ 0xcff45f4, "__SCT__tp_func_kvm_vmgexit_msr_protocol_exit" },
	{ 0x793ac193, "__SCT__tp_func_ipi_send_cpu" },
	{ 0xa2442edb, "__tracepoint_kvm_apicv_accept_irq" },
	{ 0xab6b658c, "__tracepoint_kvm_pi_irte_update" },
	{ 0x8fac14a2, "sev_guest_df_flush" },
	{ 0x26778ef6, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0x8b618aa6, "__SCT__tp_func_kvm_nested_vmexit_inject" },
	{ 0xa4f47af0, "kvm_vcpu_unmap" },
	{ 0x293ce44e, "kvm_post_set_cr0" },
	{ 0x46a3748c, "__free_pages" },
	{ 0x7fe19488, "kvm_add_user_return_msr" },
	{ 0x6e7e8ac, "__tracepoint_kvm_nested_intr_vmexit" },
	{ 0x162ec039, "kvm_valid_efer" },
	{ 0x81472f2, "__tracepoint_ipi_send_cpu" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x86c66072, "__SCK__tp_func_kvm_pi_irte_update" },
	{ 0xfab33e4c, "enable_mmio_caching" },
	{ 0x4a2de3c2, "kvm_set_rflags" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x58113bca, "__SCK__tp_func_kvm_apicv_accept_irq" },
	{ 0x7785ede2, "__SCK__tp_func_kvm_avic_doorbell" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x5aa5c05e, "__SCK__tp_func_kvm_entry" },
	{ 0x6e689ab7, "split_page" },
	{ 0x15f0ed95, "__SCK__tp_func_kvm_avic_kick_vcpu_slowpath" },
	{ 0x48644036, "__SCT__tp_func_kvm_vmgexit_exit" },
	{ 0xf32dff97, "__SCT__tp_func_kvm_avic_unaccelerated_access" },
	{ 0xd6624dcb, "kvm_handle_invpcid" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x71706148, "__tracepoint_kvm_entry" },
	{ 0x11a1c9d1, "mark_page_accessed" },
	{ 0xf93086a5, "kvm_load_host_xsave_state" },
	{ 0x3e58646c, "__tracepoint_kvm_page_fault" },
	{ 0x177a82c3, "entry_untrain_ret" },
	{ 0x3e3b5766, "sev_do_cmd" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "ccp,kvm");

MODULE_ALIAS("cpu:type:x86,ven*fam*mod*:feature:*00C2*");

MODULE_INFO(srcversion, "329051994E3714DFF10CBD5");
