#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(af_alg_register_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_unregister_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_release, "_gpl", "");
KSYMTAB_FUNC(af_alg_release_parent, "_gpl", "");
KSYMTAB_FUNC(af_alg_accept, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_sg, "_gpl", "");
KSYMTAB_FUNC(af_alg_count_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_pull_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_wmem_wakeup, "_gpl", "");
KSYMTAB_FUNC(af_alg_wait_for_data, "_gpl", "");
KSYMTAB_FUNC(af_alg_sendmsg, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_resources, "_gpl", "");
KSYMTAB_FUNC(af_alg_async_cb, "_gpl", "");
KSYMTAB_FUNC(af_alg_poll, "_gpl", "");
KSYMTAB_FUNC(af_alg_alloc_areq, "_gpl", "");
KSYMTAB_FUNC(af_alg_get_rsgl, "_gpl", "");

SYMBOL_CRC(af_alg_register_type, 0x37af1265, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0x5b8f7f9b, "_gpl");
SYMBOL_CRC(af_alg_release, 0x857cc262, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0xa8d1bba5, "_gpl");
SYMBOL_CRC(af_alg_accept, 0x54deae11, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0xd1191f4f, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0x202bfd6b, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0x2854fa97, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0xfe459eeb, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0xe90a5cd4, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0x9bd20b66, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0xe630e31a, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0xb1107b8e, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0xf8dcd53f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xce807a25, "up_write" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f7e3197, "sk_alloc" },
	{ 0x8c77bae1, "sock_init_data" },
	{ 0x4427de84, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xdaeee03c, "sock_kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xcc07be6c, "extract_iter_to_sg" },
	{ 0x42a3d17d, "proto_register" },
	{ 0x1521f8d2, "sock_register" },
	{ 0x722ab68b, "proto_unregister" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xd595bb51, "try_module_get" },
	{ 0xfd4b5716, "lock_sock_nested" },
	{ 0x24228f2c, "release_sock" },
	{ 0xe312dff8, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x99cb1c0a, "sk_free" },
	{ 0x2d52556, "security_sock_graft" },
	{ 0xb5f98cc5, "security_sk_clone" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5b472cce, "sock_wake_async" },
	{ 0xcaa459fb, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9388f5b1, "__folio_put" },
	{ 0xf5c2b84, "__put_devmap_managed_folio_refs" },
	{ 0x26778ef6, "const_pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe424612c, "_copy_from_iter" },
	{ 0x903e2294, "alloc_pages_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x299ba33c, "iov_iter_revert" },
	{ 0x46a3748c, "__free_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0xe5f04153, "key_put" },
	{ 0xcef57cbd, "sock_kzfree_s" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x60044d3, "sock_no_connect" },
	{ 0x4d5770c3, "sock_no_socketpair" },
	{ 0x4c2f726e, "sock_no_getname" },
	{ 0x4a3a6154, "sock_no_ioctl" },
	{ 0x7fafe856, "sock_no_listen" },
	{ 0xb60ad50c, "sock_no_shutdown" },
	{ 0x9edb166b, "sock_no_sendmsg" },
	{ 0xd23abc59, "sock_no_recvmsg" },
	{ 0xbf44eb16, "sock_no_mmap" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E26F094326DCF0D34FCB9C9");
