#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(bmc150_regmap_conf, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_probe, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_remove, "_gpl", "IIO_BMC150");
KSYMTAB_DATA(bmc150_accel_pm_ops, "_gpl", "IIO_BMC150");

SYMBOL_CRC(bmc150_regmap_conf, 0xb9b7ce5d, "_gpl");
SYMBOL_CRC(bmc150_accel_core_probe, 0x2fa9d751, "_gpl");
SYMBOL_CRC(bmc150_accel_core_remove, 0x1cf8d7af, "_gpl");
SYMBOL_CRC(bmc150_accel_pm_ops, 0x5efd5c9b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e07e153, "__pm_runtime_disable" },
	{ 0x616cff5f, "__pm_runtime_set_status" },
	{ 0xaf70cb9a, "iio_trigger_unregister" },
	{ 0x4b10318d, "iio_triggered_buffer_cleanup" },
	{ 0xc65377de, "regulator_bulk_disable" },
	{ 0x5913bbc7, "devm_iio_device_alloc" },
	{ 0xf6dedda8, "is_acpi_device_node" },
	{ 0xf275b902, "iio_read_mount_matrix" },
	{ 0xd3ec8794, "devm_regulator_bulk_get" },
	{ 0xe7eadefd, "regulator_bulk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x55349be7, "acpi_device_hid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x3d0ba9b8, "iio_read_acpi_mount_matrix" },
	{ 0x97b991c6, "dev_err_probe" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xd660f9d2, "iio_triggered_buffer_setup_ext" },
	{ 0x5c0c50c1, "devm_request_threaded_irq" },
	{ 0xa12b0767, "iio_device_id" },
	{ 0x7fbecad0, "__devm_iio_trigger_alloc" },
	{ 0xbab0ae6a, "iio_trigger_register" },
	{ 0x84d39945, "pm_runtime_enable" },
	{ 0x5fc6bb71, "pm_runtime_set_autosuspend_delay" },
	{ 0x665a6601, "__pm_runtime_use_autosuspend" },
	{ 0x22478e81, "__iio_device_register" },
	{ 0x5a0bc6c4, "iio_read_const_attr" },
	{ 0x503b4be, "iio_show_mount_matrix" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8633cdf8, "regmap_write" },
	{ 0x22968646, "regmap_get_device" },
	{ 0x2235dd05, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc0dd455d, "iio_get_time_ns" },
	{ 0x97b84157, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x539be0eb, "regmap_update_bits_base" },
	{ 0x4989fb02, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4f0c7fa3, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xfdf6bdbe, "__pm_runtime_suspend" },
	{ 0x8ecfb0b8, "regmap_read" },
	{ 0x4eaa8298, "iio_buffer_enabled" },
	{ 0xf98c8b06, "regmap_bulk_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x383e8551, "iio_device_get_current_mode" },
	{ 0x4ccf4a57, "regmap_raw_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xca91af15, "iio_push_to_buffers" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb474ba07, "iio_push_event" },
	{ 0x12283c04, "iio_trigger_notify_done" },
	{ 0x82a01aa, "iio_device_unregister" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "02581253527BAA6A2F48A4D");
