#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x32a4ac0b, "blk_mq_free_request" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8b4047b2, "mmc_crypto_setup_queue" },
	{ 0x8fc71ffc, "mmc_cmdq_enable" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xb2b01708, "debugfs_attr_read" },
	{ 0xd0bc807b, "mmc_prepare_busy_cmd" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa8cad3aa, "bus_unregister" },
	{ 0x2235dd05, "_dev_err" },
	{ 0x499c5a3b, "blk_update_request" },
	{ 0xdbaa8212, "debugfs_create_file_unsafe" },
	{ 0x24eef9d8, "string_get_size" },
	{ 0xbd65ac7e, "simple_attr_release" },
	{ 0xbf79f4, "mmc_crypto_prepare_req" },
	{ 0x7139e468, "set_capacity" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xada345e7, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xaf77ba4c, "mmc_set_data_timeout" },
	{ 0x8634b7d0, "__blk_rq_map_sg" },
	{ 0xe95a2644, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0x8f2b9509, "mmc_retune_pause" },
	{ 0xba23be07, "blk_mq_free_tag_set" },
	{ 0xd6fdb33c, "del_gendisk" },
	{ 0x3faef7c7, "mmc_cqe_recovery" },
	{ 0xe3d6aa11, "mmc_can_secure_erase_trim" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4992ff6f, "mmc_poll_for_busy" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe103618d, "mmc_detect_card_removed" },
	{ 0xfaef0639, "default_llseek" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15281c75, "mmc_wait_for_req" },
	{ 0xa253897a, "mmc_release_host" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5138dc35, "mmc_switch" },
	{ 0x7d4a65b9, "nonseekable_open" },
	{ 0x8490805a, "mmc_get_ext_csd" },
	{ 0x2d89c7af, "mmc_register_driver" },
	{ 0x9d54c47c, "mmc_cqe_start_req" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2225ee56, "blk_mq_complete_request" },
	{ 0xd4514300, "debugfs_create_file" },
	{ 0xe62004e1, "dma_get_merge_boundary" },
	{ 0x10df847b, "mmc_can_trim" },
	{ 0x84d63557, "__mmc_poll_for_busy" },
	{ 0xf2b28e52, "mmc_app_cmd" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x4f0c7fa3, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4618027f, "mmc_put_card" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x93fe665b, "mmc_retune_release" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xc19e8808, "mmc_cmdq_disable" },
	{ 0xeecc2dc1, "mmc_erase" },
	{ 0xf3d38e7b, "mmc_wait_for_cmd" },
	{ 0xea456ac6, "mmc_hw_reset" },
	{ 0xd916d723, "blk_mq_start_request" },
	{ 0xcc447f9f, "__mmc_send_status" },
	{ 0x13d088d2, "mmc_send_status" },
	{ 0x665a6601, "__pm_runtime_use_autosuspend" },
	{ 0xb5252c00, "param_ops_int" },
	{ 0xa4a28ec3, "blk_mq_run_hw_queues" },
	{ 0x6e07e153, "__pm_runtime_disable" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xc7011c71, "blk_mq_requeue_request" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xa53fc1f1, "cdev_init" },
	{ 0x3419dfe, "blk_queue_rq_timeout" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0xa0085bda, "mmc_retune_unpause" },
	{ 0x1c16f6ad, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x66b8c7da, "__blk_mq_end_request" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x718dda1b, "mmc_run_bkops" },
	{ 0x304c8f45, "set_disk_ro" },
	{ 0x72eb0fdd, "mmc_unregister_driver" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd761c3e6, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x45a6d548, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5f4d33, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x197c2564, "mmc_cqe_post_req" },
	{ 0x47be3b22, "cdev_device_del" },
	{ 0x209d5d97, "mmc_calc_max_discard" },
	{ 0x5fc6bb71, "pm_runtime_set_autosuspend_delay" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x38f893af, "mmc_get_card" },
	{ 0x15ef170, "mmc_can_erase" },
	{ 0x71a46629, "mmc_card_alternative_gpt_sector" },
	{ 0x7e678633, "device_initialize" },
	{ 0x7c6c55b8, "blk_mq_unquiesce_queue" },
	{ 0xbe38c99e, "mmc_sanitize" },
	{ 0x9d1b0c82, "blk_mq_quiesce_queue" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xb90b6502, "mmc_erase_group_aligned" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1830d489, "get_device" },
	{ 0x1a16d712, "blk_mq_end_request" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb998317e, "__blk_mq_alloc_disk" },
	{ 0x4989fb02, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8dea2b7b, "blk_mq_alloc_tag_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x616cff5f, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x2f1433af, "put_disk" },
	{ 0x62d03cec, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0x59b0b3c0, "__mmc_claim_host" },
	{ 0x9709b78d, "mmc_start_request" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x54977902, "blk_execute_rq" },
	{ 0x4d6d041, "put_device" },
	{ 0x84d39945, "pm_runtime_enable" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");


MODULE_INFO(srcversion, "6C4CFC17AA92E15DC5274BD");
