#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_state_get_by_berr_counter, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_threaded_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_manual, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_enable, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_del, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x8e639922, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x350bc837, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x364b02c7, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x463e6e0a, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x684da4fb, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x0093fd12, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x7902a00e, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x60a1d7bb, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_state_get_by_berr_counter, 0x912de7c4, "_gpl");
SYMBOL_CRC(can_change_state, 0xed77b8ff, "_gpl");
SYMBOL_CRC(can_bus_off, 0xe7ce57d1, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x391079d9, "_gpl");
SYMBOL_CRC(free_candev, 0x0b7ccfba, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x52b7555a, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x802c4e90, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0xff44f0f9, "");
SYMBOL_CRC(open_candev, 0x7df29110, "_gpl");
SYMBOL_CRC(close_candev, 0x06aa730a, "_gpl");
SYMBOL_CRC(register_candev, 0xe419cdff, "_gpl");
SYMBOL_CRC(unregister_candev, 0x7a97dce0, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x5b63eed2, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x5aab91dc, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_timestamp, 0x963dee5e, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_fifo, 0x097175e0, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_timestamp, 0xd71a5613, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_timestamp, 0x665f0ca6, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_tail, 0x4c1a0078, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_tail, 0x0b349098, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_finish, 0xa2a4c354, "_gpl");
SYMBOL_CRC(can_rx_offload_threaded_irq_finish, 0x8348fad3, "_gpl");
SYMBOL_CRC(can_rx_offload_add_timestamp, 0x69159e50, "_gpl");
SYMBOL_CRC(can_rx_offload_add_fifo, 0x5df83a10, "_gpl");
SYMBOL_CRC(can_rx_offload_add_manual, 0x586fe5e8, "_gpl");
SYMBOL_CRC(can_rx_offload_enable, 0xc2c39648, "_gpl");
SYMBOL_CRC(can_rx_offload_del, 0x260d8058, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfef1369a, "skb_dequeue" },
	{ 0x5160395a, "rtnl_link_register" },
	{ 0x999dfa42, "pcpu_hot" },
	{ 0x30f6061c, "netdev_warn" },
	{ 0xe2d5b324, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4e779bfe, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4989fb02, "__dynamic_dev_dbg" },
	{ 0x2a77b0ce, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd3240032, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x81354f76, "napi_complete_done" },
	{ 0x5a7f786c, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe84a8b87, "__napi_schedule" },
	{ 0x33f07c49, "device_property_read_u32_array" },
	{ 0xaa8cd959, "rtnl_link_unregister" },
	{ 0xe47ceaaf, "sk_skb_reason_drop" },
	{ 0xad67897f, "napi_enable" },
	{ 0x1d0555d6, "netif_receive_skb" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xfa148379, "register_netdev" },
	{ 0x5a0adce9, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc3c661e, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x745abf77, "netif_rx" },
	{ 0x61fca569, "__netdev_alloc_skb" },
	{ 0x56610c1b, "skb_trim" },
	{ 0x9a1d3f3f, "__dynamic_netdev_dbg" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfa4ae030, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x56f27e9a, "skb_clone" },
	{ 0x26dc6d43, "netif_carrier_on" },
	{ 0x97b991c6, "dev_err_probe" },
	{ 0x59fa64f, "napi_schedule_prep" },
	{ 0x7c104481, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb87c2871, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbe4dd0e9, "skb_put" },
	{ 0xb7a20f31, "gpiod_set_value" },
	{ 0xcd11291d, "skb_tstamp_tx" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe878f206, "consume_skb" },
	{ 0xfbd2489d, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xadbe1206, "unregister_netdev" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "803C2919CA57762AEA077AD");
