#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(liquidio_set_ethtool_ops, "_gpl", "");
KSYMTAB_FUNC(lio_delete_glists, "_gpl", "");
KSYMTAB_FUNC(lio_setup_glists, "_gpl", "");
KSYMTAB_FUNC(liquidio_set_feature, "_gpl", "");
KSYMTAB_FUNC(liquidio_link_ctrl_cmd_completion, "_gpl", "");
KSYMTAB_FUNC(setup_rx_oom_poll_fn, "_gpl", "");
KSYMTAB_FUNC(cleanup_rx_oom_poll_fn, "_gpl", "");
KSYMTAB_FUNC(liquidio_setup_io_queues, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_interrupt, "_gpl", "");
KSYMTAB_FUNC(liquidio_change_mtu, "_gpl", "");
KSYMTAB_FUNC(lio_wait_for_clean_oq, "_gpl", "");
KSYMTAB_FUNC(lio_fetch_stats, "_gpl", "");
KSYMTAB_FUNC(liquidio_get_speed, "_gpl", "");
KSYMTAB_FUNC(liquidio_get_fec, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_instr_queue, "_gpl", "");
KSYMTAB_FUNC(lio_wait_for_instr_fetch, "_gpl", "");
KSYMTAB_FUNC(octeon_ring_doorbell_locked, "_gpl", "");
KSYMTAB_FUNC(octeon_register_reqtype_free_fn, "_gpl", "");
KSYMTAB_FUNC(lio_process_iq_request_list, "_gpl", "");
KSYMTAB_FUNC(octeon_send_command, "_gpl", "");
KSYMTAB_FUNC(octeon_prepare_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_send_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_sc_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(octeon_free_sc_done_list, "_gpl", "");
KSYMTAB_FUNC(octeon_free_sc_zombie_list, "_gpl", "");
KSYMTAB_FUNC(octeon_free_sc_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(octeon_alloc_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_free_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_response_list, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_response_list, "_gpl", "");
KSYMTAB_FUNC(lio_process_ordered_list, "_gpl", "");
KSYMTAB_FUNC(octeon_init_device_list, "_gpl", "");
KSYMTAB_FUNC(lio_get_state_string, "_gpl", "");
KSYMTAB_FUNC(octeon_free_device_mem, "_gpl", "");
KSYMTAB_FUNC(octeon_allocate_device, "_gpl", "");
KSYMTAB_FUNC(octeon_register_device, "_gpl", "");
KSYMTAB_FUNC(octeon_deregister_device, "_gpl", "");
KSYMTAB_FUNC(octeon_allocate_ioq_vector, "_gpl", "");
KSYMTAB_FUNC(octeon_free_ioq_vector, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_instr_queues, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_output_queues, "_gpl", "");
KSYMTAB_FUNC(octeon_set_io_queues_off, "_gpl", "");
KSYMTAB_FUNC(octeon_init_dispatch_list, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_dispatch_list, "_gpl", "");
KSYMTAB_FUNC(octeon_register_dispatch_fn, "_gpl", "");
KSYMTAB_FUNC(octeon_core_drv_init, "_gpl", "");
KSYMTAB_FUNC(octeon_get_tx_qsize, "_gpl", "");
KSYMTAB_FUNC(octeon_get_rx_qsize, "_gpl", "");
KSYMTAB_FUNC(octeon_get_conf, "_gpl", "");
KSYMTAB_FUNC(lio_get_device, "_gpl", "");
KSYMTAB_FUNC(lio_pci_readq, "_gpl", "");
KSYMTAB_FUNC(lio_pci_writeq, "_gpl", "");
KSYMTAB_FUNC(octeon_mem_access_ok, "_gpl", "");
KSYMTAB_FUNC(octeon_wait_for_ddr_init, "_gpl", "");
KSYMTAB_FUNC(lio_enable_irq, "_gpl", "");
KSYMTAB_FUNC(lio_setup_cn66xx_octeon_device, "_gpl", "");
KSYMTAB_FUNC(lio_setup_cn68xx_octeon_device, "_gpl", "");
KSYMTAB_FUNC(setup_cn23xx_octeon_pf_device, "_gpl", "");
KSYMTAB_FUNC(cn23xx_fw_loaded, "_gpl", "");
KSYMTAB_FUNC(cn23xx_tell_vf_its_macaddr_changed, "_gpl", "");
KSYMTAB_FUNC(cn23xx_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(cn23xx_vf_ask_pf_to_do_flr, "_gpl", "");
KSYMTAB_FUNC(cn23xx_octeon_pfvf_handshake, "_gpl", "");
KSYMTAB_FUNC(cn23xx_setup_octeon_vf_device, "_gpl", "");
KSYMTAB_FUNC(octeon_pci_read_core_mem, "_gpl", "");
KSYMTAB_FUNC(octeon_pci_write_core_mem, "_gpl", "");
KSYMTAB_FUNC(octeon_read_device_mem64, "_gpl", "");
KSYMTAB_FUNC(octeon_read_device_mem32, "_gpl", "");
KSYMTAB_FUNC(octeon_write_device_mem32, "_gpl", "");
KSYMTAB_FUNC(octeon_droq_check_hw_for_pkts, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_droq, "_gpl", "");
KSYMTAB_FUNC(octeon_droq_process_packets, "_gpl", "");
KSYMTAB_FUNC(octeon_unregister_droq_ops, "_gpl", "");
KSYMTAB_FUNC(octeon_alloc_soft_command_resp, "_gpl", "");
KSYMTAB_FUNC(octnet_send_nic_data_pkt, "_gpl", "");
KSYMTAB_FUNC(octnet_send_nic_ctrl_pkt, "_gpl", "");

SYMBOL_CRC(liquidio_set_ethtool_ops, 0x60776fd4, "_gpl");
SYMBOL_CRC(lio_delete_glists, 0x909c7452, "_gpl");
SYMBOL_CRC(lio_setup_glists, 0x68c6051a, "_gpl");
SYMBOL_CRC(liquidio_set_feature, 0x67a4a05e, "_gpl");
SYMBOL_CRC(liquidio_link_ctrl_cmd_completion, 0x19cb4e69, "_gpl");
SYMBOL_CRC(setup_rx_oom_poll_fn, 0x67ab2832, "_gpl");
SYMBOL_CRC(cleanup_rx_oom_poll_fn, 0xc27279d3, "_gpl");
SYMBOL_CRC(liquidio_setup_io_queues, 0x1177090a, "_gpl");
SYMBOL_CRC(octeon_setup_interrupt, 0x59f0c2c6, "_gpl");
SYMBOL_CRC(liquidio_change_mtu, 0x0698de6b, "_gpl");
SYMBOL_CRC(lio_wait_for_clean_oq, 0xf24ce5b7, "_gpl");
SYMBOL_CRC(lio_fetch_stats, 0x241a2a6c, "_gpl");
SYMBOL_CRC(liquidio_get_speed, 0xdb54c002, "_gpl");
SYMBOL_CRC(liquidio_get_fec, 0x673bee9c, "_gpl");
SYMBOL_CRC(octeon_delete_instr_queue, 0x77a0f0bc, "_gpl");
SYMBOL_CRC(lio_wait_for_instr_fetch, 0x2d665288, "_gpl");
SYMBOL_CRC(octeon_ring_doorbell_locked, 0x795a5eb7, "_gpl");
SYMBOL_CRC(octeon_register_reqtype_free_fn, 0xe2449151, "_gpl");
SYMBOL_CRC(lio_process_iq_request_list, 0xef0581a1, "_gpl");
SYMBOL_CRC(octeon_send_command, 0xb04af3d1, "_gpl");
SYMBOL_CRC(octeon_prepare_soft_command, 0x1365595c, "_gpl");
SYMBOL_CRC(octeon_send_soft_command, 0xb596207a, "_gpl");
SYMBOL_CRC(octeon_setup_sc_buffer_pool, 0x8b5aa5e9, "_gpl");
SYMBOL_CRC(octeon_free_sc_done_list, 0xe25b602d, "_gpl");
SYMBOL_CRC(octeon_free_sc_zombie_list, 0x7c0f6e23, "_gpl");
SYMBOL_CRC(octeon_free_sc_buffer_pool, 0xd3788081, "_gpl");
SYMBOL_CRC(octeon_alloc_soft_command, 0xfb0716f6, "_gpl");
SYMBOL_CRC(octeon_free_soft_command, 0x11b1f6e8, "_gpl");
SYMBOL_CRC(octeon_setup_response_list, 0xd1da1435, "_gpl");
SYMBOL_CRC(octeon_delete_response_list, 0x1d04457c, "_gpl");
SYMBOL_CRC(lio_process_ordered_list, 0xaacaa3b1, "_gpl");
SYMBOL_CRC(octeon_init_device_list, 0x6d0d28ef, "_gpl");
SYMBOL_CRC(lio_get_state_string, 0xec7f00a5, "_gpl");
SYMBOL_CRC(octeon_free_device_mem, 0x0de7fb62, "_gpl");
SYMBOL_CRC(octeon_allocate_device, 0xf31493ed, "_gpl");
SYMBOL_CRC(octeon_register_device, 0x817b4022, "_gpl");
SYMBOL_CRC(octeon_deregister_device, 0x0c64576b, "_gpl");
SYMBOL_CRC(octeon_allocate_ioq_vector, 0x3a2ababb, "_gpl");
SYMBOL_CRC(octeon_free_ioq_vector, 0x3ae8780a, "_gpl");
SYMBOL_CRC(octeon_setup_instr_queues, 0x560e20bb, "_gpl");
SYMBOL_CRC(octeon_setup_output_queues, 0x6c38adbf, "_gpl");
SYMBOL_CRC(octeon_set_io_queues_off, 0x2c368697, "_gpl");
SYMBOL_CRC(octeon_init_dispatch_list, 0xd2f9948e, "_gpl");
SYMBOL_CRC(octeon_delete_dispatch_list, 0x347b8ced, "_gpl");
SYMBOL_CRC(octeon_register_dispatch_fn, 0xf783f351, "_gpl");
SYMBOL_CRC(octeon_core_drv_init, 0xc6abc5b1, "_gpl");
SYMBOL_CRC(octeon_get_tx_qsize, 0x93b60fc1, "_gpl");
SYMBOL_CRC(octeon_get_rx_qsize, 0x80b184e3, "_gpl");
SYMBOL_CRC(octeon_get_conf, 0x8eae1ea3, "_gpl");
SYMBOL_CRC(lio_get_device, 0x93d3ee77, "_gpl");
SYMBOL_CRC(lio_pci_readq, 0x88640dd8, "_gpl");
SYMBOL_CRC(lio_pci_writeq, 0x584cbcec, "_gpl");
SYMBOL_CRC(octeon_mem_access_ok, 0xbfd35836, "_gpl");
SYMBOL_CRC(octeon_wait_for_ddr_init, 0x51b4389d, "_gpl");
SYMBOL_CRC(lio_enable_irq, 0xff491a2e, "_gpl");
SYMBOL_CRC(lio_setup_cn66xx_octeon_device, 0x063a23bc, "_gpl");
SYMBOL_CRC(lio_setup_cn68xx_octeon_device, 0x6e693ea7, "_gpl");
SYMBOL_CRC(setup_cn23xx_octeon_pf_device, 0xc43b90f4, "_gpl");
SYMBOL_CRC(cn23xx_fw_loaded, 0x58e4d14b, "_gpl");
SYMBOL_CRC(cn23xx_tell_vf_its_macaddr_changed, 0xb1cced83, "_gpl");
SYMBOL_CRC(cn23xx_get_vf_stats, 0x6347409e, "_gpl");
SYMBOL_CRC(cn23xx_vf_ask_pf_to_do_flr, 0xf08fe9e0, "_gpl");
SYMBOL_CRC(cn23xx_octeon_pfvf_handshake, 0x384826d3, "_gpl");
SYMBOL_CRC(cn23xx_setup_octeon_vf_device, 0x8165082e, "_gpl");
SYMBOL_CRC(octeon_pci_read_core_mem, 0x027b6294, "_gpl");
SYMBOL_CRC(octeon_pci_write_core_mem, 0xacac985b, "_gpl");
SYMBOL_CRC(octeon_read_device_mem64, 0x6b262646, "_gpl");
SYMBOL_CRC(octeon_read_device_mem32, 0x7aaf2dfc, "_gpl");
SYMBOL_CRC(octeon_write_device_mem32, 0x4ec6f3b2, "_gpl");
SYMBOL_CRC(octeon_droq_check_hw_for_pkts, 0xefbacd00, "_gpl");
SYMBOL_CRC(octeon_delete_droq, 0x48c3d94c, "_gpl");
SYMBOL_CRC(octeon_droq_process_packets, 0x93235453, "_gpl");
SYMBOL_CRC(octeon_unregister_droq_ops, 0x4fb77529, "_gpl");
SYMBOL_CRC(octeon_alloc_soft_command_resp, 0x5049c780, "_gpl");
SYMBOL_CRC(octnet_send_nic_data_pkt, 0xc7c6552f, "_gpl");
SYMBOL_CRC(octnet_send_nic_ctrl_pkt, 0x3162ba4a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x618911fc, "numa_node" },
	{ 0x46a3748c, "__free_pages" },
	{ 0xd011aa6a, "_dev_info" },
	{ 0x3fe48b2e, "napi_gro_receive" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe173077, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x2235dd05, "_dev_err" },
	{ 0xc0a8d924, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8ca6343a, "netif_set_real_num_tx_queues" },
	{ 0x86b5d0d1, "netif_set_real_num_rx_queues" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd50d2ca, "dma_alloc_attrs" },
	{ 0x95bd9eef, "pcie_flr" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0xf5c2b84, "__put_devmap_managed_folio_refs" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x81bfc24a, "ethtool_op_get_link" },
	{ 0x6288635e, "netif_set_xps_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5dd6d5eb, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x3c21bf18, "_dev_warn" },
	{ 0xae2d0837, "__kmalloc_cache_node_noprof" },
	{ 0x54778001, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x61fca569, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb219157, "_dev_notice" },
	{ 0x492ca35, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1c3b0744, "call_netdevice_notifiers" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9388f5b1, "__folio_put" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe640f896, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x903e2294, "alloc_pages_noprof" },
	{ 0xf9b3d968, "skb_add_rx_frag_netmem" },
	{ 0x8c99029, "__napi_schedule_irqoff" },
	{ 0x59fa64f, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x7c104481, "dev_kfree_skb_any_reason" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x328f87cb, "pci_release_region" },
	{ 0x6558423d, "pci_write_config_dword" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0xb87c2871, "netdev_info" },
	{ 0xe1fecaff, "smp_call_function_single_async" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x279d0ad7, "vzalloc_node_noprof" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb402ee2b, "pci_request_region" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbe4dd0e9, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfbd2489d, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3be4ef7f, "dma_unmap_page_attrs" },
	{ 0x838eb641, "vmalloc_node_noprof" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xedc03953, "iounmap" },
	{ 0xa6db70ac, "pci_disable_msi" },
	{ 0xb17b497f, "ptp_clock_index" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x999dfa42, "pcpu_hot" },
	{ 0x4e779bfe, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4989fb02, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8c3c7271, "dev_addr_mod" },
	{ 0x11cd239b, "eth_type_trans" },
	{ 0xb704d4e, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b568ac6, "dma_map_page_attrs" },
	{ 0x81354f76, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe84a8b87, "__napi_schedule" },
	{ 0x9e9c1859, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B3E3F3B4F88F1FED7335D99");
