#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b1cbfd8, "genphy_soft_reset" },
	{ 0xf1abd4ec, "bcm_phy_write_exp" },
	{ 0x5afc8c64, "bcm_phy_write_misc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbe65064c, "bcm_phy_read_exp" },
	{ 0xc2ad1207, "bcm_phy_read_misc" },
	{ 0xaedd46d1, "bcm_phy_read_shadow" },
	{ 0x9d3ff77f, "bcm_phy_write_shadow" },
	{ 0xbaec340a, "bcm_phy_enable_apd" },
	{ 0x9bdc5e85, "bcm_phy_28nm_a0b0_afe_config_init" },
	{ 0x784fd88, "bcm_phy_r_rc_cal_reset" },
	{ 0x298191a9, "bcm_phy_enable_jumbo" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x41a0ebb4, "__mdiobus_read" },
	{ 0x8d0eaa62, "__mdiobus_write" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4de303a6, "bcm_phy_get_strings" },
	{ 0x82b9c42f, "genphy_read_status" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa58ca8b6, "phy_drivers_register" },
	{ 0xdc38d8fd, "mdiobus_write" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2445fb11, "bcm_phy_downshift_set" },
	{ 0x78c7f99b, "bcm_phy_set_eee" },
	{ 0xff2dddf2, "genphy_restart_aneg" },
	{ 0xef8e1cbb, "bcm_phy_downshift_get" },
	{ 0x74c57c02, "__genphy_config_aneg" },
	{ 0x8e07d010, "bcm_phy_get_stats" },
	{ 0xb40915f2, "devm_kmalloc" },
	{ 0xcfd04b2b, "bcm_phy_get_sset_count" },
	{ 0x16e33b02, "devm_clk_get_optional_enabled" },
	{ 0x9a824938, "mdiobus_read" },
	{ 0x6517076, "phy_drivers_unregister" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "libphy,bcm-phy-lib");

MODULE_ALIAS("mdio:0011010110010000010100110001????");
MODULE_ALIAS("mdio:0011010110010000010100110101????");
MODULE_ALIAS("mdio:0011010110010000010100110100????");
MODULE_ALIAS("mdio:1010111000000010010100101000????");
MODULE_ALIAS("mdio:1010111000000010010100010010????");
MODULE_ALIAS("mdio:1010111000000010010100011001????");
MODULE_ALIAS("mdio:1010111000000010010100001001????");
MODULE_ALIAS("mdio:1010111000000010010100111011????");
MODULE_ALIAS("mdio:1010111000000010010100011010????");
MODULE_ALIAS("mdio:1010111000000010010100100110????");
MODULE_ALIAS("mdio:0110000000001101100001001001????");
MODULE_ALIAS("mdio:0110000000001101100001100101????");
MODULE_ALIAS("mdio:0110000000001101100001001011????");
MODULE_ALIAS("mdio:0110000000001101100001101011????");
MODULE_ALIAS("mdio:0110000000001101100001110011????");
MODULE_ALIAS("mdio:1010111000000010010100101110????");
MODULE_ALIAS("mdio:0110000000001101100001001000????");
MODULE_ALIAS("mdio:0110000000001101100001110101????");
MODULE_ALIAS("mdio:0110000000001101100001010001????");
MODULE_ALIAS("mdio:0011010110010000010100110011????");

MODULE_INFO(srcversion, "7FE7F78C0CD1BC084EDF2BD");
