#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ath11k_debug_mask, "", "");
KSYMTAB_FUNC(ath11k_core_suspend, "", "");
KSYMTAB_FUNC(ath11k_core_resume, "", "");
KSYMTAB_FUNC(ath11k_core_pre_init, "", "");
KSYMTAB_FUNC(ath11k_core_init, "", "");
KSYMTAB_FUNC(ath11k_core_deinit, "", "");
KSYMTAB_FUNC(ath11k_core_free, "", "");
KSYMTAB_FUNC(ath11k_core_alloc, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_init, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_deinit, "", "");
KSYMTAB_DATA(ath11k_cold_boot_cal, "", "");
KSYMTAB_FUNC(ath11k_qmi_fwreset_from_cold_boot, "", "");
KSYMTAB_FUNC(ath11k_qmi_deinit_service, "", "");
KSYMTAB_FUNC(ath11k_dp_service_srng, "", "");
KSYMTAB_FUNC(ath11k_info, "", "");
KSYMTAB_FUNC(ath11k_err, "", "");
KSYMTAB_FUNC(ath11k_warn, "", "");
KSYMTAB_FUNC(ath11k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath11k_ce_get_shadow_config, "", "");
KSYMTAB_FUNC(ath11k_ce_cleanup_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath11k_ce_free_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_alloc_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_get_attr_flags, "", "");
KSYMTAB_FUNC(ath11k_pcic_init_msi_config, "", "");
KSYMTAB_FUNC(ath11k_pcic_write32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_msi_address, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_user_msi_assignment, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_ce_msi_idx, "", "");
KSYMTAB_FUNC(ath11k_pcic_free_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_disable, "", "");
KSYMTAB_FUNC(ath11k_pcic_config_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irqs_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irq_disable_sync, "", "");
KSYMTAB_FUNC(ath11k_pcic_stop, "", "");
KSYMTAB_FUNC(ath11k_pcic_start, "", "");
KSYMTAB_FUNC(ath11k_pcic_map_service_to_pipe, "", "");
KSYMTAB_FUNC(ath11k_pcic_register_pci_ops, "", "");
KSYMTAB_FUNC(ath11k_pci_enable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_pci_disable_ce_irqs_except_wake_irq, "", "");

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0x0c288ff8, "");
SYMBOL_CRC(ath11k_core_resume, 0x937a1b35, "");
SYMBOL_CRC(ath11k_core_pre_init, 0xfc124143, "");
SYMBOL_CRC(ath11k_core_init, 0x26d3fb39, "");
SYMBOL_CRC(ath11k_core_deinit, 0x144ba6cc, "");
SYMBOL_CRC(ath11k_core_free, 0x9d003a1b, "");
SYMBOL_CRC(ath11k_core_alloc, 0xac150e17, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0xa30769cf, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0x6bc0e5bf, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0x3ed3225d, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0x9d8238e6, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0x04ff1d8b, "");
SYMBOL_CRC(ath11k_info, 0xea49f685, "");
SYMBOL_CRC(ath11k_err, 0xf0606b72, "");
SYMBOL_CRC(ath11k_warn, 0xe581e0e2, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0x5da5f4af, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0x758ebd5c, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0x7862770d, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0xf0c18482, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0xa4ac2fc8, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0x5c9b0046, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0xe01ebef0, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0xbe5797b5, "");
SYMBOL_CRC(ath11k_pcic_write32, 0x5be9d0e8, "");
SYMBOL_CRC(ath11k_pcic_read32, 0x75026e6a, "");
SYMBOL_CRC(ath11k_pcic_read, 0x0562ce49, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0xc11a2326, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0x8380c345, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0xb4c25480, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0xb705c0b9, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0xc7aa4547, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0xc4055f1b, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0xd36fd4c0, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0x4b6c534b, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0x5790c6f4, "");
SYMBOL_CRC(ath11k_pcic_stop, 0x49b1c9f0, "");
SYMBOL_CRC(ath11k_pcic_start, 0xc3b46ac4, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0x15c98c2c, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0x2191d8fa, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0x7bbf1a1a, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0x7b7f1411, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1f1ca236, "ieee80211_wake_queues" },
	{ 0x5a0adce9, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5d23ccea, "qmi_txn_init" },
	{ 0xf043ab88, "ieee80211_report_low_ack" },
	{ 0xe731cfcf, "ieee80211_beacon_get_template" },
	{ 0xde80cd09, "ioremap" },
	{ 0x6d5e24e3, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbc0509dc, "ieee80211_free_txskb" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x193e58c5, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6ce1fd44, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x91d16eba, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x3c21bf18, "_dev_warn" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x63fbbda2, "ieee80211_beacon_free_ema_list" },
	{ 0x61fca569, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x9c92d040, "ieee80211_ready_on_channel" },
	{ 0xbc2414ce, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x56610c1b, "skb_trim" },
	{ 0x11d6c3a2, "qmi_handle_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x94e06388, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc1bcbb31, "ieee80211_vif_to_wdev" },
	{ 0x6faddbf9, "alloc_netdev_dummy" },
	{ 0x492ca35, "dma_free_attrs" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x89bd1761, "ieee80211_scan_completed" },
	{ 0xfac3c43a, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x28494ccd, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6a0af085, "param_ops_bool" },
	{ 0x7926944, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xe828ffb8, "ieee80211_color_change_finish" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4025103e, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xda4743a4, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xf6228448, "ieee80211_queue_work" },
	{ 0x59fa64f, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0xb16bfa52, "napi_disable" },
	{ 0x7c104481, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xed15093f, "regulatory_set_wiphy_regd" },
	{ 0x4618a1b, "cfg80211_chandef_dfs_cac_time" },
	{ 0x55fe5cf7, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4a47006a, "ieee80211_beacon_get_template_ema_list" },
	{ 0x570b1a72, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xbdd8403b, "__cfg80211_get_bss" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0x3e2de027, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x90112c1a, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc143a28c, "ieee80211_beacon_update_cntdwn" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xde44d5f2, "ieee80211_gtk_rekey_notify" },
	{ 0xb5c81b6e, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xe1924cf4, "cfg80211_chandef_dfs_usable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xa48c64cc, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9bfbca8b, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x20978fb9, "idr_find" },
	{ 0x1e7816a5, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xbe4dd0e9, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa004b6c1, "firmware_request_nowarn" },
	{ 0x6fb8c3e0, "qmi_handle_init" },
	{ 0xe878f206, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xfbd2489d, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x19de4dfe, "device_get_mac_address" },
	{ 0xdc1506f6, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xfef1369a, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa1ded21c, "ieee80211_free_hw" },
	{ 0x3be4ef7f, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x6c19e589, "ieee80211_iterate_stations_atomic" },
	{ 0x894d455c, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x247d35c4, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x30ab8cab, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0xc9d079e6, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x999dfa42, "pcpu_hot" },
	{ 0x1736e81f, "thermal_cooling_device_register" },
	{ 0x6c4afcc2, "ieee80211_register_hw" },
	{ 0x6fcbc2e4, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc278be56, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4e779bfe, "__netif_napi_del" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x74a44690, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x98d8668b, "pskb_expand_head" },
	{ 0x868e5e91, "dev_driver_string" },
	{ 0x6926f534, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x41d7cafa, "ieee80211_find_sta" },
	{ 0x1b568ac6, "dma_map_page_attrs" },
	{ 0x96b5b99c, "qmi_send_request" },
	{ 0x81354f76, "napi_complete_done" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x881a5196, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xcaff4406, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x5e73d920, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xe84a8b87, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x2a15172a, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6739ce9b, "qmi_txn_wait" },
	{ 0xd011aa6a, "_dev_info" },
	{ 0xa03bf2d8, "skb_queue_tail" },
	{ 0x6631ff2f, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x68e84444, "sysfs_create_link" },
	{ 0xbdb07e87, "ieee80211_obss_color_collision_notify" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xba097ad2, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xe83b9ac7, "__skb_get_hash_net" },
	{ 0x41e9a95b, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x34f94198, "ieee80211_queue_delayed_work" },
	{ 0x2235dd05, "_dev_err" },
	{ 0x7704c214, "crypto_shash_setkey" },
	{ 0xc0a8d924, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x66a66b24, "qmi_txn_cancel" },
	{ 0x7a8c4489, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xe47ceaaf, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x830ac414, "ieee80211_find_sta_by_ifaddr" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5b2a2337, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x36688b7a, "skb_push" },
	{ 0xd50d2ca, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xad67897f, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x87634664, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "mac80211,qmi_helpers,cfg80211");


MODULE_INFO(srcversion, "D3C1964E72D78CEF321759B");
