#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x750b11fc, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8e36fae, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf84283cb, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2c53d9ea, "nvmf_unregister_transport" },
	{ 0xa7eed614, "blkcg_get_fc_appid" },
	{ 0x4d6d041, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x76cfb2c, "nvme_change_ctrl_state" },
	{ 0xd011aa6a, "_dev_info" },
	{ 0x6d7ad38f, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x7ba698ad, "nvme_alloc_io_tag_set" },
	{ 0x8eb32338, "nvme_fail_nonready_command" },
	{ 0xc73a2a4, "kobject_uevent_env" },
	{ 0x41e9a95b, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2235dd05, "_dev_err" },
	{ 0x4bb5f524, "device_create" },
	{ 0xadb2fb84, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x8634b7d0, "__blk_rq_map_sg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x6576ce1d, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3074584e, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xa3d65b90, "nvmf_connect_admin_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf9853696, "nvme_enable_ctrl" },
	{ 0x5eabcf22, "nvme_unquiesce_admin_queue" },
	{ 0x3c21bf18, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbbb96a91, "nvme_unquiesce_io_queues" },
	{ 0xff6b6355, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x283c5173, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x65e4a2c5, "nvmf_should_reconnect" },
	{ 0x8e947a49, "__dma_sync_single_for_device" },
	{ 0x1ba173e7, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xa9beddd3, "device_destroy" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xd565b6bc, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xf674d944, "nvmf_register_transport" },
	{ 0xd916d723, "blk_mq_start_request" },
	{ 0xcabda6b, "nvme_quiesce_io_queues" },
	{ 0xc078fe65, "blk_mq_tagset_busy_iter" },
	{ 0x34cf9528, "nvme_stop_ctrl" },
	{ 0xf7d6b76e, "dma_unmap_sg_attrs" },
	{ 0x7121c60f, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x66f7a397, "nvme_reset_ctrl" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x7b99c28b, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf5e17072, "class_register" },
	{ 0x34b8b90d, "__nvme_check_ready" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0x6ca75a1a, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc0ad84fd, "nvme_add_ctrl" },
	{ 0x674d200b, "nvme_remove_admin_tag_set" },
	{ 0x6d094703, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x5eea773d, "nvme_uninit_ctrl" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xdcdf5e1d, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3e367bfa, "nvmf_free_options" },
	{ 0xb3e294bc, "nvmf_subsystem_reset" },
	{ 0x734fa9da, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x64e6e8a9, "nvme_stop_keep_alive" },
	{ 0x913a41d5, "blk_mq_complete_request_remote" },
	{ 0x3be4ef7f, "dma_unmap_page_attrs" },
	{ 0x85b81591, "nvme_setup_cmd" },
	{ 0x4491e5d8, "nvme_start_ctrl" },
	{ 0x3ed074c, "nvme_alloc_admin_tag_set" },
	{ 0x8bb13b4a, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xf6f626b0, "nvmf_reg_read32" },
	{ 0xe2964344, "__wake_up" },
	{ 0x20e25e1d, "nvme_delete_ctrl" },
	{ 0x1830d489, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbb6a13d3, "nvme_should_fail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x868e5e91, "dev_driver_string" },
	{ 0x10ec664b, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b568ac6, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xb97f798a, "nvme_remove_io_tag_set" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "60214592975498F0BB20CBA");
