#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ideapad_laptop_register_notifier, "_gpl", "IDEAPAD_LAPTOP");
KSYMTAB_FUNC(ideapad_laptop_unregister_notifier, "_gpl", "IDEAPAD_LAPTOP");
KSYMTAB_FUNC(ideapad_laptop_call_notifier, "_gpl", "IDEAPAD_LAPTOP");

SYMBOL_CRC(ideapad_laptop_register_notifier, 0xcae1d210, "_gpl");
SYMBOL_CRC(ideapad_laptop_unregister_notifier, 0x4c65bf10, "_gpl");
SYMBOL_CRC(ideapad_laptop_call_notifier, 0x98c23494, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0x1000e51, "schedule" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x4fdee897, "i8042_command" },
	{ 0x5e1cec87, "sysfs_notify" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0x4d3d7dd, "backlight_force_update" },
	{ 0xe1083442, "platform_profile_cycle" },
	{ 0xd011aa6a, "_dev_info" },
	{ 0xf6dedda8, "is_acpi_device_node" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x6c14ddaf, "device_add_groups" },
	{ 0x74bece66, "debugfs_create_dir" },
	{ 0xd4514300, "debugfs_create_file" },
	{ 0xcb9e6f91, "input_allocate_device" },
	{ 0x25140d2f, "sparse_keymap_setup" },
	{ 0xafbe39ce, "input_register_device" },
	{ 0x7b9007f2, "led_classdev_register_ext" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x726573d3, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0x7042b1bb, "backlight_device_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2235dd05, "_dev_err" },
	{ 0x2385041b, "input_free_device" },
	{ 0xb7b4ec8e, "seq_lseek" },
	{ 0x63f1d80a, "seq_read" },
	{ 0x26da8228, "single_release" },
	{ 0x6a0af085, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb40915f2, "devm_kmalloc" },
	{ 0x36bd243f, "single_open" },
	{ 0xc682a9d, "seq_printf" },
	{ 0x642cad8e, "seq_write" },
	{ 0xc8a1fe7e, "seq_putc" },
	{ 0x14030cf5, "__wmi_driver_register" },
	{ 0x35e5c6db, "__platform_driver_register" },
	{ 0xfee4d73e, "wmi_driver_unregister" },
	{ 0x30eb2156, "platform_driver_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xf265c5c9, "backlight_device_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0x37a0cba, "kfree" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x6d22dafa, "led_classdev_unregister" },
	{ 0x7a42f151, "input_unregister_device" },
	{ 0xada345e7, "debugfs_remove" },
	{ 0x278a0bc1, "device_remove_groups" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x506e787e, "sparse_keymap_report_event" },
	{ 0x4989fb02, "__dynamic_dev_dbg" },
	{ 0xf7ed596, "led_classdev_notify_brightness_hw_changed" },
	{ 0x3c21bf18, "_dev_warn" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "platform_profile,rfkill,sparse-keymap,video,wmi");

MODULE_ALIAS("acpi*:VPC2004:*");
MODULE_ALIAS("wmi:26CAB2E5-5CF1-46AE-AAC3-4A12B6BA50E6");
MODULE_ALIAS("wmi:56322276-8493-4CE8-A783-98C991274F5E");
MODULE_ALIAS("wmi:8FC0DE0C-B4E4-43FD-B0F3-8871711C1294");

MODULE_INFO(srcversion, "30618ACEDF5A3D2EB4E355B");
