#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0xb9890d26, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0xd3196dac, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0x98bceef0, "");
SYMBOL_CRC(sdw_intel_startup, 0x4c99368d, "");
SYMBOL_CRC(sdw_intel_exit, 0x5640bcd5, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0xb6df00c6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd786531e, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xada345e7, "debugfs_remove" },
	{ 0x229ef6a5, "cdns_xfer_msg_defer" },
	{ 0xcde3ef69, "cdns_xfer_msg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x16d392fb, "device_del" },
	{ 0x2a06a9f2, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1eee15a4, "devm_kasprintf" },
	{ 0x249a74da, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0x63f1d80a, "seq_read" },
	{ 0xd4514300, "debugfs_create_file" },
	{ 0x378beba4, "sdw_stream_add_master" },
	{ 0x4f0c7fa3, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa508027a, "cdns_read_ping_status" },
	{ 0x9b41cea4, "acpi_fetch_acpi_dev" },
	{ 0xebac7028, "device_get_named_child_node" },
	{ 0x88adca99, "sdw_cdns_probe" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xbcd322cc, "sdw_cdns_config_update" },
	{ 0xc682a9d, "seq_printf" },
	{ 0x548a69c1, "sdw_bus_master_delete" },
	{ 0x26da8228, "single_release" },
	{ 0x1817ad9, "__auxiliary_driver_register" },
	{ 0xf994a10d, "sdw_cdns_check_self_clearing_bits" },
	{ 0x665a6601, "__pm_runtime_use_autosuspend" },
	{ 0x37329a39, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0xb5252c00, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0x36bd243f, "single_open" },
	{ 0x495c924d, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0x6e07e153, "__pm_runtime_disable" },
	{ 0x74bece66, "debugfs_create_dir" },
	{ 0xb80fdd3d, "sdw_master_read_prop" },
	{ 0xeb2fc241, "sdw_compute_params" },
	{ 0x1d7b6d45, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x8eddbcd1, "sdw_cdns_pdi_init" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd761c3e6, "simple_attr_open" },
	{ 0x45a6d548, "debugfs_attr_write" },
	{ 0xb40915f2, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50266da2, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc572c9fe, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbddf5207, "sdw_cdns_clock_restart" },
	{ 0xef5f9650, "sdw_cdns_debugfs_init" },
	{ 0x43fcd40, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0x5fc6bb71, "pm_runtime_set_autosuspend_delay" },
	{ 0x70eedc20, "sdw_bus_master_add" },
	{ 0xf1b92887, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0x912c1cb, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x37a0cba, "kfree" },
	{ 0xa84e1631, "sdw_cdns_is_clock_stop" },
	{ 0xb7b4ec8e, "seq_lseek" },
	{ 0x75e89ab9, "sdw_cdns_config_update_set_wait" },
	{ 0xa929c7f7, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4989fb02, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1957bd89, "sdw_cdns_config_stream" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x616cff5f, "__pm_runtime_set_status" },
	{ 0xe34d9b97, "auxiliary_driver_unregister" },
	{ 0xdfcc483c, "devm_snd_soc_register_component" },
	{ 0xb1df29b, "cdns_bus_conf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4d6d041, "put_device" },
	{ 0x5747a4b6, "cdns_set_sdw_stream" },
	{ 0x84d39945, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x74736e50, "fwnode_property_read_u32_array" },
	{ 0xd011aa6a, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x83cefaeb, "sdw_clear_slave_status" },
	{ 0xb2b01708, "debugfs_attr_read" },
	{ 0x2c11d345, "sdw_stream_remove_master" },
	{ 0xd9286382, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0x162156a0, "sdw_cdns_exit_reset" },
	{ 0x2235dd05, "_dev_err" },
	{ 0x3d399dde, "hdac_bus_eml_sdw_get_lsdiid_unlocked" },
	{ 0xbd65ac7e, "simple_attr_release" },
	{ 0xd2aa4463, "__auxiliary_device_add" },
	{ 0x1b5a4477, "sdw_cdns_alloc_pdi" },
	{ 0x119f05f9, "sdw_cdns_clock_stop" },
	{ 0x942f8e09, "fwnode_property_read_u16_array" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-mlink,soundwire-cadence,soundwire-bus,soundwire-generic-allocation,snd-pcm,snd-soc-core");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "C1CE1D6836C9E02771582B2");
