#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ssb_bus_resume, "", "");
KSYMTAB_FUNC(ssb_bus_suspend, "", "");
KSYMTAB_FUNC(ssb_bus_unregister, "", "");
KSYMTAB_FUNC(ssb_bus_sdiobus_register, "", "");
KSYMTAB_FUNC(__ssb_driver_register, "", "");
KSYMTAB_FUNC(ssb_driver_unregister, "", "");
KSYMTAB_FUNC(ssb_set_devtypedata, "", "");
KSYMTAB_FUNC(ssb_clockspeed, "", "");
KSYMTAB_FUNC(ssb_device_is_enabled, "", "");
KSYMTAB_FUNC(ssb_device_enable, "", "");
KSYMTAB_FUNC(ssb_device_disable, "", "");
KSYMTAB_FUNC(ssb_dma_translation, "", "");
KSYMTAB_FUNC(ssb_bus_may_powerdown, "", "");
KSYMTAB_FUNC(ssb_bus_powerup, "", "");
KSYMTAB_FUNC(ssb_commit_settings, "", "");
KSYMTAB_FUNC(ssb_admatch_base, "", "");
KSYMTAB_FUNC(ssb_admatch_size, "", "");
KSYMTAB_FUNC(ssb_pcihost_register, "", "");
KSYMTAB_FUNC(ssb_chipco_gpio_control, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_voltage, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_paref, "", "");
KSYMTAB_FUNC(ssb_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(ssb_pcicore_dev_irqvecs_enable, "", "");

SYMBOL_CRC(ssb_bus_resume, 0x9238cf14, "");
SYMBOL_CRC(ssb_bus_suspend, 0x7d97aacb, "");
SYMBOL_CRC(ssb_bus_unregister, 0xa7141ec6, "");
SYMBOL_CRC(ssb_bus_sdiobus_register, 0x66e44c8a, "");
SYMBOL_CRC(__ssb_driver_register, 0x4d19e18a, "");
SYMBOL_CRC(ssb_driver_unregister, 0xbe47c766, "");
SYMBOL_CRC(ssb_set_devtypedata, 0x27d00272, "");
SYMBOL_CRC(ssb_clockspeed, 0x3a0c38ef, "");
SYMBOL_CRC(ssb_device_is_enabled, 0x4cab5066, "");
SYMBOL_CRC(ssb_device_enable, 0xd82adb6b, "");
SYMBOL_CRC(ssb_device_disable, 0xe541fb79, "");
SYMBOL_CRC(ssb_dma_translation, 0x73b00041, "");
SYMBOL_CRC(ssb_bus_may_powerdown, 0xac4b15fc, "");
SYMBOL_CRC(ssb_bus_powerup, 0xec3188ad, "");
SYMBOL_CRC(ssb_commit_settings, 0x31fbc949, "");
SYMBOL_CRC(ssb_admatch_base, 0xcb17f1cb, "");
SYMBOL_CRC(ssb_admatch_size, 0xdfc7c6ef, "");
SYMBOL_CRC(ssb_pcihost_register, 0xf63fd765, "");
SYMBOL_CRC(ssb_chipco_gpio_control, 0x710400e8, "");
SYMBOL_CRC(ssb_pmu_set_ldo_voltage, 0xf36038b8, "");
SYMBOL_CRC(ssb_pmu_set_ldo_paref, 0xb1d362d4, "");
SYMBOL_CRC(ssb_pmu_spuravoid_pllupdate, 0xcf252f58, "_gpl");
SYMBOL_CRC(ssb_pcicore_dev_irqvecs_enable, 0x18a9659b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3a3d82f0, "gpiochip_get_data" },
	{ 0xa8cad3aa, "bus_unregister" },
	{ 0x2235dd05, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x23caf7c4, "pcmcia_request_window" },
	{ 0x71ebb8cf, "pci_read_config_word" },
	{ 0x8695ca6a, "sdio_readl" },
	{ 0x3bee7502, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb376f1c7, "pcmcia_write_config_byte" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4cc077a9, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x50cb14c, "device_register" },
	{ 0xe7757740, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x6515b277, "sdio_writel" },
	{ 0x4a39657c, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xaba82a2a, "gpiochip_add_data_with_key" },
	{ 0x2bb9bc2, "_dev_emerg" },
	{ 0xab8a5d4a, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa4f93400, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7f3ba77, "pci_disable_device" },
	{ 0xeb6bc2f5, "sdio_writesb" },
	{ 0xb37e2853, "pcmcia_read_config_byte" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xdc776c43, "pcmcia_register_driver" },
	{ 0x6f2121a9, "pci_write_config_word" },
	{ 0x359609db, "pcmcia_loop_tuple" },
	{ 0x5dfda392, "pcmcia_enable_device" },
	{ 0xfdd1dbe3, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6558423d, "pci_write_config_dword" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x707634f6, "device_remove_file" },
	{ 0x1c16f6ad, "bus_register" },
	{ 0x24e4276e, "sdio_readb" },
	{ 0x7718a1e4, "sdio_writeb" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x69860765, "pci_save_state" },
	{ 0x16f46750, "sdio_release_host" },
	{ 0xb5c81b6e, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xfa5bf3b4, "pci_enable_device" },
	{ 0xa9d8f8f7, "pcmcia_disable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdb41257c, "dev_set_name" },
	{ 0xe137f541, "sdio_claim_host" },
	{ 0x624dbadb, "pci_iomap" },
	{ 0x78128ce9, "sdio_readw" },
	{ 0x8aace6d2, "device_unregister" },
	{ 0x1f8a45d0, "pci_back_from_sleep" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x224b779d, "__pci_register_driver" },
	{ 0x9c6af2e7, "pcmcia_unregister_driver" },
	{ 0x94ff8c6f, "pci_prepare_to_sleep" },
	{ 0xedc03953, "iounmap" },
	{ 0x867ad421, "pcmcia_map_mem_page" },
	{ 0x5826eed3, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x4570729f, "sdio_writew" },
	{ 0x1830d489, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4989fb02, "__dynamic_dev_dbg" },
	{ 0x3ce26dc6, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x868e5e91, "dev_driver_string" },
	{ 0xb704d4e, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4d6d041, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd011aa6a, "_dev_info" },
	{ 0x88d2bf9f, "device_create_file" },
	{ 0xa7d346df, "sdio_readsb" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "pcmcia,mmc_core");

MODULE_ALIAS("pci:v000014E4d00004301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014A4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004324sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004325sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004328sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004329sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004351sv*sd*bc*sc*i*");
MODULE_ALIAS("pcmcia:m02D0c0448f*fn*pfn*pa*pb*pc*pd*");
MODULE_ALIAS("pcmcia:m02D0c0476f*fn*pfn*pa*pb*pc*pd*");

MODULE_INFO(srcversion, "54236BC607DE79873B8967A");
