#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(u_audio_set_capture_srate, "_gpl", "");
KSYMTAB_FUNC(u_audio_get_capture_srate, "_gpl", "");
KSYMTAB_FUNC(u_audio_set_playback_srate, "_gpl", "");
KSYMTAB_FUNC(u_audio_get_playback_srate, "_gpl", "");
KSYMTAB_FUNC(u_audio_start_capture, "_gpl", "");
KSYMTAB_FUNC(u_audio_stop_capture, "_gpl", "");
KSYMTAB_FUNC(u_audio_start_playback, "_gpl", "");
KSYMTAB_FUNC(u_audio_stop_playback, "_gpl", "");
KSYMTAB_FUNC(u_audio_suspend, "_gpl", "");
KSYMTAB_FUNC(u_audio_get_volume, "_gpl", "");
KSYMTAB_FUNC(u_audio_set_volume, "_gpl", "");
KSYMTAB_FUNC(u_audio_get_mute, "_gpl", "");
KSYMTAB_FUNC(u_audio_set_mute, "_gpl", "");
KSYMTAB_FUNC(g_audio_setup, "_gpl", "");
KSYMTAB_FUNC(g_audio_cleanup, "_gpl", "");

SYMBOL_CRC(u_audio_set_capture_srate, 0xd1004343, "_gpl");
SYMBOL_CRC(u_audio_get_capture_srate, 0x9d74635e, "_gpl");
SYMBOL_CRC(u_audio_set_playback_srate, 0xa460e5de, "_gpl");
SYMBOL_CRC(u_audio_get_playback_srate, 0x1db938fb, "_gpl");
SYMBOL_CRC(u_audio_start_capture, 0xf824b5f7, "_gpl");
SYMBOL_CRC(u_audio_stop_capture, 0x69b731c6, "_gpl");
SYMBOL_CRC(u_audio_start_playback, 0x0ff388ca, "_gpl");
SYMBOL_CRC(u_audio_stop_playback, 0x5ebc1b74, "_gpl");
SYMBOL_CRC(u_audio_suspend, 0x96217f0a, "_gpl");
SYMBOL_CRC(u_audio_get_volume, 0x39d18177, "_gpl");
SYMBOL_CRC(u_audio_set_volume, 0x2915c0c6, "_gpl");
SYMBOL_CRC(u_audio_get_mute, 0xfbc948ec, "_gpl");
SYMBOL_CRC(u_audio_set_mute, 0xada6d082, "_gpl");
SYMBOL_CRC(g_audio_setup, 0x9122c794, "_gpl");
SYMBOL_CRC(g_audio_cleanup, 0xc0970655, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4989fb02, "__dynamic_dev_dbg" },
	{ 0x7673e7f6, "usb_ep_queue" },
	{ 0x37a0cba, "kfree" },
	{ 0x970607ff, "usb_ep_free_request" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2235dd05, "_dev_err" },
	{ 0x6eed28f8, "snd_pcm_stream_lock" },
	{ 0x3c9957c6, "snd_pcm_stream_unlock" },
	{ 0x69acdf38, "memcpy" },
	{ 0xac05eb5a, "snd_pcm_period_elapsed" },
	{ 0x53bb7a12, "snd_ctl_notify" },
	{ 0x5fc0198e, "config_ep_by_speed" },
	{ 0xbcf61715, "usb_ep_enable" },
	{ 0x8ca7011c, "usb_ep_alloc_request" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfb578fc5, "memset" },
	{ 0xcaafef1f, "snd_pcm_hw_constraint_integer" },
	{ 0x71a3b4b8, "snd_card_free_when_closed" },
	{ 0x8c8eed8e, "usb_ep_dequeue" },
	{ 0xd152cd3f, "usb_ep_disable" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xe5a2d328, "snd_card_new" },
	{ 0x251338b0, "snd_pcm_new" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x8285b822, "snd_pcm_set_ops" },
	{ 0xbe1a3c44, "snd_ctl_new1" },
	{ 0x53098004, "snd_ctl_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x20259aca, "snd_pcm_set_managed_buffer_all" },
	{ 0x96220b25, "snd_card_register" },
	{ 0x68826955, "snd_card_free" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,libcomposite");


MODULE_INFO(srcversion, "ADE4E24B13E0AE5097390A6");
