#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_do_io_rw, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_setup_barmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_range_intersect_range, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x5d5170f5, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x374edf7f, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0xa9eb69fa, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x16b2b260, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x6e42905f, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x4da088e6, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x47bf91c1, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0xd668b43d, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0x17e55c6c, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x5f747c38, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x88ac6344, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0xc1ee9342, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0xf8357c95, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x16ef9861, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x8327ec8d, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x08aa6301, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x26c9704b, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0xb3bfa4af, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0xed56c81e, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite8, 0x75a23e5d, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite16, 0x9cbe7fe3, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite32, 0xc4eb2f81, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread8, 0x38a33e98, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread16, 0x0e61e57d, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread32, 0x32c1e5f9, "_gpl");
SYMBOL_CRC(vfio_pci_core_do_io_rw, 0xd4461196, "_gpl");
SYMBOL_CRC(vfio_pci_core_setup_barmap, 0x1eba6133, "_gpl");
SYMBOL_CRC(vfio_pci_core_range_intersect_range, 0xe850ca1f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd5e2bbc6, "pci_probe_reset_slot" },
	{ 0x15d8a222, "pci_set_power_state" },
	{ 0x54d0528c, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4989fb02, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb704d4e, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x848d372e, "iowrite8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x594bf15b, "ioport_map" },
	{ 0x53beca15, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb1576cb4, "pci_user_write_config_word" },
	{ 0xdb38ef62, "bus_register_notifier" },
	{ 0xd011aa6a, "_dev_info" },
	{ 0xedeb2eae, "vfio_file_is_group" },
	{ 0x4613db22, "pci_msix_can_alloc_dyn" },
	{ 0xe7503757, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9c2a1248, "pci_clear_master" },
	{ 0x69637e4b, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xc3fb186e, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x3ee80df6, "pci_write_vpd" },
	{ 0x7003ac8, "vfio_virqfd_enable" },
	{ 0xc5c8ba17, "vga_client_register" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x71ebb8cf, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xd2f490cb, "aperture_remove_conflicting_pci_devices" },
	{ 0x2ba16d7d, "vfio_unregister_group_dev" },
	{ 0x513950e8, "pci_map_rom" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6ad95382, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4cc077a9, "pci_iounmap" },
	{ 0xe7757740, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x3c21bf18, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfc39e32f, "ioport_unmap" },
	{ 0xebb23f9e, "pcie_get_mps" },
	{ 0xf026f683, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xd37e62b9, "vga_put" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0x5a49a7e1, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xc1cf4336, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0xb219157, "_dev_notice" },
	{ 0xef1bb5a1, "pm_runtime_forbid" },
	{ 0x5eaa6af, "pm_runtime_allow" },
	{ 0x540872cd, "pci_reset_bus" },
	{ 0x4f0c7fa3, "__pm_runtime_resume" },
	{ 0x8966521, "vfio_register_group_dev" },
	{ 0xff7036c0, "vfio_assign_device_set" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8b1521b6, "pci_user_read_config_byte" },
	{ 0x3449bdf5, "pci_try_reset_function" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x578fdd38, "pci_get_class" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xfe40f2cc, "pci_user_write_config_dword" },
	{ 0x1ca5cf9e, "pcie_capability_read_dword" },
	{ 0xcd02bbe9, "pci_load_and_free_saved_state" },
	{ 0x4130930b, "pci_disable_sriov" },
	{ 0x48ee7465, "vfio_device_set_open_count" },
	{ 0x7f3ba77, "pci_disable_device" },
	{ 0xba6c8756, "pci_match_id" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0xd5a58e26, "pci_check_and_unmask_intx" },
	{ 0xf4f86986, "pcie_set_readrq" },
	{ 0x60f6bada, "pci_walk_bus" },
	{ 0xa17dd3e5, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xfb745167, "vga_get" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xd7e56c61, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xc48de39, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0x642c0a6d, "vga_set_legacy_decoding" },
	{ 0x8ebb2e75, "pci_dev_unlock" },
	{ 0x6f2121a9, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x8b20c0fa, "pci_free_irq_vectors" },
	{ 0x2d675293, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0x1d7b6d45, "__pm_runtime_idle" },
	{ 0x6296f95, "vfio_virqfd_flush_thread" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3db04912, "pci_bus_type" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x69860765, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0x1fc9495c, "vmf_insert_pfn" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x4bc041fb, "pci_read_vpd" },
	{ 0x25243853, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd486f3d7, "pci_request_selected_regions" },
	{ 0x7b69075f, "pci_release_selected_regions" },
	{ 0x2ed8239, "pci_user_write_config_byte" },
	{ 0xfa5bf3b4, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9e7b8d9d, "pci_bus_max_busnr" },
	{ 0x56153469, "pci_check_and_mask_intx" },
	{ 0x624dbadb, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x7f650b17, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0xcb7b8ab0, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xa11f3822, "pci_dev_put" },
	{ 0xde312b1a, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x9a04d915, "vfio_virqfd_disable" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x209d3e1d, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0x2e70d9fe, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x14237b27, "unmap_mapping_range" },
	{ 0x8f7ce824, "pci_user_read_config_dword" },
	{ 0x37a0cba, "kfree" },
	{ 0xfe2f59a1, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x519f8995, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "vfio");


MODULE_INFO(srcversion, "DEF36634042A04835349FAE");
