#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_nfs_version, "_gpl", "");
KSYMTAB_FUNC(unregister_nfs_version, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_free_client, "_gpl", "");
KSYMTAB_FUNC(nfs_put_client, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_is_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_status, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_client_init_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_get_client, "_gpl", "");
KSYMTAB_FUNC(nfs_mark_client_ready, "_gpl", "");
KSYMTAB_FUNC(nfs_init_timeout_values, "_gpl", "");
KSYMTAB_FUNC(nfs_create_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_init_server_rpcclient, "_gpl", "");
KSYMTAB_FUNC(nfs_init_client, "_gpl", "");
KSYMTAB_FUNC(nfs_probe_server, "_gpl", "");
KSYMTAB_FUNC(nfs_server_copy_userdata, "_gpl", "");
KSYMTAB_FUNC(nfs_server_insert_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_server_remove_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_server, "_gpl", "");
KSYMTAB_FUNC(nfs_free_server, "_gpl", "");
KSYMTAB_FUNC(nfs_create_server, "_gpl", "");
KSYMTAB_FUNC(nfs_clone_server, "_gpl", "");
KSYMTAB_FUNC(nfs_force_lookup_revalidate, "_gpl", "");
KSYMTAB_FUNC(nfs_set_verifier, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_verifier_delegated, "_gpl", "");
KSYMTAB_DATA(nfs_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_lookup, "_gpl", "");
KSYMTAB_FUNC(nfs_d_prune_case_insensitive_aliases, "_gpl", "");
KSYMTAB_DATA(nfs4_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open_v23, "_gpl", "");
KSYMTAB_FUNC(nfs_add_or_obtain, "_gpl", "");
KSYMTAB_FUNC(nfs_instantiate, "_gpl", "");
KSYMTAB_FUNC(nfs_create, "_gpl", "");
KSYMTAB_FUNC(nfs_mknod, "_gpl", "");
KSYMTAB_FUNC(nfs_mkdir, "_gpl", "");
KSYMTAB_FUNC(nfs_rmdir, "_gpl", "");
KSYMTAB_FUNC(nfs_unlink, "_gpl", "");
KSYMTAB_FUNC(nfs_symlink, "_gpl", "");
KSYMTAB_FUNC(nfs_link, "_gpl", "");
KSYMTAB_FUNC(nfs_rename, "_gpl", "");
KSYMTAB_FUNC(nfs_access_zap_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_get_cached, "_gpl", "");
KSYMTAB_FUNC(nfs_access_add_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_set_mask, "_gpl", "");
KSYMTAB_FUNC(nfs_may_open, "_gpl", "");
KSYMTAB_FUNC(nfs_permission, "_gpl", "");
KSYMTAB_FUNC(nfs_check_flags, "_gpl", "");
KSYMTAB_FUNC(nfs_file_release, "_gpl", "");
KSYMTAB_FUNC(nfs_file_llseek, "_gpl", "");
KSYMTAB_FUNC(nfs_file_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_splice_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_mmap, "_gpl", "");
KSYMTAB_FUNC(nfs_file_fsync, "_gpl", "");
KSYMTAB_FUNC(nfs_file_write, "_gpl", "");
KSYMTAB_FUNC(nfs_lock, "_gpl", "");
KSYMTAB_FUNC(nfs_flock, "_gpl", "");
KSYMTAB_DATA(nfs_file_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_bit_killable, "_gpl", "");
KSYMTAB_FUNC(nfs_drop_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_sync_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_check_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_set_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_zap_acl_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_invalidate_atime, "_gpl", "");
KSYMTAB_FUNC(nfs4_label_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_setsecurity, "_gpl", "");
KSYMTAB_FUNC(nfs_fhget, "_gpl", "");
KSYMTAB_FUNC(nfs_update_delegated_mtime, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_getattr, "_gpl", "");
KSYMTAB_FUNC(nfs_get_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_put_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_close_context, "_gpl", "");
KSYMTAB_FUNC(alloc_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(get_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(put_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_inode_attach_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_file_set_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_revalidate_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_inc_attr_generation_counter, "_gpl", "");
KSYMTAB_FUNC(nfs_fattr_init, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr_with_label, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fhandle, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle_hash, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle, "_gpl", "");
KSYMTAB_FUNC(nfs_refresh_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode_force_wcc, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_free_inode, "_gpl", "");
KSYMTAB_DATA(nfsiod_workqueue, "_gpl", "");
KSYMTAB_DATA(nfs_net_id, "_gpl", "");
KSYMTAB_DATA(nfs_sops, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_active, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_deactive, "_gpl", "");
KSYMTAB_FUNC(nfs_client_for_each_server, "_gpl", "");
KSYMTAB_FUNC(nfs_statfs, "_gpl", "");
KSYMTAB_FUNC(nfs_show_options, "_gpl", "");
KSYMTAB_FUNC(nfs_show_devname, "_gpl", "");
KSYMTAB_FUNC(nfs_show_path, "_gpl", "");
KSYMTAB_FUNC(nfs_show_stats, "_gpl", "");
KSYMTAB_FUNC(nfs_umount_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_auth_info_match, "_gpl", "");
KSYMTAB_FUNC(nfs_try_get_tree, "_gpl", "");
KSYMTAB_FUNC(nfs_reconfigure, "_gpl", "");
KSYMTAB_FUNC(nfs_kill_super, "_gpl", "");
KSYMTAB_DATA(nfs_callback_nr_threads, "_gpl", "");
KSYMTAB_DATA(nfs_callback_set_tcpport, "_gpl", "");
KSYMTAB_DATA(nfs_idmap_cache_timeout, "_gpl", "");
KSYMTAB_DATA(nfs4_disable_idmapping, "_gpl", "");
KSYMTAB_DATA(max_session_slots, "_gpl", "");
KSYMTAB_DATA(max_session_cb_slots, "_gpl", "");
KSYMTAB_DATA(send_implementation_id, "_gpl", "");
KSYMTAB_DATA(nfs4_client_id_uniquifier, "_gpl", "");
KSYMTAB_DATA(recover_lost_locks, "_gpl", "");
KSYMTAB_DATA(nfs_delay_retrans, "_gpl", "");
KSYMTAB_FUNC(nfs_dreq_bytes_left, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_current_mirror, "_gpl", "");
KSYMTAB_FUNC(nfs_pgheader_init, "_gpl", "");
KSYMTAB_FUNC(nfs_async_iocounter_wait, "_gpl", "");
KSYMTAB_FUNC(nfs_release_request, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_free, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_resend, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_read, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_read_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_read_alloc_scratch, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_free, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list_locked, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_request_remove_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_init_cinfo, "_gpl", "");
KSYMTAB_FUNC(nfs_scan_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_write, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_write_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_writeback_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_release, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_init_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_retry_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_write_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_filemap_write_and_wait_range, "_gpl", "");
KSYMTAB_FUNC(nfs_wb_all, "_gpl", "");
KSYMTAB_FUNC(nfs_path, "_gpl", "");
KSYMTAB_FUNC(nfs_do_submount, "_gpl", "");
KSYMTAB_FUNC(nfs_submount, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_link_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_add_server, "_gpl", "");
KSYMTAB_DATA(nfs_fs_type, "_gpl", "");
KSYMTAB_DATA(nfs4_fs_type, "_gpl", "");
KSYMTAB_FUNC(nfs_fscache_open_file, "_gpl", "");

SYMBOL_CRC(register_nfs_version, 0xaa517690, "_gpl");
SYMBOL_CRC(unregister_nfs_version, 0xbd7160f1, "_gpl");
SYMBOL_CRC(nfs_alloc_client, 0xc0a2f0eb, "_gpl");
SYMBOL_CRC(nfs_free_client, 0x95fc217e, "_gpl");
SYMBOL_CRC(nfs_put_client, 0x8724c477, "_gpl");
SYMBOL_CRC(nfs_client_init_is_complete, 0xa5f1b338, "_gpl");
SYMBOL_CRC(nfs_client_init_status, 0xc6c00333, "_gpl");
SYMBOL_CRC(nfs_wait_client_init_complete, 0x8e7b90ea, "_gpl");
SYMBOL_CRC(nfs_get_client, 0x4913579d, "_gpl");
SYMBOL_CRC(nfs_mark_client_ready, 0x0acce5de, "_gpl");
SYMBOL_CRC(nfs_init_timeout_values, 0x98b0ece8, "_gpl");
SYMBOL_CRC(nfs_create_rpc_client, 0x731ba3a0, "_gpl");
SYMBOL_CRC(nfs_init_server_rpcclient, 0xfc1b7c15, "_gpl");
SYMBOL_CRC(nfs_init_client, 0x8f76274f, "_gpl");
SYMBOL_CRC(nfs_probe_server, 0xb9c633de, "_gpl");
SYMBOL_CRC(nfs_server_copy_userdata, 0x1fa3a8e3, "_gpl");
SYMBOL_CRC(nfs_server_insert_lists, 0x524e49fa, "_gpl");
SYMBOL_CRC(nfs_server_remove_lists, 0xef47bbc1, "_gpl");
SYMBOL_CRC(nfs_alloc_server, 0xeb3cf82d, "_gpl");
SYMBOL_CRC(nfs_free_server, 0x5517efdb, "_gpl");
SYMBOL_CRC(nfs_create_server, 0x603c57b2, "_gpl");
SYMBOL_CRC(nfs_clone_server, 0xd1447ed1, "_gpl");
SYMBOL_CRC(nfs_force_lookup_revalidate, 0xa4d218a1, "_gpl");
SYMBOL_CRC(nfs_set_verifier, 0xb61bf7d2, "_gpl");
SYMBOL_CRC(nfs_clear_verifier_delegated, 0xf0792ac2, "_gpl");
SYMBOL_CRC(nfs_dentry_operations, 0x3fe6e28c, "_gpl");
SYMBOL_CRC(nfs_lookup, 0x1685a323, "_gpl");
SYMBOL_CRC(nfs_d_prune_case_insensitive_aliases, 0xc6e3770b, "_gpl");
SYMBOL_CRC(nfs4_dentry_operations, 0x53005d0d, "_gpl");
SYMBOL_CRC(nfs_atomic_open, 0xe363488f, "_gpl");
SYMBOL_CRC(nfs_atomic_open_v23, 0xb21ed410, "_gpl");
SYMBOL_CRC(nfs_add_or_obtain, 0xfb57a952, "_gpl");
SYMBOL_CRC(nfs_instantiate, 0xe9f8a377, "_gpl");
SYMBOL_CRC(nfs_create, 0x05339288, "_gpl");
SYMBOL_CRC(nfs_mknod, 0xb26f138a, "_gpl");
SYMBOL_CRC(nfs_mkdir, 0x516fdfec, "_gpl");
SYMBOL_CRC(nfs_rmdir, 0x26b3d736, "_gpl");
SYMBOL_CRC(nfs_unlink, 0xd30dc051, "_gpl");
SYMBOL_CRC(nfs_symlink, 0xde91bdea, "_gpl");
SYMBOL_CRC(nfs_link, 0x5057cdba, "_gpl");
SYMBOL_CRC(nfs_rename, 0xe24b1664, "_gpl");
SYMBOL_CRC(nfs_access_zap_cache, 0x924834cd, "_gpl");
SYMBOL_CRC(nfs_access_get_cached, 0xf5e2d10e, "_gpl");
SYMBOL_CRC(nfs_access_add_cache, 0x5c201bc4, "_gpl");
SYMBOL_CRC(nfs_access_set_mask, 0x08e162a8, "_gpl");
SYMBOL_CRC(nfs_may_open, 0xd6f97754, "_gpl");
SYMBOL_CRC(nfs_permission, 0x2cf26744, "_gpl");
SYMBOL_CRC(nfs_check_flags, 0x3f2690f2, "_gpl");
SYMBOL_CRC(nfs_file_release, 0x3c1f4a50, "_gpl");
SYMBOL_CRC(nfs_file_llseek, 0x6dd16f63, "_gpl");
SYMBOL_CRC(nfs_file_read, 0x4684e045, "_gpl");
SYMBOL_CRC(nfs_file_splice_read, 0x0cd1a876, "_gpl");
SYMBOL_CRC(nfs_file_mmap, 0x3ea4ce6b, "_gpl");
SYMBOL_CRC(nfs_file_fsync, 0xafde80fa, "_gpl");
SYMBOL_CRC(nfs_file_write, 0x915ccee0, "_gpl");
SYMBOL_CRC(nfs_lock, 0x685c7b08, "_gpl");
SYMBOL_CRC(nfs_flock, 0x29283cac, "_gpl");
SYMBOL_CRC(nfs_file_operations, 0x0d0c5ba8, "_gpl");
SYMBOL_CRC(nfs_wait_bit_killable, 0x40739385, "_gpl");
SYMBOL_CRC(nfs_drop_inode, 0x89d04d0e, "_gpl");
SYMBOL_CRC(nfs_clear_inode, 0xedde59c7, "_gpl");
SYMBOL_CRC(nfs_sync_inode, 0x4799e4b6, "_gpl");
SYMBOL_CRC(nfs_check_cache_invalid, 0x95d14886, "_gpl");
SYMBOL_CRC(nfs_set_cache_invalid, 0x7c009a57, "_gpl");
SYMBOL_CRC(nfs_zap_acl_cache, 0x68dd399f, "_gpl");
SYMBOL_CRC(nfs_invalidate_atime, 0x81e11f11, "_gpl");
SYMBOL_CRC(nfs4_label_alloc, 0x7794fa42, "_gpl");
SYMBOL_CRC(nfs_setsecurity, 0xc23716a2, "_gpl");
SYMBOL_CRC(nfs_fhget, 0x8aef1243, "_gpl");
SYMBOL_CRC(nfs_update_delegated_mtime, 0xb55fa2c0, "_gpl");
SYMBOL_CRC(nfs_setattr, 0x60f2e63e, "_gpl");
SYMBOL_CRC(nfs_setattr_update_inode, 0xe3c5eae0, "_gpl");
SYMBOL_CRC(nfs_getattr, 0x97bbc8d7, "_gpl");
SYMBOL_CRC(nfs_get_lock_context, 0xe1f54671, "_gpl");
SYMBOL_CRC(nfs_put_lock_context, 0xc009bba1, "_gpl");
SYMBOL_CRC(nfs_close_context, 0x66c649ee, "_gpl");
SYMBOL_CRC(alloc_nfs_open_context, 0xe2a94dba, "_gpl");
SYMBOL_CRC(get_nfs_open_context, 0x74e962f3, "_gpl");
SYMBOL_CRC(put_nfs_open_context, 0x41775df6, "_gpl");
SYMBOL_CRC(nfs_inode_attach_open_context, 0xa8c800b6, "_gpl");
SYMBOL_CRC(nfs_file_set_open_context, 0x5151df2b, "_gpl");
SYMBOL_CRC(nfs_revalidate_inode, 0x24ce8e90, "_gpl");
SYMBOL_CRC(nfs_inc_attr_generation_counter, 0x584b8482, "_gpl");
SYMBOL_CRC(nfs_fattr_init, 0xa05ca625, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr, 0x832e8f0b, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr_with_label, 0x36783380, "_gpl");
SYMBOL_CRC(nfs_alloc_fhandle, 0x26884ff7, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle_hash, 0x22d795a8, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle, 0xfc619abd, "_gpl");
SYMBOL_CRC(nfs_refresh_inode, 0xcd15547a, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode, 0xc0fe9b98, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode_force_wcc, 0xb45b17e3, "_gpl");
SYMBOL_CRC(nfs_alloc_inode, 0x8ebeae0c, "_gpl");
SYMBOL_CRC(nfs_free_inode, 0x4f5ad4df, "_gpl");
SYMBOL_CRC(nfsiod_workqueue, 0x90a5530f, "_gpl");
SYMBOL_CRC(nfs_net_id, 0xc3a2be67, "_gpl");
SYMBOL_CRC(nfs_sops, 0xbe058db2, "_gpl");
SYMBOL_CRC(nfs_sb_active, 0xef56fb8f, "_gpl");
SYMBOL_CRC(nfs_sb_deactive, 0x8c291f8e, "_gpl");
SYMBOL_CRC(nfs_client_for_each_server, 0x5a68c92a, "_gpl");
SYMBOL_CRC(nfs_statfs, 0x4f8e26e0, "_gpl");
SYMBOL_CRC(nfs_show_options, 0x03238aa2, "_gpl");
SYMBOL_CRC(nfs_show_devname, 0x03590ba5, "_gpl");
SYMBOL_CRC(nfs_show_path, 0xdd2d4dd0, "_gpl");
SYMBOL_CRC(nfs_show_stats, 0xd3f6abfa, "_gpl");
SYMBOL_CRC(nfs_umount_begin, 0x1dd06d4d, "_gpl");
SYMBOL_CRC(nfs_auth_info_match, 0x10962bc2, "_gpl");
SYMBOL_CRC(nfs_try_get_tree, 0xa74a6809, "_gpl");
SYMBOL_CRC(nfs_reconfigure, 0x2454afd3, "_gpl");
SYMBOL_CRC(nfs_kill_super, 0x57cded65, "_gpl");
SYMBOL_CRC(nfs_callback_nr_threads, 0x0294c6a2, "_gpl");
SYMBOL_CRC(nfs_callback_set_tcpport, 0x51892d61, "_gpl");
SYMBOL_CRC(nfs_idmap_cache_timeout, 0x39e05ac3, "_gpl");
SYMBOL_CRC(nfs4_disable_idmapping, 0xdae9b5d7, "_gpl");
SYMBOL_CRC(max_session_slots, 0x91d1fe52, "_gpl");
SYMBOL_CRC(max_session_cb_slots, 0xaafd4acc, "_gpl");
SYMBOL_CRC(send_implementation_id, 0xa8e9e1ae, "_gpl");
SYMBOL_CRC(nfs4_client_id_uniquifier, 0x42f2c81f, "_gpl");
SYMBOL_CRC(recover_lost_locks, 0x4cb9e001, "_gpl");
SYMBOL_CRC(nfs_delay_retrans, 0xefa414fb, "_gpl");
SYMBOL_CRC(nfs_dreq_bytes_left, 0xe7e37aae, "_gpl");
SYMBOL_CRC(nfs_pgio_current_mirror, 0x96b9300e, "_gpl");
SYMBOL_CRC(nfs_pgheader_init, 0xac3ba4d7, "_gpl");
SYMBOL_CRC(nfs_async_iocounter_wait, 0xb3465db5, "_gpl");
SYMBOL_CRC(nfs_release_request, 0xfe6c24db, "_gpl");
SYMBOL_CRC(nfs_generic_pg_test, 0x32e1f8df, "_gpl");
SYMBOL_CRC(nfs_pgio_header_alloc, 0x02b74e8f, "_gpl");
SYMBOL_CRC(nfs_pgio_header_free, 0x826704f2, "_gpl");
SYMBOL_CRC(nfs_initiate_pgio, 0x08f9956f, "_gpl");
SYMBOL_CRC(nfs_generic_pgio, 0x9c189d95, "_gpl");
SYMBOL_CRC(nfs_pageio_resend, 0x76b8c087, "_gpl");
SYMBOL_CRC(nfs_pageio_init_read, 0x1b50d42a, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_read_mds, 0x8f9d0ee2, "_gpl");
SYMBOL_CRC(nfs_read_alloc_scratch, 0x2176ac7f, "_gpl");
SYMBOL_CRC(nfs_commitdata_alloc, 0x9c73398b, "_gpl");
SYMBOL_CRC(nfs_commit_free, 0xd64e4f37, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list_locked, 0xec36d569, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list, 0xad01fae6, "_gpl");
SYMBOL_CRC(nfs_request_remove_commit_list, 0x77bd04de, "_gpl");
SYMBOL_CRC(nfs_init_cinfo, 0xa94a3de1, "_gpl");
SYMBOL_CRC(nfs_scan_commit_list, 0xcf409158, "_gpl");
SYMBOL_CRC(nfs_pageio_init_write, 0xe9df15c3, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_write_mds, 0x241ec04a, "_gpl");
SYMBOL_CRC(nfs_writeback_update_inode, 0x6a12c5ce, "_gpl");
SYMBOL_CRC(nfs_commitdata_release, 0xf7f0feea, "_gpl");
SYMBOL_CRC(nfs_initiate_commit, 0x6dc22047, "_gpl");
SYMBOL_CRC(nfs_init_commit, 0x24eb4cb6, "_gpl");
SYMBOL_CRC(nfs_retry_commit, 0x61257def, "_gpl");
SYMBOL_CRC(nfs_commit_inode, 0xf2d03a71, "_gpl");
SYMBOL_CRC(nfs_write_inode, 0xb8813c73, "_gpl");
SYMBOL_CRC(nfs_filemap_write_and_wait_range, 0x08c001b9, "_gpl");
SYMBOL_CRC(nfs_wb_all, 0x69b31fd5, "_gpl");
SYMBOL_CRC(nfs_path, 0x77df2f5b, "_gpl");
SYMBOL_CRC(nfs_do_submount, 0x2f611239, "_gpl");
SYMBOL_CRC(nfs_submount, 0x832d2634, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_enter, 0x49f909e4, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_enter, 0xb982e04a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_enter, 0xab13641c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_fsync_enter, 0xfd3c0de6, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_exit, 0x2814f248, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_exit, 0xfe55ee99, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_exit, 0x7a031e81, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_fsync_exit, 0x9d919c44, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_status, 0x354af6ba, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_status, 0x0a6088dd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_status, 0x675d1a73, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_xdr_status, 0xfeb42418, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_bad_filehandle, 0xa517c916, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_bad_filehandle, 0x5bd59985, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_bad_filehandle, 0x58fef7e1, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_xdr_bad_filehandle, 0x37239e6d, "_gpl");
SYMBOL_CRC(nfs_sysfs_link_rpc_client, 0x3d065f8e, "_gpl");
SYMBOL_CRC(nfs_sysfs_add_server, 0xddbdb2dc, "_gpl");
SYMBOL_CRC(nfs_fs_type, 0xab46da21, "_gpl");
SYMBOL_CRC(nfs4_fs_type, 0x4d6dd87d, "_gpl");
SYMBOL_CRC(nfs_fscache_open_file, 0x19b33104, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdcb3deb9, "inode_newsize_ok" },
	{ 0xf62ae82a, "d_drop" },
	{ 0xbd9f4467, "deactivate_super" },
	{ 0x5d00ec7, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8967ae9b, "security_sb_mnt_opts_compat" },
	{ 0x8076d1f, "param_get_uint" },
	{ 0xfa43e306, "vfs_parse_fs_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1693c4c3, "unregister_sysctl_table" },
	{ 0xa4e5abd6, "make_kuid" },
	{ 0x3ad52d7, "truncate_inode_pages_final" },
	{ 0x95eba5c5, "d_alloc" },
	{ 0xe98cb7fa, "fs_kobj" },
	{ 0x6831224, "net_ns_type_operations" },
	{ 0xc0d66538, "__filemap_set_wb_err" },
	{ 0x2d6364ed, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xc027e6b6, "generic_perform_write" },
	{ 0x79001a29, "shrinker_register" },
	{ 0x9471e5ab, "__filemap_get_folio" },
	{ 0x26778ef6, "const_pcpu_hot" },
	{ 0xc24ff2a7, "simple_nosetlease" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xe312dff8, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf07672ce, "rpc_setbufsize" },
	{ 0x8c25b089, "fs_context_for_submount" },
	{ 0xad8d6965, "inode_init_once" },
	{ 0x7fdc463, "folio_wait_private_2" },
	{ 0x6cda6ced, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xb467b424, "__fscache_relinquish_volume" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xe664410d, "seq_escape_mem" },
	{ 0xd7a1b8e, "ilookup5" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xf22f7679, "generic_parse_monolithic" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x567dd68, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xa1048fde, "perf_trace_run_bpf_submit" },
	{ 0xf8cd02a2, "security_d_instantiate" },
	{ 0x57bc19d2, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xce807a25, "up_write" },
	{ 0x5309af8d, "generic_file_read_iter" },
	{ 0xf6e592b3, "rpc_clone_client_set_auth" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa07a37f0, "memchr" },
	{ 0xb9b3ff22, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa1104f02, "put_fs_context" },
	{ 0x840f254d, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xf5c42f2d, "kobj_sysfs_ops" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xfb0c06d8, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x74e1a8cd, "write_cache_pages" },
	{ 0x57a7620b, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4636effb, "kmem_cache_alloc_lru_noprof" },
	{ 0x41db049f, "kmem_cache_free" },
	{ 0xaff38a77, "rpc_max_payload" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x4111da6e, "d_move" },
	{ 0xc8a1fe7e, "seq_putc" },
	{ 0xd2a54d5e, "rpc_proc_unregister" },
	{ 0x4808e220, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xb4d851db, "vfs_create_mount" },
	{ 0x64db9a5, "mark_mounts_for_expiry" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xbb78ef58, "folio_wait_writeback" },
	{ 0xffb7c514, "ida_free" },
	{ 0x8c5b9d39, "nlmclnt_rpc_clnt" },
	{ 0x5ad9ca91, "rpc_clnt_swap_activate" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0x864b9414, "kobject_init_and_add" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbf396c2d, "write_inode_now" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9de24dc, "d_obtain_alias" },
	{ 0xf5c2b84, "__put_devmap_managed_folio_refs" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x382acffa, "folio_end_read" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xd60c861c, "rpc_create" },
	{ 0x4b6b9b3e, "finish_no_open" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xf6e26109, "__folio_start_writeback" },
	{ 0xb89dd787, "d_obtain_root" },
	{ 0xac974fbb, "bpf_trace_run1" },
	{ 0xc611a91e, "param_ops_short" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa5b6752, "folio_end_writeback" },
	{ 0x21556b58, "folio_alloc_noprof" },
	{ 0xebbfc97f, "rpc_call_sync" },
	{ 0xdeef8810, "proc_mkdir" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x52165818, "rpc_put_task_async" },
	{ 0x9899efdf, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xf1038f9d, "xdr_init_decode_pages" },
	{ 0x3bd45f5c, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb917e850, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8f491ca8, "rpc_exit" },
	{ 0x5b2eb70d, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x8535870d, "d_delete" },
	{ 0xd6505da6, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xcc9a1a9b, "nfs_ssc_unregister" },
	{ 0xd9c99504, "rpc_killall_tasks" },
	{ 0x668b19a1, "down_read" },
	{ 0xf545e16e, "xdr_reserve_space" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x181cb8fb, "iov_iter_get_pages_alloc2" },
	{ 0x13aa9355, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x958bc845, "bpf_trace_run3" },
	{ 0x14fb2444, "__put_net" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7a918d67, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x679add38, "generic_read_dir" },
	{ 0xc2780af1, "kobject_del" },
	{ 0xb765aa18, "trace_event_buffer_reserve" },
	{ 0xabab9562, "d_add" },
	{ 0xe6fa06a2, "rename_lock" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbf07279f, "filemap_fdatawait_range" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x6a0af085, "param_ops_bool" },
	{ 0x5f4a905c, "groups_free" },
	{ 0xae063771, "security_inode_notifysecctx" },
	{ 0xf1e50c7e, "nfs_ssc_register" },
	{ 0xc3cf7ce6, "init_user_ns" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x2e49b67, "invalidate_inode_pages2" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x642cad8e, "seq_write" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x9388f5b1, "__folio_put" },
	{ 0x7ade9ba6, "kobject_set_name" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc682a9d, "seq_printf" },
	{ 0xecb84f81, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x21adcf1e, "deactivate_locked_super" },
	{ 0xe02c6a0a, "put_rpccred" },
	{ 0x781b85bf, "__percpu_down_read" },
	{ 0xcc1b2c29, "__d_lookup_unhash_wake" },
	{ 0xd1067bf0, "rpc_clnt_swap_deactivate" },
	{ 0xfd24dafe, "kobject_uevent" },
	{ 0xe79cf17a, "__fscache_invalidate" },
	{ 0x8b0cdde4, "folio_mapping" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x903e2294, "alloc_pages_noprof" },
	{ 0xb7bc4efa, "cred_fscmp" },
	{ 0x349a5711, "__folio_lock" },
	{ 0x2fe85ab2, "filemap_dirty_folio" },
	{ 0x5a56d103, "pagecache_get_page" },
	{ 0x7320ed7d, "is_bad_inode" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x23205ec9, "__fscache_use_cookie" },
	{ 0x4364d079, "rcuwait_wake_up" },
	{ 0xe1ebd6db, "_proc_mkdir" },
	{ 0x3dd0309a, "node_data" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xa0c82dfb, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x43405e36, "__fs_parse" },
	{ 0x4f12a2e6, "sysfs_create_link_nowarn" },
	{ 0xac50f1ee, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb3e31f37, "dget_parent" },
	{ 0xb6b666f4, "nlmclnt_init" },
	{ 0x74a2e4fd, "__seq_puts" },
	{ 0x125ec6b2, "kill_anon_super" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x82f73853, "iget5_locked" },
	{ 0x3f9de5e4, "filemap_write_and_wait_range" },
	{ 0x3091ecce, "kset_register" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x22922328, "nlmclnt_done" },
	{ 0x754d539c, "strlen" },
	{ 0x59097e28, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xb5252c00, "param_ops_int" },
	{ 0x28f1b701, "netfs_subreq_terminated" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x299ba33c, "iov_iter_revert" },
	{ 0xb95b55cc, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd727f380, "mntget" },
	{ 0xa7e3d296, "setattr_should_drop_sgid" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x454efec, "filemap_fault" },
	{ 0xbe8da733, "d_invalidate" },
	{ 0x1eec8c08, "__mark_inode_dirty" },
	{ 0xb52012a7, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x78fc188, "folio_wait_private_2_killable" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x53b954a2, "up_read" },
	{ 0x28043f92, "rpc_wait_for_completion_task" },
	{ 0x12193554, "set_anon_super" },
	{ 0x8b89f133, "drop_nlink" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x41326383, "kmem_cache_destroy" },
	{ 0xcc16158c, "__fscache_acquire_cookie" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcf461b6e, "kobject_put" },
	{ 0x3110f900, "vfs_get_tree" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x9956e56, "rpc_put_task" },
	{ 0x96906994, "super_setup_bdi_name" },
	{ 0xc3ffb62e, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xbacdc4fc, "inode_update_timestamps" },
	{ 0x66dfb4a2, "filemap_fdatawrite" },
	{ 0x91c213f0, "generic_fillattr" },
	{ 0x95b3573c, "vfs_fsync_range" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa3fc8fb1, "shrinker_alloc" },
	{ 0xf2d6ce75, "clear_nlink" },
	{ 0x492a289e, "file_check_and_advance_wb_err" },
	{ 0xd595bb51, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf0a7e4ee, "d_alloc_parallel" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x32d9da0e, "clear_inode" },
	{ 0x4a674608, "inode_to_bdi" },
	{ 0xa4096a30, "bpf_trace_run4" },
	{ 0x5f08def4, "__fscache_acquire_volume" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x911bf745, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xac4038d6, "proc_dointvec_jiffies" },
	{ 0xb3a771e0, "rpc_proc_register" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x130c6c35, "sysfs_create_file_ns" },
	{ 0x899dc502, "rpc_shutdown_client" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa41aa838, "fs_param_is_string" },
	{ 0x5b23dc4b, "folio_unlock" },
	{ 0xeea67ba6, "mnt_set_expiry" },
	{ 0xd36d935d, "param_ops_ushort" },
	{ 0x7137b82f, "lookup_one_len" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xa6a165a, "rpc_clnt_show_stats" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x4f63da05, "filemap_map_pages" },
	{ 0xef6f60c0, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8a274f36, "trace_raw_output_prep" },
	{ 0x580efc28, "kobject_rename" },
	{ 0xcca8c963, "security_sb_set_mnt_opts" },
	{ 0x8aac8851, "init_special_inode" },
	{ 0x42848d38, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x52252f09, "generic_error_remove_folio" },
	{ 0xe188313c, "__trace_trigger_soft_disabled" },
	{ 0x2940c7ef, "filemap_fdatawrite_range" },
	{ 0x9a06bd76, "folio_wait_bit_killable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x1d7ec13e, "d_make_root" },
	{ 0x223bee5b, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x53270d, "sync_filesystem" },
	{ 0xcb41b0ab, "__fscache_unuse_cookie" },
	{ 0x64b3d8ba, "folio_redirty_for_writepage" },
	{ 0x240b4f08, "sget_fc" },
	{ 0x8d471c5e, "d_splice_alias" },
	{ 0xfffae2b3, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x14237b27, "unmap_mapping_range" },
	{ 0xaa5bcc11, "ihold" },
	{ 0x2afb61e8, "inode_dio_wait" },
	{ 0xc1cb0329, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x30156da6, "invalidate_inode_pages2_range" },
	{ 0xf53457d2, "read_cache_page" },
	{ 0x1b03320a, "finish_open" },
	{ 0x38c0ced2, "iput" },
	{ 0x8e5aacaa, "kset_unregister" },
	{ 0x999dfa42, "pcpu_hot" },
	{ 0x1810d01d, "security_sb_clone_mnt_opts" },
	{ 0x4846c277, "fs_param_is_enum" },
	{ 0x1add8bb2, "logfc" },
	{ 0x45a3db8d, "iter_file_splice_write" },
	{ 0x6a7619d4, "rpc_pton" },
	{ 0x309c7300, "mod_node_page_state" },
	{ 0xee24b59d, "rpc_wake_up_queued_task" },
	{ 0xe8b437e2, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x42f36fb8, "remove_proc_subtree" },
	{ 0x3d5fe019, "rpc_restart_call_prepare" },
	{ 0xae43ed2, "d_lookup" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xca91732, "__module_get" },
	{ 0x79f12237, "__fscache_relinquish_cookie" },
	{ 0xb8cf475a, "register_filesystem" },
	{ 0xe23b011e, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x7c6fb24e, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x38334184, "filemap_add_folio" },
	{ 0x4319e3fe, "rpc_sleep_on" },
	{ 0xa04c5c70, "rpc_run_task" },
	{ 0xebb8dab6, "netfs_readahead" },
	{ 0xc7362589, "proc_create_net_data" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xcae37864, "d_prune_aliases" },
	{ 0x12d1595e, "__put_cred" },
	{ 0x555944c3, "register_pernet_subsys" },
	{ 0x2df56649, "rpc_cancel_tasks" },
	{ 0x884f3cb1, "shrinker_free" },
	{ 0x3926bedd, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3f760081, "migrate_folio" },
	{ 0xe6d57b1f, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xb8539824, "add_swap_extent" },
	{ 0x78b64232, "fs_param_is_u32" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,netfs,lockd");


MODULE_INFO(srcversion, "2AD644688300C3B6E3F7EF0");
