#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x5d00ec7, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfba9c286, "fscrypt_set_context" },
	{ 0xa4e5abd6, "make_kuid" },
	{ 0x3ad52d7, "truncate_inode_pages_final" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xe98cb7fa, "fs_kobj" },
	{ 0xc0d66538, "__filemap_set_wb_err" },
	{ 0x2d6364ed, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xe735a9d2, "fscrypt_file_open" },
	{ 0x79001a29, "shrinker_register" },
	{ 0x9471e5ab, "__filemap_get_folio" },
	{ 0x26778ef6, "const_pcpu_hot" },
	{ 0x112480d5, "ilookup" },
	{ 0xaa041744, "xattr_full_name" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4517b441, "ubi_close_volume" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xad8d6965, "inode_init_once" },
	{ 0x6cda6ced, "file_write_and_wait_range" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6437252d, "ubi_leb_unmap" },
	{ 0xe5f04153, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57bc19d2, "down_write" },
	{ 0xb1e6533f, "fscrypt_ioctl_get_nonce" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x5309af8d, "generic_file_read_iter" },
	{ 0x7704c214, "crypto_shash_setkey" },
	{ 0x770e03e0, "key_type_logon" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2773c485, "__wake_up_locked" },
	{ 0xd758a3f4, "ubi_leb_read" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0x614ae719, "__fscrypt_prepare_rename" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xdd8162f5, "fscrypt_encrypt_block_inplace" },
	{ 0x66011ab6, "ubi_get_device_info" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x74e1a8cd, "write_cache_pages" },
	{ 0x6107f15a, "fscrypt_ioctl_set_policy" },
	{ 0x57a7620b, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4636effb, "kmem_cache_alloc_lru_noprof" },
	{ 0x41db049f, "kmem_cache_free" },
	{ 0xada345e7, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xf63ff2a4, "security_inode_init_security" },
	{ 0xbd6841d4, "crc16" },
	{ 0x6ba36858, "from_kgid" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x8fb1f264, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x86377cf1, "__fscrypt_encrypt_symlink" },
	{ 0xddf170a0, "__fscrypt_prepare_link" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa681a87c, "ubi_leb_write" },
	{ 0x864b9414, "kobject_init_and_add" },
	{ 0xcf715396, "sget" },
	{ 0x6d5e24e3, "crypto_shash_update" },
	{ 0x63c53015, "ubi_leb_change" },
	{ 0xbf396c2d, "write_inode_now" },
	{ 0x95052a70, "folio_wait_stable" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4f87fa5d, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2013d9a4, "fscrypt_put_encryption_info" },
	{ 0x636abc4b, "freezing_slow_path" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf6e26109, "__folio_start_writeback" },
	{ 0x45724452, "ubi_open_volume_nm" },
	{ 0xa5b6752, "folio_end_writeback" },
	{ 0x60cb8002, "fscrypt_d_revalidate" },
	{ 0x3197600c, "from_kuid" },
	{ 0x9b815d87, "ubi_leb_map" },
	{ 0xfb578fc5, "memset" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x49e9800c, "__insert_inode_hash" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5b2eb70d, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x30aa644b, "fscrypt_drop_inode" },
	{ 0xd1716922, "hash_algo_name" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x83c0d6b5, "truncate_setsize" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d4a65b9, "nonseekable_open" },
	{ 0x5a29b651, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc8cfd584, "__fscrypt_prepare_readdir" },
	{ 0xd4514300, "debugfs_create_file" },
	{ 0x6f57f4fe, "param_set_int" },
	{ 0x999e8297, "vfree" },
	{ 0x679add38, "generic_read_dir" },
	{ 0xc2780af1, "kobject_del" },
	{ 0x28494ccd, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc3cf7ce6, "init_user_ns" },
	{ 0xdc92a763, "simple_rename_timestamp" },
	{ 0x237f495b, "request_key_tag" },
	{ 0xf88eee2b, "fscrypt_ioctl_add_key" },
	{ 0xe091c977, "list_sort" },
	{ 0xe2a8e1f5, "fscrypt_fname_disk_to_usr" },
	{ 0xcd6a9de7, "inode_set_ctime_current" },
	{ 0xe9675ba5, "inc_nlink" },
	{ 0x642cad8e, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x9388f5b1, "__folio_put" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x7ade9ba6, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x798fef95, "fscrypt_ioctl_get_policy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc682a9d, "seq_printf" },
	{ 0x39d8f50a, "ubi_open_volume" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x21adcf1e, "deactivate_locked_super" },
	{ 0xacba50b6, "touch_atime" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x349a5711, "__folio_lock" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x2fe85ab2, "filemap_dirty_folio" },
	{ 0x7320ed7d, "is_bad_inode" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x7a1413ed, "fscrypt_prepare_symlink" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xac50f1ee, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x125ec6b2, "kill_anon_super" },
	{ 0xcb9c227c, "writeback_inodes_sb_nr" },
	{ 0x65126f83, "d_parent_ino" },
	{ 0x81188c30, "match_string" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0x3091ecce, "kset_register" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x8b2b772c, "fscrypt_prepare_new_inode" },
	{ 0x2c140be2, "param_get_int" },
	{ 0x8e715f2d, "fscrypt_get_symlink" },
	{ 0x454efec, "filemap_fault" },
	{ 0x55fe5cf7, "crypto_alloc_shash" },
	{ 0x74bece66, "debugfs_create_dir" },
	{ 0x1eec8c08, "__mark_inode_dirty" },
	{ 0xb52012a7, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc294e9, "make_bad_inode" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0x12193554, "set_anon_super" },
	{ 0x8b89f133, "drop_nlink" },
	{ 0xc936f38, "fscrypt_free_inode" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8babc904, "fscrypt_has_permitted_context" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x45d86aea, "iget_failed" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xab999e47, "fscrypt_symlink_getattr" },
	{ 0x41326383, "kmem_cache_destroy" },
	{ 0xd06642f0, "crypto_shash_export" },
	{ 0xcf461b6e, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x96906994, "super_setup_bdi_name" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xbacdc4fc, "inode_update_timestamps" },
	{ 0x68ec12fc, "crypto_comp_decompress" },
	{ 0xedda8aa4, "inode_init_owner" },
	{ 0x91c213f0, "generic_fillattr" },
	{ 0x5d9b08b1, "setattr_prepare" },
	{ 0xcd1a272, "filemap_migrate_folio" },
	{ 0xb8c9d751, "iget_locked" },
	{ 0xa3fc8fb1, "shrinker_alloc" },
	{  0xf6aab, "generic_set_sb_d_ops" },
	{ 0xf2d6ce75, "clear_nlink" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xa9cee1d8, "d_instantiate" },
	{ 0x32d9da0e, "clear_inode" },
	{ 0x26a93eb2, "verify_pkcs7_signature" },
	{ 0xa1f8b902, "crypto_shash_import" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa99a2565, "crypto_alloc_base" },
	{ 0xa2c0fed9, "empty_aops" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5b23dc4b, "folio_unlock" },
	{ 0x7023461e, "fscrypt_ioctl_remove_key_all_users" },
	{ 0xb0e602eb, "memmove" },
	{ 0x17eeff90, "new_inode" },
	{ 0xba10ac3c, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x4f63da05, "filemap_map_pages" },
	{ 0x8aac8851, "init_special_inode" },
	{ 0x42848d38, "unregister_filesystem" },
	{ 0x70673ce8, "__fscrypt_prepare_setattr" },
	{ 0x733bf694, "__fscrypt_prepare_lookup" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf5a2db37, "fscrypt_ioctl_get_key_status" },
	{ 0x1d7ec13e, "d_make_root" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x634c35a7, "fscrypt_decrypt_block_inplace" },
	{ 0x53270d, "sync_filesystem" },
	{ 0x676a0e75, "ubi_is_mapped" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x64b3d8ba, "folio_redirty_for_writepage" },
	{ 0x8d471c5e, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x5aca7802, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xaa5bcc11, "ihold" },
	{ 0x37a0cba, "kfree" },
	{ 0x1b03320a, "finish_open" },
	{ 0x38c0ced2, "iput" },
	{ 0x8e5aacaa, "kset_unregister" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x45a3db8d, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x42801d20, "ubi_sync" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1fafc58a, "generic_file_write_iter" },
	{ 0xb2184a0, "ubi_open_volume_path" },
	{ 0xb8cf475a, "register_filesystem" },
	{ 0xd37c2a7d, "d_tmpfile" },
	{ 0xe23b011e, "kmem_cache_create" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0x7c6fb24e, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb55c619a, "fscrypt_ioctl_get_policy_ex" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7389e268, "crypto_comp_compress" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xad5ef6d, "ubi_get_volume_info" },
	{ 0xa6fb59d1, "wake_up_process" },
	{ 0x884f3cb1, "shrinker_free" },
	{ 0xe829d9e7, "fscrypt_setup_filename" },
	{ 0x6926f534, "crypto_destroy_tfm" },
	{ 0x96614f16, "simple_inode_init_ts" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "ubi");


MODULE_INFO(srcversion, "99FCAB37362F460E953B9CB");
