#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_shutup_speakers, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0x9cf403d6, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0xeb8b2610, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0x3b4032cf, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0x9c04b4b6, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0xe790ca91, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0xc4b28c04, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0xc2194a1e, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0xaf65efa5, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0xf8182f68, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0xe23180df, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0x319b4d29, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0x369a30d8, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0x0d0af1c5, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0x9775a85c, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0x8f1a9d1b, "_gpl");
SYMBOL_CRC(snd_hda_gen_shutup_speakers, 0x91df605e, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0xf73e471b, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0x6a03cad1, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0x6253cda3, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0x0bf833a2, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0x84d85132, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0x0f041690, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b74bb7a, "snd_hda_apply_fixup" },
	{ 0xe631badf, "snd_hda_enum_helper_info" },
	{ 0x11fbf26, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x754d539c, "strlen" },
	{ 0xf4ca9d0a, "snd_hdac_codec_read" },
	{ 0x3019c52a, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0xee5ef6e9, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0x26be0581, "snd_hda_codec_get_pin_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0x30d0425c, "snd_hdac_regmap_sync" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0x8cdbb6ab, "snd_hda_apply_verbs" },
	{ 0x2d063dae, "snd_hda_codec_amp_update" },
	{ 0x1b44858b, "snd_hda_add_new_ctls" },
	{ 0x8c4539c8, "snd_hda_get_connections" },
	{ 0x118f05, "snd_hda_codec_amp_init_stereo" },
	{ 0xdd658a1b, "snd_hda_set_vmaster_tlv" },
	{ 0xcac13e5, "hda_get_autocfg_input_label" },
	{ 0x4ef08de3, "query_amp_caps" },
	{ 0xb40915f2, "devm_kmalloc" },
	{ 0x4ebadd11, "snd_hda_mixer_amp_volume_info" },
	{ 0xcb340a72, "snd_hdac_regmap_read_raw" },
	{ 0xfa5a5ff, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf8bf8360, "snd_hda_codec_setup_stream" },
	{ 0x2672718f, "snd_hda_mixer_amp_switch_info" },
	{ 0x73729532, "hda_codec_driver_unregister" },
	{ 0x10cbcfd8, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xfc51a2cf, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0x980544fb, "snd_hda_jack_tbl_get_mst" },
	{ 0x9645f4d9, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0xee102b98, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0x6d22dafa, "led_classdev_unregister" },
	{ 0xaa3e60dd, "snd_hda_codec_pcm_new" },
	{ 0xe1dd32cb, "__snd_hda_codec_cleanup_stream" },
	{ 0xee23633f, "snd_ctl_sync_vmaster" },
	{ 0x4989fb02, "__dynamic_dev_dbg" },
	{ 0x578acfa, "snd_hda_multi_out_dig_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc4a7aaa1, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4a2b7548, "snd_hda_add_imux_item" },
	{ 0xc56ee68f, "snd_hda_correct_pin_ctl" },
	{ 0xd4f1315c, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x1728149e, "snd_hda_create_dig_out_ctls" },
	{ 0x781c8341, "snd_hda_multi_out_dig_close" },
	{ 0x8a9a55e8, "snd_hda_get_conn_index" },
	{ 0x705775e, "snd_hda_multi_out_analog_open" },
	{ 0x9b486954, "snd_hda_get_bool_hint" },
	{ 0x2e685ed8, "snd_hda_create_spdif_share_sw" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa0add145, "snd_hda_find_mixer_ctl" },
	{ 0xdd01a3c0, "snd_hda_get_int_hint" },
	{ 0x2235dd05, "_dev_err" },
	{ 0xf9bced2, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0xf8da99be, "snd_hda_parse_pin_defcfg" },
	{ 0x73b844d3, "snd_hda_codec_amp_init" },
	{ 0x51d9ef48, "snd_hda_create_spdif_in_ctls" },
	{ 0x10f4f3e, "is_jack_detectable" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc59d0874, "snd_hda_multi_out_analog_cleanup" },
	{ 0x452b71bf, "snd_hda_multi_out_analog_prepare" },
	{ 0x3e4ce849, "snd_ctl_boolean_stereo_info" },
	{ 0x833074e8, "snd_hda_get_conn_list" },
	{ 0x336a0e2c, "snd_hda_mixer_amp_switch_get" },
	{ 0x8a9f96fe, "snd_hda_codec_set_pin_target" },
	{ 0x7b9007f2, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x87666ff4, "snd_hda_attach_beep_device" },
	{ 0xa1e9ae45, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0x13097bcf, "snd_hdac_regmap_write_raw" },
	{ 0x5ba2a2b2, "snd_hda_mixer_amp_volume_get" },
	{ 0xc08a94ec, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x3c21bf18, "_dev_warn" },
	{ 0x79da614, "snd_hda_check_amp_caps" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x58d169b4, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x830d407c, "snd_hda_jack_unsol_event" },
	{ 0x5c8499bf, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x55514ee9, "snd_hda_mixer_amp_tlv" },
	{ 0x4cf720f8, "snd_hda_jack_add_kctls" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0xe0c2d2ee, "__snd_hda_add_vmaster" },
	{ 0xb2fc8ce0, "snd_hda_codec_amp_stereo" },
	{ 0xd27872d1, "snd_hda_sync_vmaster_hook" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "4BD4D94F2A767C6F8A6C755");
