#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(oxygen_read8, "", "");
KSYMTAB_FUNC(oxygen_read16, "", "");
KSYMTAB_FUNC(oxygen_read32, "", "");
KSYMTAB_FUNC(oxygen_write8, "", "");
KSYMTAB_FUNC(oxygen_write16, "", "");
KSYMTAB_FUNC(oxygen_write32, "", "");
KSYMTAB_FUNC(oxygen_write8_masked, "", "");
KSYMTAB_FUNC(oxygen_write16_masked, "", "");
KSYMTAB_FUNC(oxygen_write32_masked, "", "");
KSYMTAB_FUNC(oxygen_write_ac97, "", "");
KSYMTAB_FUNC(oxygen_read_ac97, "", "");
KSYMTAB_FUNC(oxygen_write_ac97_masked, "", "");
KSYMTAB_FUNC(oxygen_write_spi, "", "");
KSYMTAB_FUNC(oxygen_write_i2c, "", "");
KSYMTAB_FUNC(oxygen_reset_uart, "", "");
KSYMTAB_FUNC(oxygen_write_uart, "", "");
KSYMTAB_FUNC(oxygen_pci_probe, "", "");
KSYMTAB_DATA(oxygen_pci_pm, "", "");
KSYMTAB_FUNC(oxygen_pci_shutdown, "", "");
KSYMTAB_FUNC(oxygen_update_dac_routing, "", "");

SYMBOL_CRC(oxygen_read8, 0x36635a2c, "");
SYMBOL_CRC(oxygen_read16, 0x9f01b39a, "");
SYMBOL_CRC(oxygen_read32, 0x313c97b1, "");
SYMBOL_CRC(oxygen_write8, 0xd5cf7688, "");
SYMBOL_CRC(oxygen_write16, 0x4effd095, "");
SYMBOL_CRC(oxygen_write32, 0x98cbcf1e, "");
SYMBOL_CRC(oxygen_write8_masked, 0x614d2a8e, "");
SYMBOL_CRC(oxygen_write16_masked, 0xfe8c2780, "");
SYMBOL_CRC(oxygen_write32_masked, 0xdfe699e9, "");
SYMBOL_CRC(oxygen_write_ac97, 0x026b1433, "");
SYMBOL_CRC(oxygen_read_ac97, 0x93d2c1fa, "");
SYMBOL_CRC(oxygen_write_ac97_masked, 0x89d6527f, "");
SYMBOL_CRC(oxygen_write_spi, 0x2ea54967, "");
SYMBOL_CRC(oxygen_write_i2c, 0xce3ed677, "");
SYMBOL_CRC(oxygen_reset_uart, 0x93f5a651, "");
SYMBOL_CRC(oxygen_write_uart, 0x4a7eec14, "");
SYMBOL_CRC(oxygen_pci_probe, 0x43ad1992, "");
SYMBOL_CRC(oxygen_pci_pm, 0xe2a4d905, "");
SYMBOL_CRC(oxygen_pci_shutdown, 0xd81dbdb7, "");
SYMBOL_CRC(oxygen_update_dac_routing, 0x54b69597, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf1f1992d, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc682a9d, "seq_printf" },
	{ 0x9867433b, "snd_mpu401_uart_new" },
	{ 0xba6c8756, "pci_match_id" },
	{ 0x7f5cbcc9, "snd_pcm_hw_constraint_msbits" },
	{ 0xac05eb5a, "snd_pcm_period_elapsed" },
	{ 0x81188c30, "match_string" },
	{ 0x873b48e9, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x6d43dc0a, "pcim_enable_device" },
	{ 0x6f2121a9, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6558423d, "pci_write_config_dword" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x5c0c50c1, "devm_request_threaded_irq" },
	{ 0xb40915f2, "devm_kmalloc" },
	{ 0x53098004, "snd_ctl_add" },
	{ 0x251338b0, "snd_pcm_new" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96220b25, "snd_card_register" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5826eed3, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa33612d0, "snd_card_free_on_error" },
	{ 0xadf8af25, "snd_card_rw_proc_new" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb704d4e, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbe1a3c44, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a068c8f, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xd011aa6a, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1cc61009, "snd_ctl_boolean_mono_info" },
	{ 0x2235dd05, "_dev_err" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x53bb7a12, "snd_ctl_notify" },
	{ 0x8285b822, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe9643cb2, "snd_pcm_set_managed_buffer" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x20259aca, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x4a39657c, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-mpu401-uart,snd-pcm");


MODULE_INFO(srcversion, "7F1C9A83DA5732EA6CB6EEA");
