#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc65377de, "regulator_bulk_disable" },
	{ 0x33f07c49, "device_property_read_u32_array" },
	{ 0x5a8c82f0, "snd_soc_get_enum_double" },
	{ 0x74736e50, "fwnode_property_read_u32_array" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x511cea27, "i2c_register_driver" },
	{ 0x92a5fdcf, "snd_soc_info_volsw" },
	{ 0x15b3c8ed, "clkdev_hw_create" },
	{ 0x2235dd05, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf04ac53e, "snd_soc_get_volsw_range" },
	{ 0xa76158b, "snd_soc_dapm_put_volsw" },
	{ 0x7694e0e3, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x52e1a473, "snd_soc_dapm_force_bias_level" },
	{ 0xa9985d14, "device_property_read_string_array" },
	{ 0x43ec641f, "snd_soc_info_volsw_range" },
	{ 0xcdb98382, "regulator_bulk_get" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6c6f98dc, "regmap_reinit_cache" },
	{ 0x3c21bf18, "_dev_warn" },
	{ 0x57980254, "snd_soc_put_volsw_range" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8fe7f571, "snd_soc_info_enum_double" },
	{ 0xe7eadefd, "regulator_bulk_enable" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xe8059f6f, "snd_soc_get_volsw" },
	{ 0x254fb91b, "fwnode_property_read_string" },
	{ 0x8ecfb0b8, "regmap_read" },
	{ 0xa33d0310, "snd_soc_put_volsw" },
	{ 0x17345978, "regmap_bulk_write" },
	{ 0xa7186eed, "snd_soc_component_update_bits" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xebac7028, "device_get_named_child_node" },
	{ 0x2e1ca751, "clk_put" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf98c8b06, "regmap_bulk_read" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xc7e10eab, "regcache_cache_bypass" },
	{ 0x539be0eb, "regmap_update_bits_base" },
	{ 0x3878cd6f, "snd_soc_dapm_get_volsw" },
	{ 0x73d063ff, "i2c_del_driver" },
	{ 0x5d52b076, "regmap_register_patch" },
	{ 0x67fe915b, "snd_soc_dapm_get_enum_double" },
	{ 0x7dddea5b, "regmap_raw_write" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x949eba9a, "snd_soc_dapm_put_enum_double" },
	{ 0xf1121282, "clk_hw_unregister" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd23dd4a5, "device_property_present" },
	{ 0xc569d8ce, "__clk_get_name" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8633cdf8, "regmap_write" },
	{ 0xb40915f2, "devm_kmalloc" },
	{ 0xdbeb066b, "clk_hw_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x47fe0897, "snd_soc_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa24e3d56, "regulator_bulk_free" },
	{ 0x9b6f267a, "clkdev_drop" },
	{ 0x4ccf4a57, "regmap_raw_read" },
	{ 0xff33b4c3, "snd_soc_component_read" },
	{ 0x69d7e408, "regcache_sync_region" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x44a7b365, "snd_soc_dapm_disable_pin" },
	{ 0x1ab5519c, "snd_soc_dapm_force_enable_pin" },
	{ 0xfd5e459a, "snd_soc_put_enum_double" },
	{ 0xf36ec120, "regcache_mark_dirty" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xccd334ea, "clk_get" },
	{ 0x4989fb02, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x93e69429, "snd_soc_component_write" },
	{ 0x23171f51, "snd_soc_dapm_sync" },
	{ 0x2464c91, "regulator_get_voltage" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdfcc483c, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xde1d7732, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");

MODULE_ALIAS("i2c:da7219");
MODULE_ALIAS("acpi*:DLGS7219:*");

MODULE_INFO(srcversion, "CC4768EC48F382794966C9B");
