#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0x025e51a3, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0x888497bf, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0x6a5d8df8, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0xd0234065, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0x2a1d4deb, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0xc8c457ac, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0x68f8a75e, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0xf253f639, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0xc3bf020f, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0x0a884525, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0xb67b5a3f, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0x8d1cf64c, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0x753a4f8a, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0xf129dd25, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0xffa81223, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0x606a0c80, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0x05bfcb79, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0x9d85bc77, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0x6d03dcc9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x26bbaec, "phy_set_mode_ext" },
	{ 0xd8ac193c, "phy_power_on" },
	{ 0x3717b926, "phy_init" },
	{ 0xb26dab11, "phy_power_off" },
	{ 0xdf66a0cc, "phy_exit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfa9be58b, "regulator_disable" },
	{ 0x1b65926c, "regulator_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x1d7b6d45, "__pm_runtime_idle" },
	{ 0x6e07e153, "__pm_runtime_disable" },
	{ 0x4324c39a, "ata_host_resume" },
	{ 0xb86e4edf, "ahci_reset_controller" },
	{ 0xc2527b3, "ahci_init_controller" },
	{ 0xf32e0bc3, "regulator_enable" },
	{ 0x1795a9a7, "platform_get_irq" },
	{ 0xd2e69cf3, "ahci_save_initial_config" },
	{ 0xcf7799e2, "ahci_set_em_messages" },
	{ 0x45d037db, "ata_host_alloc_pinfo" },
	{ 0x54c25415, "platform_get_resource" },
	{ 0xeb0d14d6, "ata_port_desc" },
	{ 0xa4e657ca, "ata_dummy_port_ops" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0x7af9dd75, "ahci_print_info" },
	{ 0x2d13e264, "ahci_host_activate" },
	{ 0xcbab69bb, "dma_set_mask" },
	{ 0x2b8bc34c, "dma_set_coherent_mask" },
	{ 0xc090e3af, "ahci_reset_em" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2235dd05, "_dev_err" },
	{ 0xd011aa6a, "_dev_info" },
	{ 0xe669fa9, "devres_open_group" },
	{ 0xc9f1663c, "__devres_alloc_node" },
	{ 0xbec7d719, "devres_add" },
	{ 0x57ecc9e, "platform_get_resource_byname" },
	{ 0x5fba0b87, "devm_platform_ioremap_resource_byname" },
	{ 0xd13aa1ea, "devm_clk_bulk_get_all" },
	{ 0x23cb5c3d, "devm_regulator_get" },
	{ 0xb40915f2, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xedb3507e, "devm_of_phy_get" },
	{ 0xb2940722, "regulator_get" },
	{ 0x84d39945, "pm_runtime_enable" },
	{ 0x4f0c7fa3, "__pm_runtime_resume" },
	{ 0x8961c859, "devres_remove_group" },
	{ 0x2fc45e0f, "devm_platform_ioremap_resource" },
	{ 0x49d0b2f6, "devres_release_group" },
	{ 0xeb38ecfa, "devm_reset_control_array_get" },
	{ 0xc95f9887, "devm_clk_get_optional" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0xf9997825, "ata_host_suspend" },
	{ 0x616cff5f, "__pm_runtime_set_status" },
	{ 0xc3a626eb, "ahci_ops" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "libata,libahci");


MODULE_INFO(srcversion, "AFCFA732A21B6242723F671");
