#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(adf_cfg_dev_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_dev_remove, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_add_key_value_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_section_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_get_param_value, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_DATA(adf_cfg_services, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_get_service_enabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_clean_vf_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_update_class_index, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_add_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_rm_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_pci_to_accel_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_in_use, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_get, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_put, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_in_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_started, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_down, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_up, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_restart, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_sbr, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_flr, "_gpl", "CRYPTO_QAT");
KSYMTAB_DATA(adf_err_handler, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cleanup_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_send_admin_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sysfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_cfg_iov_thds, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_accel_cap, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_cfg_dev_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_accel_mask, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_misc_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_etr_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sram_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sku, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_heartbeat_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_device, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_msix_default_rttable, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_pfvf_comms_disabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_ring_pair_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_thd2arb_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_ring_to_svc_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_quiesce_coal_timer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_state_save, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_state_restore, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_vf_mig_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_handle_pm_interrupt, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_pm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_ras_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_start, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_stop, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_measure_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_create, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_cleanup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_open, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_close, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_suspend, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_resume, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_save_state, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_save_setup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_load_state, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_load_setup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_destroy, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_tl_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_check_ctrs, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_save_cfg_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_rm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_exit, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_sriov, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sriov_configure, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_pf2vf_interrupts, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_flush_vf_wq, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_pf2vf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_shutdown, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_restart_complete, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_vf2pf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_vf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");

SYMBOL_CRC(adf_cfg_dev_add, 0xd6d9524f, "_gpl");
SYMBOL_CRC(adf_cfg_dev_remove, 0xb1fc52fb, "_gpl");
SYMBOL_CRC(adf_cfg_add_key_value_param, 0x890bd601, "_gpl");
SYMBOL_CRC(adf_cfg_section_add, 0xc4ad21fa, "_gpl");
SYMBOL_CRC(adf_cfg_get_param_value, 0xf576f0c4, "_gpl");
SYMBOL_CRC(adf_isr_resource_free, 0x6302d18a, "_gpl");
SYMBOL_CRC(adf_isr_resource_alloc, 0x14bf4e7a, "_gpl");
SYMBOL_CRC(adf_cfg_services, 0xc9dd5b96, "_gpl");
SYMBOL_CRC(adf_get_service_enabled, 0x260ad1cf, "_gpl");
SYMBOL_CRC(adf_clean_vf_map, 0xcc3b167a, "_gpl");
SYMBOL_CRC(adf_devmgr_update_class_index, 0xfb996529, "_gpl");
SYMBOL_CRC(adf_devmgr_add_dev, 0x0cbd96d0, "_gpl");
SYMBOL_CRC(adf_devmgr_rm_dev, 0x082bfc1d, "_gpl");
SYMBOL_CRC(adf_devmgr_pci_to_accel_dev, 0x64408c1f, "_gpl");
SYMBOL_CRC(adf_dev_in_use, 0xc5bb39df, "_gpl");
SYMBOL_CRC(adf_dev_get, 0x60ae16a5, "_gpl");
SYMBOL_CRC(adf_dev_put, 0xedd65a24, "_gpl");
SYMBOL_CRC(adf_devmgr_in_reset, 0xe51d1e5d, "_gpl");
SYMBOL_CRC(adf_dev_started, 0xa120a71d, "_gpl");
SYMBOL_CRC(adf_dev_down, 0xd4c3469a, "_gpl");
SYMBOL_CRC(adf_dev_up, 0x68f4461d, "_gpl");
SYMBOL_CRC(adf_dev_restart, 0x7e6634f6, "_gpl");
SYMBOL_CRC(adf_reset_sbr, 0x2713e45e, "_gpl");
SYMBOL_CRC(adf_reset_flr, 0x7b4e16c2, "_gpl");
SYMBOL_CRC(adf_err_handler, 0xdacca9e5, "_gpl");
SYMBOL_CRC(adf_init_etr_data, 0x9001c409, "_gpl");
SYMBOL_CRC(adf_cleanup_etr_data, 0x7069f23c, "_gpl");
SYMBOL_CRC(adf_send_admin_init, 0xe67bfe93, "_gpl");
SYMBOL_CRC(adf_init_admin_comms, 0xe714d9fe, "_gpl");
SYMBOL_CRC(adf_exit_admin_comms, 0xffe34814, "_gpl");
SYMBOL_CRC(adf_init_arb, 0x6cc67358, "_gpl");
SYMBOL_CRC(adf_exit_arb, 0x35122fad, "_gpl");
SYMBOL_CRC(adf_sysfs_init, 0xf9d9349d, "_gpl");
SYMBOL_CRC(adf_gen2_init_hw_csr_ops, 0xe7e93b61, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_accels, 0x9e77c1c2, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_aes, 0x7c50e652, "_gpl");
SYMBOL_CRC(adf_gen2_enable_error_correction, 0x72ecf4f3, "_gpl");
SYMBOL_CRC(adf_gen2_cfg_iov_thds, 0xf79e404e, "_gpl");
SYMBOL_CRC(adf_gen2_get_admin_info, 0x3e707f37, "_gpl");
SYMBOL_CRC(adf_gen2_get_arb_info, 0x2be4e269, "_gpl");
SYMBOL_CRC(adf_gen2_enable_ints, 0x6688d713, "_gpl");
SYMBOL_CRC(adf_gen2_get_accel_cap, 0xf4028d23, "_gpl");
SYMBOL_CRC(adf_gen2_set_ssm_wdtimer, 0xe86e1a94, "_gpl");
SYMBOL_CRC(adf_gen2_dev_config, 0x6baed760, "_gpl");
SYMBOL_CRC(adf_gen4_dev_config, 0x9fc24970, "_gpl");
SYMBOL_CRC(adf_gen4_cfg_dev_init, 0xb779f0b9, "_gpl");
SYMBOL_CRC(adf_gen4_init_hw_csr_ops, 0x2c0f84ec, "_gpl");
SYMBOL_CRC(adf_gen4_get_accel_mask, 0x63a765f5, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_accels, 0x5d6a50c8, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_aes, 0xdd0355c0, "_gpl");
SYMBOL_CRC(adf_gen4_get_misc_bar_id, 0x51ad0221, "_gpl");
SYMBOL_CRC(adf_gen4_get_etr_bar_id, 0x83d2086e, "_gpl");
SYMBOL_CRC(adf_gen4_get_sram_bar_id, 0xcbbf4947, "_gpl");
SYMBOL_CRC(adf_gen4_get_sku, 0xff96e8fc, "_gpl");
SYMBOL_CRC(adf_gen4_get_arb_info, 0x4c051dc4, "_gpl");
SYMBOL_CRC(adf_gen4_get_admin_info, 0x2230d349, "_gpl");
SYMBOL_CRC(adf_gen4_get_heartbeat_clock, 0xae4dc683, "_gpl");
SYMBOL_CRC(adf_gen4_enable_error_correction, 0x032e7781, "_gpl");
SYMBOL_CRC(adf_gen4_enable_ints, 0x7fc9ca28, "_gpl");
SYMBOL_CRC(adf_gen4_init_device, 0x788fd23e, "_gpl");
SYMBOL_CRC(adf_gen4_set_ssm_wdtimer, 0x56b38393, "_gpl");
SYMBOL_CRC(adf_gen4_set_msix_default_rttable, 0xe53e9769, "_gpl");
SYMBOL_CRC(adf_pfvf_comms_disabled, 0x683ded75, "_gpl");
SYMBOL_CRC(adf_gen4_ring_pair_reset, 0x3eb0e747, "_gpl");
SYMBOL_CRC(adf_gen4_init_thd2arb_map, 0x99c7c06c, "_gpl");
SYMBOL_CRC(adf_gen4_get_ring_to_svc_map, 0xbe1adb12, "_gpl");
SYMBOL_CRC(adf_gen4_bank_quiesce_coal_timer, 0x5aaf0ccf, "_gpl");
SYMBOL_CRC(adf_gen4_bank_state_save, 0x681f1f29, "_gpl");
SYMBOL_CRC(adf_gen4_bank_state_restore, 0x34d55b3e, "_gpl");
SYMBOL_CRC(adf_gen4_init_vf_mig_ops, 0xfa6ffd23, "_gpl");
SYMBOL_CRC(adf_gen4_handle_pm_interrupt, 0xfaf20de6, "_gpl");
SYMBOL_CRC(adf_gen4_enable_pm, 0xa414c195, "_gpl");
SYMBOL_CRC(adf_gen2_init_dc_ops, 0xe45f3512, "_gpl");
SYMBOL_CRC(adf_gen4_init_dc_ops, 0xe327f1f1, "_gpl");
SYMBOL_CRC(adf_gen4_init_ras_ops, 0xbd0eeede, "_gpl");
SYMBOL_CRC(adf_gen4_timer_start, 0xc6a8f620, "_gpl");
SYMBOL_CRC(adf_gen4_timer_stop, 0x541461ca, "_gpl");
SYMBOL_CRC(adf_dev_measure_clock, 0x9815d15d, "_gpl");
SYMBOL_CRC(qat_vfmig_create, 0x60424ebe, "_gpl");
SYMBOL_CRC(qat_vfmig_init, 0x11c78a82, "_gpl");
SYMBOL_CRC(qat_vfmig_cleanup, 0xc445daef, "_gpl");
SYMBOL_CRC(qat_vfmig_reset, 0xf957a0dc, "_gpl");
SYMBOL_CRC(qat_vfmig_open, 0xe6ec398c, "_gpl");
SYMBOL_CRC(qat_vfmig_close, 0x8d9f5e3d, "_gpl");
SYMBOL_CRC(qat_vfmig_suspend, 0x17442e7f, "_gpl");
SYMBOL_CRC(qat_vfmig_resume, 0x99d30dc6, "_gpl");
SYMBOL_CRC(qat_vfmig_save_state, 0x85ff00a2, "_gpl");
SYMBOL_CRC(qat_vfmig_save_setup, 0x6161526c, "_gpl");
SYMBOL_CRC(qat_vfmig_load_state, 0x4f7494c7, "_gpl");
SYMBOL_CRC(qat_vfmig_load_setup, 0x7e56a91f, "_gpl");
SYMBOL_CRC(qat_vfmig_destroy, 0x52d721ce, "_gpl");
SYMBOL_CRC(adf_gen4_init_tl_data, 0xe2c32138, "_gpl");
SYMBOL_CRC(adf_heartbeat_check_ctrs, 0x22a6cc55, "_gpl");
SYMBOL_CRC(adf_heartbeat_save_cfg_param, 0x8c7aa4f2, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_add, 0x043af5dd, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_rm, 0xb16eaffc, "_gpl");
SYMBOL_CRC(adf_dbgfs_init, 0xd3556d24, "_gpl");
SYMBOL_CRC(adf_dbgfs_exit, 0x1dd1209f, "_gpl");
SYMBOL_CRC(adf_disable_sriov, 0x6f6f7d87, "_gpl");
SYMBOL_CRC(adf_sriov_configure, 0x4f7ef422, "_gpl");
SYMBOL_CRC(adf_disable_pf2vf_interrupts, 0xdf9ed575, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_free, 0x06d9cdf8, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_alloc, 0x486f58f3, "_gpl");
SYMBOL_CRC(adf_flush_vf_wq, 0x937ae15b, "_gpl");
SYMBOL_CRC(adf_enable_pf2vf_comms, 0x53108263, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_init, 0x8ab19046, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_shutdown, 0x7d2384a5, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_restart_complete, 0x133bcdfc, "_gpl");
SYMBOL_CRC(adf_enable_vf2pf_comms, 0x29f36594, "_gpl");
SYMBOL_CRC(adf_gen2_init_pf_pfvf_ops, 0x29d310dc, "_gpl");
SYMBOL_CRC(adf_gen2_init_vf_pfvf_ops, 0x550177a5, "_gpl");
SYMBOL_CRC(adf_gen4_init_pf_pfvf_ops, 0x970e89db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a39657c, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5d6188d4, "crypto_register_acomps" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x63f1d80a, "seq_read" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb219157, "_dev_notice" },
	{ 0xeb61bc21, "crypto_cipher_encrypt_one" },
	{ 0xd4514300, "debugfs_create_file" },
	{ 0x492ca35, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa89926dc, "crypto_dh_decode_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x642cad8e, "seq_write" },
	{ 0x22f45fde, "crypto_register_kpp" },
	{ 0xa9beddd3, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc682a9d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4130930b, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x26da8228, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x6c14ddaf, "device_add_groups" },
	{ 0xb899d36, "seq_open" },
	{ 0xa9fb3c04, "crypto_unregister_skciphers" },
	{ 0x81188c30, "match_string" },
	{ 0xa7c859d0, "crypto_register_akcipher" },
	{ 0x36bd243f, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x55fe5cf7, "crypto_alloc_shash" },
	{ 0x74bece66, "debugfs_create_dir" },
	{ 0x6f2121a9, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0x8b20c0fa, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x2d675293, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xf5e17072, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa53fc1f1, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0x12113931, "cdev_del" },
	{ 0xd06642f0, "crypto_shash_export" },
	{ 0x6b84e92b, "crypto_alloc_skcipher" },
	{ 0x682a8405, "crypto_skcipher_encrypt" },
	{ 0x69860765, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd595bb51, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa99a2565, "crypto_alloc_base" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb40915f2, "devm_kmalloc" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x7f650b17, "pci_alloc_irq_vectors" },
	{ 0xd8d80053, "crypto_unregister_kpp" },
	{ 0xcd67878a, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xddc456ba, "__kmalloc_node_noprof" },
	{ 0x3be4ef7f, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2d5560e8, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x2e70d9fe, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x58daf5f6, "crypto_register_aeads" },
	{ 0xcc877b4d, "pci_sriov_get_totalvfs" },
	{ 0x1eb27abb, "seq_hex_dump" },
	{ 0x278a0bc1, "device_remove_groups" },
	{ 0xb7b4ec8e, "seq_lseek" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x7c57b7c6, "devm_device_add_group" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x54d0528c, "pci_irq_vector" },
	{ 0x729bbf09, "crypto_skcipher_setkey" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4989fb02, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4ef02cac, "crypto_cipher_setkey" },
	{ 0x868e5e91, "dev_driver_string" },
	{ 0x36d08de4, "crypto_unregister_aeads" },
	{ 0x6926f534, "crypto_destroy_tfm" },
	{ 0xb704d4e, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c5d5b94, "crc8" },
	{ 0x1b568ac6, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0xb8c7999f, "crypto_alloc_kpp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa2da134, "crypto_skcipher_decrypt" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0xd011aa6a, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xe312dff8, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc7a896ee, "compat_ptr_ioctl" },
	{ 0x548077f8, "cdev_add" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9c2a1248, "pci_clear_master" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x17314a9d, "crypto_unregister_acomps" },
	{ 0x57bc19d2, "down_write" },
	{ 0x4ae0f61a, "devm_kfree" },
	{ 0x2235dd05, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xc69a8e67, "simple_open" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x59d05947, "crypto_unregister_akcipher" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4bb5f524, "device_create" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xa170172e, "pci_wait_for_pending_transaction" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0xd50d2ca, "dma_alloc_attrs" },
	{ 0xada345e7, "debugfs_remove" },
	{ 0x95bd9eef, "pcie_flr" },
	{ 0x71ebb8cf, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xc8a1fe7e, "seq_putc" },
	{ 0x66e0e930, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6d5e24e3, "crypto_shash_update" },
	{ 0x3074584e, "class_unregister" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xef1272d4, "crypto_register_skciphers" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe7757740, "pci_restore_state" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xfb578fc5, "memset" },
	{ 0x3c21bf18, "_dev_warn" },
	{ 0xae2d0837, "__kmalloc_cache_node_noprof" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "crc8,authenc");


MODULE_INFO(srcversion, "6015C81E1D9F15F2536E2B2");
