#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v4l2_async_nf_init, "", "");
KSYMTAB_FUNC(v4l2_async_subdev_nf_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_nf_register, "", "");
KSYMTAB_FUNC(v4l2_async_nf_unregister, "", "");
KSYMTAB_FUNC(v4l2_async_nf_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode_remote, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_i2c, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_subdev_endpoint_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_connection_unique, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_register_subdev, "", "");
KSYMTAB_FUNC(v4l2_async_unregister_subdev, "", "");

SYMBOL_CRC(v4l2_async_nf_init, 0x4d0750c6, "");
SYMBOL_CRC(v4l2_async_subdev_nf_init, 0x8ee1a700, "_gpl");
SYMBOL_CRC(v4l2_async_nf_register, 0x3f902292, "");
SYMBOL_CRC(v4l2_async_nf_unregister, 0xf5acebd4, "");
SYMBOL_CRC(v4l2_async_nf_cleanup, 0x63b1eea4, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode, 0x414aaffe, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode_remote, 0xc46cea17, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_i2c, 0x55c441dd, "_gpl");
SYMBOL_CRC(v4l2_async_subdev_endpoint_add, 0x1ab7dc0f, "_gpl");
SYMBOL_CRC(v4l2_async_connection_unique, 0x169498a8, "_gpl");
SYMBOL_CRC(__v4l2_async_register_subdev, 0x14907f21, "");
SYMBOL_CRC(v4l2_async_unregister_subdev, 0x2292c812, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1ba1503, "i2c_verify_client" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x74bece66, "debugfs_create_dir" },
	{ 0xd4514300, "debugfs_create_file" },
	{ 0x36bd243f, "single_open" },
	{ 0xada345e7, "debugfs_remove" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe8abbb89, "fwnode_handle_get" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x338af502, "v4l2_device_unregister_subdev" },
	{ 0xc682a9d, "seq_printf" },
	{ 0x5890a5ac, "fwnode_property_present" },
	{ 0x3cb18fa6, "fwnode_graph_get_port_parent" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa177b56a, "fwnode_graph_get_remote_endpoint" },
	{ 0x37a0cba, "kfree" },
	{ 0x167dec68, "v4l2_subdev_put_privacy_led" },
	{ 0x4989fb02, "__dynamic_dev_dbg" },
	{ 0x95a27f0b, "__dev_fwnode" },
	{ 0xdf768625, "__v4l2_device_register_subdev" },
	{ 0xd9937ff9, "media_create_ancillary_link" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3c21bf18, "_dev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2235dd05, "_dev_err" },
	{ 0xb7b4ec8e, "seq_lseek" },
	{ 0x63f1d80a, "seq_read" },
	{ 0x26da8228, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "videodev,mc");


MODULE_INFO(srcversion, "5BA6B5B7A07FBD1A4525A8B");
