#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pdsc_get_pf_struct, "_gpl", "");
KSYMTAB_FUNC(pds_client_register, "_gpl", "");
KSYMTAB_FUNC(pds_client_unregister, "_gpl", "");
KSYMTAB_FUNC(pds_client_adminq_cmd, "_gpl", "");
KSYMTAB_FUNC(pdsc_adminq_post, "_gpl", "");
KSYMTAB_FUNC(pdsc_register_notify, "_gpl", "");
KSYMTAB_FUNC(pdsc_unregister_notify, "_gpl", "");

SYMBOL_CRC(pdsc_get_pf_struct, 0xa4e0fd30, "_gpl");
SYMBOL_CRC(pds_client_register, 0x71626708, "_gpl");
SYMBOL_CRC(pds_client_unregister, 0xf3261417, "_gpl");
SYMBOL_CRC(pds_client_adminq_cmd, 0x35e862a0, "_gpl");
SYMBOL_CRC(pdsc_adminq_post, 0xff35f1c6, "_gpl");
SYMBOL_CRC(pdsc_register_notify, 0x45b87b4f, "_gpl");
SYMBOL_CRC(pdsc_unregister_notify, 0xce714617, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x86ccdfd3, "devl_lock" },
	{ 0xa11f3822, "pci_dev_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5e03c7c2, "debugfs_create_u16" },
	{ 0x224b779d, "__pci_register_driver" },
	{ 0xe8d7cf5c, "devlink_params_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x5826eed3, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x37a0cba, "kfree" },
	{ 0x90736d07, "devlink_alloc_ns" },
	{ 0xcc877b4d, "pci_sriov_get_totalvfs" },
	{ 0xb7b4ec8e, "seq_lseek" },
	{ 0x657777e5, "pci_reset_function_locked" },
	{ 0x615b5dd1, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x54d0528c, "pci_irq_vector" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4989fb02, "__dynamic_dev_dbg" },
	{ 0x3ce26dc6, "pci_unregister_driver" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7384185, "devlink_flash_update_status_notify" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cae4ae1, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9dd5484d, "debugfs_create_x64" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x4d6d041, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x26778ef6, "const_pcpu_hot" },
	{ 0xb3987b5b, "debugfs_create_regset32" },
	{ 0xd011aa6a, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2fdb4b01, "devl_health_reporter_create" },
	{ 0x7af10944, "pci_iov_vf_id" },
	{ 0x4d857182, "debugfs_lookup" },
	{ 0x3956f68b, "pci_iomap_range" },
	{ 0x39ceeab8, "devlink_flash_update_timeout_notify" },
	{ 0x2235dd05, "_dev_err" },
	{ 0x41fdd5e7, "init_net" },
	{ 0x978daeb, "debugfs_create_bool" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xd2aa4463, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd50d2ca, "dma_alloc_attrs" },
	{ 0xada345e7, "debugfs_remove" },
	{ 0xc8a1fe7e, "seq_putc" },
	{ 0xffb7c514, "ida_free" },
	{ 0x7b8e6584, "devl_params_register" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc78a1ea0, "debugfs_create_ulong" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4cc077a9, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x16d392fb, "device_del" },
	{ 0xb19b445, "ioread8" },
	{ 0x3c21bf18, "_dev_warn" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x4a39657c, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeca3c8b1, "debugfs_create_u32" },
	{ 0x662bb9b8, "devl_params_unregister" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x714d460a, "pci_reset_function" },
	{ 0xa94ff2c1, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2b8bc34c, "dma_set_coherent_mask" },
	{ 0x63f1d80a, "seq_read" },
	{ 0xd4514300, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x492ca35, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xfe1990c3, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa4f93400, "pci_release_regions" },
	{ 0x6ea00fff, "pcie_print_link_status" },
	{ 0xfbdf5b82, "pci_dev_get" },
	{ 0x642cad8e, "seq_write" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc682a9d, "seq_printf" },
	{ 0x2fddce24, "devlink_priv" },
	{ 0x4130930b, "pci_disable_sriov" },
	{ 0x7f3ba77, "pci_disable_device" },
	{ 0x26da8228, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xcbab69bb, "dma_set_mask" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x36bd243f, "single_open" },
	{ 0x18f14252, "devl_register" },
	{ 0x74bece66, "debugfs_create_dir" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0x8b20c0fa, "pci_free_irq_vectors" },
	{ 0x2d675293, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0x99f0c616, "pci_iov_get_pf_drvdata" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe1ef64e5, "devl_unregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfa5bf3b4, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50266da2, "auxiliary_device_init" },
	{ 0x624dbadb, "pci_iomap" },
	{ 0x7f650b17, "pci_alloc_irq_vectors" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001DD8d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001DD8d0000100Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "D05855D197C55F9489926AF");
