#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41e9a95b, "__dma_sync_single_for_cpu" },
	{ 0x81354f76, "napi_complete_done" },
	{ 0xfa5bf3b4, "pci_enable_device" },
	{ 0x4a39657c, "pci_set_master" },
	{ 0xb16bfa52, "napi_disable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xfa4ae030, "netif_carrier_off" },
	{ 0xa6a9f344, "netif_device_detach" },
	{ 0xf7370f56, "system_state" },
	{ 0x58661602, "pci_wake_from_d3" },
	{ 0x15d8a222, "pci_set_power_state" },
	{ 0x94ff8c6f, "pci_prepare_to_sleep" },
	{ 0x532d8afb, "alloc_etherdev_mqs" },
	{ 0xfbd2489d, "netif_napi_add_weight" },
	{ 0x5826eed3, "pci_request_regions" },
	{ 0xcbab69bb, "dma_set_mask" },
	{ 0x624dbadb, "pci_iomap" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd50d2ca, "dma_alloc_attrs" },
	{ 0xb99f3ca4, "pci_pme_active" },
	{ 0xfa148379, "register_netdev" },
	{ 0xfe61531c, "dma_pool_create" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2d5560e8, "request_firmware" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xad67897f, "napi_enable" },
	{ 0x978b030e, "netif_device_attach" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xff52817d, "pci_enable_wake" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x6d1f4df8, "mii_ethtool_sset" },
	{ 0x59fa64f, "napi_schedule_prep" },
	{ 0xe84a8b87, "__napi_schedule" },
	{ 0x2755f67f, "eth_validate_addr" },
	{ 0xa26ced81, "ethtool_op_get_ts_info" },
	{ 0xb5252c00, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x224b779d, "__pci_register_driver" },
	{ 0x495e742a, "netdev_printk" },
	{ 0x69acdf38, "memcpy" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19b445, "ioread8" },
	{ 0x848d372e, "iowrite8" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2a77b0ce, "netdev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb87c2871, "netdev_info" },
	{ 0x3be4ef7f, "dma_unmap_page_attrs" },
	{ 0xe878f206, "consume_skb" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x855fa09b, "mii_link_ok" },
	{ 0xb4b8a03b, "mii_ethtool_get_link_ksettings" },
	{ 0x9550e1c, "mii_nway_restart" },
	{ 0xafa3e741, "generic_mii_ioctl" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3ce26dc6, "pci_unregister_driver" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1b568ac6, "dma_map_page_attrs" },
	{ 0xcd11291d, "skb_tstamp_tx" },
	{ 0x868e5e91, "dev_driver_string" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7c104481, "dev_kfree_skb_any_reason" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5dd6d5eb, "netif_tx_wake_queue" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb5c81b6e, "device_set_wakeup_enable" },
	{ 0xb76b4e45, "mii_ethtool_set_link_ksettings" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x8c3c7271, "dev_addr_mod" },
	{ 0xadbe1206, "unregister_netdev" },
	{ 0x492ca35, "dma_free_attrs" },
	{ 0x4cc077a9, "pci_iounmap" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x5a0adce9, "free_netdev" },
	{ 0xa4f93400, "pci_release_regions" },
	{ 0x7f3ba77, "pci_disable_device" },
	{ 0x5b1f71b2, "mii_ethtool_gset" },
	{ 0xdb077d48, "mii_check_link" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x61fca569, "__netdev_alloc_skb" },
	{ 0x8e947a49, "__dma_sync_single_for_device" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbe4dd0e9, "skb_put" },
	{ 0x11cd239b, "eth_type_trans" },
	{ 0x1d0555d6, "netif_receive_skb" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "mii");

MODULE_ALIAS("pci:v00008086d00001029sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001030sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001031sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001032sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001033sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001034sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001038sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001039sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000103Asv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000103Bsv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000103Csv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000103Dsv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000103Esv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001050sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001051sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001052sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001053sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001054sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001055sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001056sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001057sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001059sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001064sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001065sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001066sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001067sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001068sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001069sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000106Asv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000106Bsv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001091sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001092sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001093sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001094sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001095sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d000010FEsv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001209sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001229sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00002449sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00002459sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000245Dsv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d000027DCsv*sd*bc02sc00i*");

MODULE_INFO(srcversion, "8C98CEDFC2958578B5E0F4C");
