#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5252c00, "param_ops_int" },
	{ 0x6d43dc0a, "pcim_enable_device" },
	{ 0x349cba85, "strchr" },
	{ 0xb87c2871, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x398097b6, "napi_alloc_skb" },
	{ 0x532d8afb, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5c0c50c1, "devm_request_threaded_irq" },
	{ 0xbe4dd0e9, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe878f206, "consume_skb" },
	{ 0xfbd2489d, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xadbe1206, "unregister_netdev" },
	{ 0x3be4ef7f, "dma_unmap_page_attrs" },
	{ 0x224b779d, "__pci_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x2755f67f, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x30f6061c, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x4e779bfe, "__netif_napi_del" },
	{ 0x3ce26dc6, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x2a77b0ce, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x98d8668b, "pskb_expand_head" },
	{ 0x868e5e91, "dev_driver_string" },
	{ 0x8c3c7271, "dev_addr_mod" },
	{ 0x11cd239b, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b568ac6, "dma_map_page_attrs" },
	{ 0x81354f76, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6d672fc3, "devm_free_irq" },
	{ 0xe84a8b87, "__napi_schedule" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3fe48b2e, "napi_gro_receive" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4a5c7918, "pcim_iomap_regions" },
	{ 0x41e9a95b, "__dma_sync_single_for_cpu" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x2235dd05, "_dev_err" },
	{ 0xbdbdc782, "softnet_data" },
	{ 0x8ca6343a, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x86b5d0d1, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd50d2ca, "dma_alloc_attrs" },
	{ 0xad67897f, "napi_enable" },
	{ 0xfa148379, "register_netdev" },
	{ 0x5a0adce9, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf5c2b84, "__put_devmap_managed_folio_refs" },
	{ 0x81bfc24a, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc74dbb70, "netif_tx_stop_all_queues" },
	{ 0x5dd6d5eb, "netif_tx_wake_queue" },
	{ 0x54778001, "netif_schedule_queue" },
	{ 0x4a39657c, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9a1d3f3f, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f55556, "netdev_alert" },
	{ 0x2b8bc34c, "dma_set_coherent_mask" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x492ca35, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9388f5b1, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x373b0d5, "dql_reset" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x903e2294, "alloc_pages_noprof" },
	{ 0xcbab69bb, "dma_set_mask" },
	{ 0xf9b3d968, "skb_add_rx_frag_netmem" },
	{ 0xee92b7be, "pcim_iomap_table" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x8c99029, "__napi_schedule_irqoff" },
	{ 0x59fa64f, "napi_schedule_prep" },
	{ 0xb16bfa52, "napi_disable" },
	{ 0x7c104481, "dev_kfree_skb_any_reason" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000016C3d00007302sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "7BE8B99929713A23F37A652");
