#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82838ad1, "phy_attached_info" },
	{ 0xd160871a, "gpiochip_enable_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0x952c834e, "devm_gpiochip_add_data_with_key" },
	{ 0x7e4211f7, "wx_get_coalesce" },
	{ 0x999dfa42, "pcpu_hot" },
	{ 0xf450fd8d, "wx_mac_set_default_filter" },
	{ 0x2755f67f, "eth_validate_addr" },
	{ 0x8d84b9ec, "gpiochip_disable_irq" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x15d8a222, "pci_set_power_state" },
	{ 0xd6b85c62, "wx_xmit_frame" },
	{ 0x82ba77f0, "wx_get_sset_count" },
	{ 0x94ca4878, "wx_misc_isb" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4989fb02, "__dynamic_dev_dbg" },
	{ 0xc2fa1c35, "gpiochip_irq_relres" },
	{ 0xd7e6805, "wx_configure_vectors" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x3ce26dc6, "pci_unregister_driver" },
	{ 0xb700557f, "wx_flush_sw_mac_table" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x375997dd, "phylink_create" },
	{ 0x4060ac38, "wx_check_flash_load" },
	{ 0xbcc6ff9c, "wx_get_pcie_msix_counts" },
	{ 0x718764b6, "wx_vlan_rx_add_vid" },
	{ 0x8c3c7271, "dev_addr_mod" },
	{ 0x66ef66c8, "wx_stop_adapter" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x693b4041, "handle_bad_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf088a74d, "wx_get_pauseparam" },
	{ 0x35442b2, "wx_nway_reset" },
	{ 0xd6a6abb9, "wx_update_stats" },
	{ 0xa6a9f344, "netif_device_detach" },
	{ 0xd6fc08b0, "wx_clear_hw_cntrs" },
	{ 0xfc5a4105, "xpcs_create_mdiodev" },
	{ 0xfae3054e, "pci_select_bars" },
	{ 0x89d5b675, "wx_sw_init" },
	{ 0x4b613aa6, "devm_alloc_etherdev_mqs" },
	{ 0x43444570, "wx_disable_rx_queue" },
	{ 0x3a3d82f0, "gpiochip_get_data" },
	{ 0xe2ac203a, "wx_disable_sec_rx_path" },
	{ 0x6b8962a7, "wx_vlan_rx_kill_vid" },
	{ 0x2235dd05, "_dev_err" },
	{ 0xb776965c, "wx_get_ringparam" },
	{ 0xd8ec1d97, "xpcs_destroy" },
	{ 0x515bf603, "wx_free_resources" },
	{ 0x7a4fdda7, "wx_fix_features" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb8cae001, "wx_clean_all_tx_rings" },
	{ 0x8ca6343a, "netif_set_real_num_tx_queues" },
	{ 0xdbadff93, "platform_device_unregister" },
	{ 0xfdaa3d3d, "irq_get_irq_data" },
	{ 0xdfe9935b, "clk_register_fixed_rate" },
	{ 0x86b5d0d1, "netif_set_real_num_rx_queues" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8fc12788, "software_node_unregister_node_group" },
	{ 0xfa148379, "register_netdev" },
	{ 0xca3b93f6, "wx_irq_disable" },
	{ 0x8ea1db4f, "wx_phy_read_reg_mdi_c45" },
	{ 0x97734158, "gpiochip_irq_reqres" },
	{ 0x1b6cc3fa, "wx_set_coalesce" },
	{ 0xc70d4392, "wx_napi_enable_all" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x81bfc24a, "ethtool_op_get_link" },
	{ 0x75e92c30, "wx_napi_disable_all" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc74dbb70, "netif_tx_stop_all_queues" },
	{ 0x8f5c7b92, "phy_find_first" },
	{ 0x7c5f0741, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x4c42a670, "wx_read_ee_hostif" },
	{ 0x27cb30fa, "wx_decode_ptype" },
	{ 0x3c21bf18, "_dev_warn" },
	{ 0x3d6413d4, "wx_get_drvinfo" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x4a39657c, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfcade8bc, "wx_init_eeprom_params" },
	{ 0x66e8d36c, "wx_start_hw" },
	{ 0x892f4353, "wx_setup_resources" },
	{ 0x378f1110, "wx_reset_interrupt_capability" },
	{ 0xf560200d, "devm_mdiobus_alloc_size" },
	{ 0xeef47b1d, "wx_get_ethtool_stats" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6e5a5736, "wx_init_rx_addrs" },
	{ 0x2b8bc34c, "dma_set_coherent_mask" },
	{ 0xdb4bc512, "phylink_pcs_change" },
	{ 0x1eee15a4, "devm_kasprintf" },
	{ 0x15bee028, "handle_edge_irq" },
	{ 0x7444f4d7, "wx_get_channels" },
	{ 0x3a1d0dde, "platform_device_register_full" },
	{ 0x486ade11, "netdev_reset_tc" },
	{ 0x814bc5be, "wx_configure" },
	{ 0x43da9501, "wx_intr_enable" },
	{ 0xc45dcf28, "wx_change_mtu" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4c37d2e1, "wx_get_link_ksettings" },
	{ 0x6ea00fff, "pcie_print_link_status" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5ed76f19, "irq_create_mapping_affinity" },
	{ 0xfeeac088, "irq_domain_create_simple" },
	{ 0xc33c1a51, "netdev_set_num_tc" },
	{ 0xeb4aa0df, "wx_get_mac_addr" },
	{ 0x66776353, "wx_get_pause_stats" },
	{ 0x8f91693f, "wx_get_stats64" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7f3ba77, "pci_disable_device" },
	{ 0x885a5e36, "wx_get_msglevel" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x6349ac1d, "__devm_mdiobus_register" },
	{ 0xcbab69bb, "dma_set_mask" },
	{ 0xcb4bb4e3, "wx_set_channels" },
	{ 0x19905924, "wx_set_mac" },
	{ 0x9e63e8e, "wx_phy_write_reg_mdi_c45" },
	{ 0x4a023dd6, "irq_set_chip" },
	{ 0xd22e020, "wx_set_rx_mode" },
	{ 0x8c99029, "__napi_schedule_irqoff" },
	{ 0x59fa64f, "napi_schedule_prep" },
	{ 0x13b994da, "wx_mng_present" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9e669c16, "wx_get_strings" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x787ce4ef, "wx_disable_pcie_master" },
	{ 0xc32f6be6, "wx_fc_enable" },
	{ 0x7a9e4c23, "software_node_register_node_group" },
	{ 0x9f0dd966, "wx_clear_interrupt_scheme" },
	{ 0x53adc5ec, "wx_disable_rx" },
	{ 0x4b3398bd, "wx_msix_clean_rings" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0x2bc6d28a, "phylink_connect_phy" },
	{ 0x85e4bbf0, "__devm_regmap_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xf0f5e8a5, "wx_clean_all_rx_rings" },
	{ 0x6aa0b1fa, "wx_set_msglevel" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc373a312, "wx_control_hw" },
	{ 0xddddaeb, "software_node_fwnode" },
	{ 0x529ba312, "wx_reset_misc" },
	{ 0xc8821b0f, "handle_level_irq" },
	{ 0xd486f3d7, "pci_request_selected_regions" },
	{ 0x7b69075f, "pci_release_selected_regions" },
	{ 0xb40915f2, "devm_kmalloc" },
	{ 0x58661602, "pci_wake_from_d3" },
	{ 0x360f26a0, "wx_free_irq" },
	{ 0xb2ba60ac, "wx_enable_sec_rx_path" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xfd59f401, "wx_free_isb_resources" },
	{ 0x5e8211f6, "pci_enable_device_mem" },
	{ 0x231df7a9, "wx_set_pauseparam" },
	{ 0x75506304, "wx_set_features" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1290422a, "clkdev_create" },
	{ 0x9b6f267a, "clkdev_drop" },
	{ 0xadbe1206, "unregister_netdev" },
	{ 0x7757b51a, "clk_unregister" },
	{ 0x1dc1c691, "irq_domain_remove" },
	{ 0x30f83be3, "wx_set_link_ksettings" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x702d203, "wx_set_ring" },
	{ 0xf7370f56, "system_state" },
	{ 0x224b779d, "__pci_register_driver" },
	{ 0x525a5bfe, "wx_init_interrupt_scheme" },
	{ 0x84246009, "wx_get_mac_stats" },
	{ 0x894d455c, "devm_ioremap" },
	{ 0x2e6100cf, "wx_read_ee_hostif_buffer" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "libphy,libwx,phylink,pcs_xpcs,mdio_devres");

MODULE_ALIAS("pci:v00008088d00001001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00002001sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0568A3C5508FA66C6D33C81");
