#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x337e1368, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x477554d9, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xf4337a02, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xa4f2264b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x18d6f63c, "unregister_netdevice_queue" },
	{ 0xeeca9202, "netdev_upper_dev_unlink" },
	{ 0x8c3c7271, "dev_addr_mod" },
	{ 0xe477bea7, "dev_uc_add" },
	{ 0xb985ec3e, "dev_set_mtu" },
	{ 0xd6f0f694, "netif_inherit_tso_max" },
	{ 0xa6de9971, "netdev_update_features" },
	{ 0x4e7b6974, "netif_stacked_transfer_operstate" },
	{ 0x1c3b0744, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x56f27e9a, "skb_clone" },
	{ 0x745abf77, "netif_rx" },
	{ 0x999dfa42, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9bae26cf, "__dev_forward_skb" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe878f206, "consume_skb" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x94e06388, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xaf40e050, "__dev_queue_xmit" },
	{ 0xb7d1d192, "dev_forward_skb" },
	{ 0xa0f9cb50, "netpoll_send_skb" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x8bb390ba, "__netif_rx" },
	{ 0xf89e1240, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x76eb299d, "netdev_core_stats_inc" },
	{ 0x4893f609, "__dev_get_by_index" },
	{ 0x2ecd9eae, "netdev_is_rx_handler_busy" },
	{ 0x36b13143, "netdev_rx_handler_register" },
	{ 0x2caa5f2b, "register_netdevice" },
	{ 0xc79fd470, "netdev_upper_dev_link" },
	{ 0xcccf899a, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf974281, "dev_uc_sync" },
	{ 0x6bbbf035, "dev_mc_sync" },
	{ 0x99e36eca, "passthru_features_check" },
	{ 0x2755f67f, "eth_validate_addr" },
	{ 0x7f31cbf9, "ndo_dflt_fdb_dump" },
	{ 0x81bfc24a, "ethtool_op_get_link" },
	{ 0x8c1168c, "eth_header_parse" },
	{ 0xbb99b7a5, "eth_header_cache" },
	{ 0xf47b9dc0, "eth_header_cache_update" },
	{ 0xfb8264d2, "eth_header_parse_protocol" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x303eb09a, "ether_setup" },
	{ 0xc78c0f11, "__ethtool_get_link_ksettings" },
	{ 0x30ab1ce2, "ethtool_get_ts_info_by_layer" },
	{ 0x41fdd5e7, "init_net" },
	{ 0xe2788813, "generic_hwtstamp_set_lower" },
	{ 0xe35f219d, "generic_hwtstamp_get_lower" },
	{ 0xb687bed8, "dev_mc_del" },
	{ 0x7aefe5ff, "dev_uc_del" },
	{ 0xa7dced6a, "dev_mc_add_excl" },
	{ 0xe9ba9407, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xbec2aa9, "__netpoll_free" },
	{ 0xfe617f99, "vlan_vid_del" },
	{ 0xabc00303, "vlan_vid_add" },
	{ 0x2fcae953, "dev_set_allmulti" },
	{ 0xaaffacd, "dev_set_promiscuity" },
	{ 0xf74a4d33, "dev_uc_unsync" },
	{ 0x528c9003, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x12171208, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe47ceaaf, "sk_skb_reason_drop" },
	{ 0xe3d70a7c, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5160395a, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xaa8cd959, "rtnl_link_unregister" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xe79a4fcf, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "136EB78A00830F19D165F00");
