#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53533143, "__pskb_pull_tail" },
	{ 0x36688b7a, "skb_push" },
	{ 0xd7f0c0fc, "skb_copy_expand" },
	{ 0x7c104481, "dev_kfree_skb_any_reason" },
	{ 0x862f9fb2, "eth_mac_addr" },
	{ 0x107d5d4f, "usb_autopm_get_interface" },
	{ 0xbfa5eff, "usb_autopm_put_interface" },
	{ 0xdc3cb0d3, "usbnet_read_cmd" },
	{ 0xfa4ae030, "netif_carrier_off" },
	{ 0x84d48951, "usbnet_read_cmd_nopm" },
	{ 0x1c053d99, "usbnet_resume" },
	{ 0x5a7561d6, "usb_reset_configuration" },
	{ 0x57e8862f, "usbnet_get_endpoints" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x8c3c7271, "dev_addr_mod" },
	{ 0x5290f11f, "netif_set_tso_max_size" },
	{ 0xbaf6cb09, "usb_driver_set_configuration" },
	{ 0x7cddb693, "usbnet_suspend" },
	{ 0xb87c2871, "netdev_info" },
	{ 0x26dc6d43, "netif_carrier_on" },
	{ 0xe5319f9e, "usbnet_probe" },
	{ 0x1b256db7, "usbnet_disconnect" },
	{ 0x1276c123, "usbnet_open" },
	{ 0x644a1c65, "usbnet_stop" },
	{ 0xa1f5ed62, "usbnet_start_xmit" },
	{ 0x2755f67f, "eth_validate_addr" },
	{ 0xb795581c, "usbnet_tx_timeout" },
	{ 0xdf23c9e2, "dev_get_tstats64" },
	{ 0x7e749965, "usbnet_get_msglevel" },
	{ 0x61ae1ba6, "usbnet_set_msglevel" },
	{ 0x81bfc24a, "ethtool_op_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x56610c1b, "skb_trim" },
	{ 0x61fca569, "__netdev_alloc_skb" },
	{ 0xbe4dd0e9, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc0a8d924, "skb_pull" },
	{ 0xd9042b35, "usbnet_skb_return" },
	{ 0x61a76070, "usbnet_get_drvinfo" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5039ed2, "usb_register_driver" },
	{ 0x3e94e5fd, "usb_deregister" },
	{ 0xeeae2675, "usbnet_defer_kevent" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x10741b3a, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0x9a1d3f3f, "__dynamic_netdev_dbg" },
	{ 0x30f6061c, "netdev_warn" },
	{ 0x881a61be, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbnet");

MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*ic02isc06ip00in*");

MODULE_INFO(srcversion, "172268A03866A3FB25A1900");
