#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76s_read_pcr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rr, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rmw, "_gpl", "");
KSYMTAB_FUNC(mt76s_write_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_rd_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_hw_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_rx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(mt76s_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76s_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_txrx_worker, "_gpl", "");
KSYMTAB_FUNC(mt76s_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(mt76s_txqs_empty, "_gpl", "");

SYMBOL_CRC(mt76s_read_pcr, 0xc08f3406, "_gpl");
SYMBOL_CRC(mt76s_rr, 0x8d1fe7ba, "_gpl");
SYMBOL_CRC(mt76s_wr, 0x66e9265a, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0xf8483006, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0x5dc513e6, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0x3d47c814, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0x4e33dad2, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0x1ba0d170, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0x2896c1e6, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0x30a728fa, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0x6e66807b, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0x0094ddb2, "_gpl");
SYMBOL_CRC(mt76s_init, 0xcd792e44, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0x3d2065b8, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0x190df8c8, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0x17d96c0b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x999dfa42, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x22cbb9f4, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x98d8668b, "pskb_expand_head" },
	{ 0x26908bdd, "mt76_tx_status_check" },
	{ 0xa6fb59d1, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdcf29537, "__alloc_pages_noprof" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d90ec8d, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb0752e8, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xa7d346df, "sdio_readsb" },
	{ 0x2235dd05, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf10b31fd, "__SCK__tp_func_dev_irq" },
	{ 0x8695ca6a, "sdio_readl" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf5c2b84, "__put_devmap_managed_folio_refs" },
	{ 0x4f87fa5d, "kthread_stop" },
	{ 0x6515b277, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf2caee9d, "mt76_queue_tx_complete" },
	{ 0x5a29b651, "kthread_create_on_node" },
	{ 0x77dd779e, "__tracepoint_dev_irq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf3bfc99f, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9388f5b1, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb928e4ea, "sdio_claim_irq" },
	{ 0x15d2e9a4, "mt76_skb_adjust_pad" },
	{ 0x3daecf53, "sdio_enable_func" },
	{ 0xeb6bc2f5, "sdio_writesb" },
	{ 0xf9b3d968, "skb_add_rx_frag_netmem" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x16f46750, "sdio_release_host" },
	{ 0x80e08243, "sdio_disable_func" },
	{ 0xb181f61, "sdio_set_block_size" },
	{ 0xb40915f2, "devm_kmalloc" },
	{ 0xbe4dd0e9, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe137f541, "sdio_claim_host" },
	{ 0xe878f206, "consume_skb" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "mt76,mmc_core");


MODULE_INFO(srcversion, "8F6D31492D77669C7908568");
