#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_restorepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_writepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_savepowerindex, "_gpl", "");
KSYMTAB_FUNC(rtl92c_dm_write_dig, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_edca_turbo, "", "");
KSYMTAB_FUNC(rtl92c_dm_check_txpower_tracking, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_rate_adaptive_mask, "", "");
KSYMTAB_FUNC(rtl92c_dm_rf_saving, "", "");
KSYMTAB_FUNC(rtl92c_dm_init, "", "");
KSYMTAB_FUNC(rtl92c_dm_watchdog, "", "");
KSYMTAB_FUNC(rtl92c_bt_rssi_state_change, "", "");
KSYMTAB_FUNC(rtl92c_dm_bt_coexist, "", "");
KSYMTAB_FUNC(rtl92c_download_fw, "", "");
KSYMTAB_FUNC(rtl92c_fill_h2c_cmd, "", "");
KSYMTAB_FUNC(rtl92c_firmware_selfreset, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_pwrmode_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_rsvdpagepkt, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_joinbss_report_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_p2p_ps_offload_cmd, "_gpl", "");
KSYMTAB_FUNC(rtl92c_phy_query_bb_reg, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bb_reg, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_write, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_write, "", "");
KSYMTAB_FUNC(rtl92c_phy_rf_config, "", "");
KSYMTAB_FUNC(_rtl92c_phy_bb8192c_config_parafile, "", "");
KSYMTAB_FUNC(_rtl92c_store_pwrindex_diffrate_offset, "", "");
KSYMTAB_FUNC(_rtl92c_phy_init_bb_rf_register_definition, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_txpower_level, "", "");
KSYMTAB_FUNC(rtl92c_phy_update_txpower_dbm, "", "");
KSYMTAB_FUNC(_rtl92c_phy_dbm_to_txpwr_idx, "", "");
KSYMTAB_FUNC(_rtl92c_phy_txpwr_idx_to_dbm, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bw_mode, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl_callback, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl, "", "");
KSYMTAB_FUNC(rtl8192_phy_check_is_legal_rfpath, "", "");
KSYMTAB_FUNC(rtl92c_phy_iq_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_lc_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_ap_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_rfpath_switch, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io_cmd, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io, "", "");
KSYMTAB_FUNC(rtl92ce_phy_set_rf_on, "", "");
KSYMTAB_FUNC(_rtl92c_phy_set_rf_sleep, "", "");

SYMBOL_CRC(dm_restorepowerindex, 0x65329665, "_gpl");
SYMBOL_CRC(dm_writepowerindex, 0xce84ae89, "_gpl");
SYMBOL_CRC(dm_savepowerindex, 0x1e2b33d0, "_gpl");
SYMBOL_CRC(rtl92c_dm_write_dig, 0x6afa2d7f, "");
SYMBOL_CRC(rtl92c_dm_init_edca_turbo, 0x48577241, "");
SYMBOL_CRC(rtl92c_dm_check_txpower_tracking, 0x6992b545, "");
SYMBOL_CRC(rtl92c_dm_init_rate_adaptive_mask, 0xa5c260b8, "");
SYMBOL_CRC(rtl92c_dm_rf_saving, 0xc440f398, "");
SYMBOL_CRC(rtl92c_dm_init, 0xc9b483ec, "");
SYMBOL_CRC(rtl92c_dm_watchdog, 0x78f24d7f, "");
SYMBOL_CRC(rtl92c_bt_rssi_state_change, 0x31c77d7d, "");
SYMBOL_CRC(rtl92c_dm_bt_coexist, 0x10271288, "");
SYMBOL_CRC(rtl92c_download_fw, 0x74fe70f5, "");
SYMBOL_CRC(rtl92c_fill_h2c_cmd, 0x18de73c8, "");
SYMBOL_CRC(rtl92c_firmware_selfreset, 0x63465367, "");
SYMBOL_CRC(rtl92c_set_fw_pwrmode_cmd, 0xcf75a40e, "");
SYMBOL_CRC(rtl92c_set_fw_rsvdpagepkt, 0xcea3ade0, "");
SYMBOL_CRC(rtl92c_set_fw_joinbss_report_cmd, 0x31172a20, "");
SYMBOL_CRC(rtl92c_set_p2p_ps_offload_cmd, 0xbc69f229, "_gpl");
SYMBOL_CRC(rtl92c_phy_query_bb_reg, 0xbcf8a477, "");
SYMBOL_CRC(rtl92c_phy_set_bb_reg, 0xcdf3416f, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_read, 0x3b428cd0, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_write, 0x99dd2ae8, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_read, 0x5fa87f96, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_write, 0xc3df588a, "");
SYMBOL_CRC(rtl92c_phy_rf_config, 0xf6bd6fa6, "");
SYMBOL_CRC(_rtl92c_phy_bb8192c_config_parafile, 0x8618ff9b, "");
SYMBOL_CRC(_rtl92c_store_pwrindex_diffrate_offset, 0x5076c260, "");
SYMBOL_CRC(_rtl92c_phy_init_bb_rf_register_definition, 0x7e0f0cee, "");
SYMBOL_CRC(rtl92c_phy_set_txpower_level, 0x8be12de1, "");
SYMBOL_CRC(rtl92c_phy_update_txpower_dbm, 0xb5e952e2, "");
SYMBOL_CRC(_rtl92c_phy_dbm_to_txpwr_idx, 0x3724fde5, "");
SYMBOL_CRC(_rtl92c_phy_txpwr_idx_to_dbm, 0xc69b70ae, "");
SYMBOL_CRC(rtl92c_phy_set_bw_mode, 0x22f7465f, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl_callback, 0x39310750, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl, 0xf2b878da, "");
SYMBOL_CRC(rtl8192_phy_check_is_legal_rfpath, 0x4ffceded, "");
SYMBOL_CRC(rtl92c_phy_iq_calibrate, 0x0624b01a, "");
SYMBOL_CRC(rtl92c_phy_lc_calibrate, 0x7b253c4a, "");
SYMBOL_CRC(rtl92c_phy_ap_calibrate, 0x2348a1e2, "");
SYMBOL_CRC(rtl92c_phy_set_rfpath_switch, 0xf4f485d3, "");
SYMBOL_CRC(rtl92c_phy_set_io_cmd, 0x68b71e26, "");
SYMBOL_CRC(rtl92c_phy_set_io, 0x83397d46, "");
SYMBOL_CRC(rtl92ce_phy_set_rf_on, 0x9e654b1b, "");
SYMBOL_CRC(_rtl92c_phy_set_rf_sleep, 0x5eb128fc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8b7b02b6, "_rtl_dbg_print" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa41300ea, "rtl_cmd_send_packet" },
	{ 0xd633b0a, "_rtl_dbg_print_data" },
	{ 0x3445cc31, "rtl_fw_page_write" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x61fca569, "__netdev_alloc_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xeaba63c9, "rtl_dm_diginit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2e5382f9, "rtl_fill_dummy" },
	{ 0xbe4dd0e9, "skb_put" },
	{ 0x259afae9, "rtl_fw_block_write" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi");


MODULE_INFO(srcversion, "B08EAA805B0AB0630BCBC30");
