#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtl_pci_probe, "", "");
KSYMTAB_FUNC(rtl_pci_disconnect, "", "");
KSYMTAB_FUNC(rtl_pci_suspend, "", "");
KSYMTAB_FUNC(rtl_pci_resume, "", "");

SYMBOL_CRC(rtl_pci_probe, 0xbc95a393, "");
SYMBOL_CRC(rtl_pci_disconnect, 0xf1f6db80, "");
SYMBOL_CRC(rtl_pci_suspend, 0xf0355395, "");
SYMBOL_CRC(rtl_pci_resume, 0xba582737, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ac9049c, "rtl_lps_leave" },
	{ 0x6c4afcc2, "ieee80211_register_hw" },
	{ 0x53d4465f, "dev_kfree_skb_irq_reason" },
	{ 0x6a480944, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x91849862, "rtl_p2p_info" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x868e5e91, "dev_driver_string" },
	{ 0x8b7b02b6, "_rtl_dbg_print" },
	{ 0xb704d4e, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b568ac6, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x83be2d21, "rtl_deinit_rfkill" },
	{ 0x94338613, "rtl_ops" },
	{ 0xcaff4406, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x97e05663, "rtl_tid_to_ac" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x42b24ec9, "rtl_init_sw_leds" },
	{ 0xa03bf2d8, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe173077, "pci_enable_msi" },
	{ 0xc0a8d924, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa7a6335f, "rtl_init_rx_config" },
	{ 0xe47ceaaf, "sk_skb_reason_drop" },
	{ 0x2d32cdfc, "rtl_lps_change_work_callback" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcac8a569, "pcie_capability_clear_and_set_word_locked" },
	{ 0xd50d2ca, "dma_alloc_attrs" },
	{ 0x71ebb8cf, "pci_read_config_word" },
	{ 0xbb988d91, "rtl_action_proc" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x30cfd22b, "rtl_init_core" },
	{ 0x193e58c5, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4cc077a9, "pci_iounmap" },
	{ 0x4e94cd48, "rtl_global_var" },
	{ 0x4a39657c, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8547589c, "ieee80211_stop_queue" },
	{ 0x61fca569, "__netdev_alloc_skb" },
	{ 0xcb81ef95, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x8d7406c2, "rtl_collect_scan_list" },
	{ 0x2b8bc34c, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x492ca35, "dma_free_attrs" },
	{ 0xa4f93400, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x458d0f8b, "pci_write_config_byte" },
	{ 0x7926944, "ieee80211_unregister_hw" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb1fca2e3, "ieee80211_beacon_get_tim" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x67db961a, "rtl_deinit_core" },
	{ 0x7f3ba77, "pci_disable_device" },
	{ 0xcbab69bb, "dma_set_mask" },
	{ 0x4a68bf03, "rtl_efuse_ops_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc48de39, "pci_read_config_byte" },
	{ 0x7c104481, "dev_kfree_skb_any_reason" },
	{ 0xab1d1e84, "rtl_debug_remove_one" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5d45231c, "rtl_deinit_deferred_work" },
	{ 0x2c5ed3a7, "rtl_swlps_beacon" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf9a6085c, "ieee80211_rx_irqsafe" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2ef77e2c, "pcie_capability_read_word" },
	{ 0x12a2006b, "rtl_beacon_statistic" },
	{ 0x62c6d93d, "rtl_tx_mgmt_proc" },
	{ 0xfa5bf3b4, "pci_enable_device" },
	{ 0xbe4dd0e9, "skb_put" },
	{ 0xe878f206, "consume_skb" },
	{ 0x624dbadb, "pci_iomap" },
	{ 0xb41367c3, "rtl_c2hcmd_enqueue" },
	{ 0xa6257a2f, "complete" },
	{ 0x901795fa, "rtl_debug_add_one" },
	{ 0xfef1369a, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa1ded21c, "ieee80211_free_hw" },
	{ 0x3be4ef7f, "dma_unmap_page_attrs" },
	{ 0xb76aa3b8, "rtl_init_rfkill" },
	{ 0x7ff98648, "rtl_tx_ackqueue" },
	{ 0xa6db70ac, "pci_disable_msi" },
	{ 0x865eb4b, "rtl_is_special_data" },
	{ 0x5826eed3, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x977f4b93, "rtl_recognize_peer" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi,mac80211");


MODULE_INFO(srcversion, "3B1450C388AF6711823F671");
