#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7172063e, "cros_ec_check_features" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x71e5674b, "typec_partner_register_altmode" },
	{ 0xfa68db8c, "typec_partner_set_num_altmodes" },
	{ 0x64f3bd18, "typec_unregister_partner" },
	{ 0x391ad4a2, "typec_set_pwr_opmode" },
	{ 0xd2fa1286, "typec_switch_set" },
	{ 0x74736e50, "fwnode_property_read_u32_array" },
	{ 0x1472d7e3, "typec_set_orientation" },
	{ 0x2a76d17c, "typec_unregister_cable" },
	{ 0x4ae0f61a, "devm_kfree" },
	{ 0x2235dd05, "_dev_err" },
	{ 0x8f4c93e8, "typec_set_vconn_role" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0xdb10a085, "usb_power_delivery_register_capabilities" },
	{ 0xdf69cb50, "typec_register_plug" },
	{ 0x2e8dbf6d, "usb_power_delivery_unregister" },
	{ 0x96cd80c0, "typec_altmode_attention" },
	{ 0xb0e182b9, "typec_set_data_role" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x9049491e, "typec_find_port_data_role" },
	{ 0xc59ffe41, "typec_altmode_vdm" },
	{ 0x4b732275, "typec_unregister_port" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xcd0652cc, "device_get_child_node_count" },
	{ 0x3c21bf18, "_dev_warn" },
	{ 0x2d1e301d, "typec_find_power_role" },
	{ 0x92f79192, "typec_register_port" },
	{ 0x7ca3babe, "typec_plug_set_num_altmodes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa9f19f5a, "typec_retimer_put" },
	{ 0x79fba93c, "typec_partner_set_usb_power_delivery" },
	{ 0xaaa99470, "typec_unregister_plug" },
	{ 0x35e5c6db, "__platform_driver_register" },
	{ 0xf8d96067, "typec_plug_register_altmode" },
	{ 0x922e914e, "fwnode_find_reference" },
	{ 0x254fb91b, "fwnode_property_read_string" },
	{ 0xe5d7bdfd, "typec_unregister_altmode" },
	{ 0x7ba3b7a0, "typec_register_cable" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3bfb9377, "typec_retimer_set" },
	{ 0xfbef1766, "usb_power_delivery_unregister_capabilities" },
	{ 0x4557095b, "typec_partner_set_identity" },
	{ 0x6b3d9465, "typec_mux_set" },
	{ 0xd00cdbdf, "fwnode_typec_retimer_get" },
	{ 0x431c7df0, "typec_set_pwr_role" },
	{ 0x9a47b9a2, "typec_match_altmode" },
	{ 0x174dc1b7, "typec_partner_usb_power_delivery_register" },
	{ 0x97b991c6, "dev_err_probe" },
	{ 0x6ffa1ec3, "device_get_next_child_node" },
	{ 0xebb3b076, "cros_ec_cmd" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf6dedda8, "is_acpi_device_node" },
	{ 0x8693a5dd, "fwnode_typec_switch_get" },
	{ 0xd16cb375, "typec_partner_set_pd_revision" },
	{ 0x7cb0af45, "typec_register_partner" },
	{ 0xb40915f2, "devm_kmalloc" },
	{ 0xe3b1d8e, "typec_port_register_altmode" },
	{ 0x30eb2156, "platform_driver_unregister" },
	{ 0x86521d45, "typec_switch_put" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeafc1eb8, "typec_find_port_power_role" },
	{ 0xfc8df340, "typec_mux_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x17d2afb3, "fwnode_usb_role_switch_get" },
	{ 0x8bda2df3, "cros_usbpd_register_notify" },
	{ 0x4989fb02, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x30da5e65, "fwnode_typec_mux_get" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "typec,roles,cros_usbpd_notify");

MODULE_ALIAS("acpi*:GOOG0014:*");

MODULE_INFO(srcversion, "A5DABE250B07CAEC1903256");
