#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16cdc340, "acpi_get_table" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb0c79da9, "platform_device_alloc" },
	{ 0x79c7b001, "platform_device_add" },
	{ 0x93583281, "platform_device_put" },
	{ 0x72bffc3d, "sysfs_create_group" },
	{ 0xfd4b7270, "platform_device_del" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x7042b1bb, "backlight_device_register" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcb9e6f91, "input_allocate_device" },
	{ 0x25140d2f, "sparse_keymap_setup" },
	{ 0xafbe39ce, "input_register_device" },
	{ 0x2385041b, "input_free_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3dd82a72, "input_set_abs_params" },
	{ 0xab8885d8, "input_setup_polling" },
	{ 0x5d34b6db, "input_set_poll_interval" },
	{ 0xbd45fadf, "input_set_min_poll_interval" },
	{ 0x9a8b7998, "input_set_max_poll_interval" },
	{ 0xb5252c00, "param_ops_int" },
	{ 0x417419b2, "param_ops_charp" },
	{ 0x1e7816a5, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x35e5c6db, "__platform_driver_register" },
	{ 0x33c470ea, "__acpi_bus_register_driver" },
	{ 0x24aeb486, "acpi_bus_unregister_driver" },
	{ 0x30eb2156, "platform_driver_unregister" },
	{ 0x6d22dafa, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x726573d3, "rfkill_alloc" },
	{ 0xff282521, "rfkill_register" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x7b9007f2, "led_classdev_register_ext" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0x506e787e, "sparse_keymap_report_event" },
	{ 0xfd24dafe, "kobject_uevent" },
	{ 0x4d3d7dd, "backlight_force_update" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xf265c5c9, "backlight_device_unregister" },
	{ 0x7a42f151, "input_unregister_device" },
	{ 0xd8558451, "sysfs_remove_group" },
	{ 0xdbadff93, "platform_device_unregister" },
	{ 0x37a0cba, "kfree" },
	{ 0xae45bcd, "input_event" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x5a921311, "strncmp" },
	{ 0xba62763, "acpi_bus_get_status" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "video,sparse-keymap,rfkill");

MODULE_ALIAS("acpi*:ATK0100:*");
MODULE_ALIAS("acpi*:ATK0101:*");

MODULE_INFO(srcversion, "8FDEEECA3EFEE55BDA3C4C5");
