#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(proc_thermal_read_power_floor_status, "_gpl", "INT340X_THERMAL");
KSYMTAB_FUNC(proc_thermal_power_floor_set_state, "_gpl", "INT340X_THERMAL");
KSYMTAB_FUNC(proc_thermal_power_floor_get_state, "_gpl", "INT340X_THERMAL");
KSYMTAB_FUNC(proc_thermal_check_power_floor_intr, "_gpl", "INT340X_THERMAL");
KSYMTAB_FUNC(proc_thermal_power_floor_intr_callback, "_gpl", "INT340X_THERMAL");

SYMBOL_CRC(proc_thermal_read_power_floor_status, 0x6b732ba7, "_gpl");
SYMBOL_CRC(proc_thermal_power_floor_set_state, 0x2e04f62e, "_gpl");
SYMBOL_CRC(proc_thermal_power_floor_get_state, 0x8f598e93, "_gpl");
SYMBOL_CRC(proc_thermal_check_power_floor_intr, 0x175d0abb, "_gpl");
SYMBOL_CRC(proc_thermal_power_floor_intr_callback, 0x2787edfd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b418829, "processor_thermal_mbox_interrupt_config" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5e1cec87, "sysfs_notify" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "processor_thermal_mbox");


MODULE_INFO(srcversion, "1D65A0848C00B466DD24506");
