#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__tb_ring_enqueue, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll_complete, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_rx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_start, "_gpl", "");
KSYMTAB_FUNC(tb_ring_stop, "_gpl", "");
KSYMTAB_FUNC(tb_ring_free, "_gpl", "");
KSYMTAB_FUNC(tb_property_create_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_free_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_immediate, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_data, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_text, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_remove, "_gpl", "");
KSYMTAB_FUNC(tb_property_find, "_gpl", "");
KSYMTAB_FUNC(tb_property_get_next, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_response, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_request, "_gpl", "");
KSYMTAB_FUNC(tb_register_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_register_service_driver, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_service_driver, "_gpl", "");
KSYMTAB_DATA(tb_service_type, "_gpl", "");
KSYMTAB_DATA(tb_xdomain_type, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_enable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_disable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_enable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_disable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_uuid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_route, "_gpl", "");
KSYMTAB_FUNC(tb_register_property_dir, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_property_dir, "_gpl", "");

SYMBOL_CRC(__tb_ring_enqueue, 0x8e2ddcfb, "_gpl");
SYMBOL_CRC(tb_ring_poll, 0x56700a70, "_gpl");
SYMBOL_CRC(tb_ring_poll_complete, 0xea8c44df, "_gpl");
SYMBOL_CRC(tb_ring_alloc_tx, 0x58c910b3, "_gpl");
SYMBOL_CRC(tb_ring_alloc_rx, 0x14b6bb3d, "_gpl");
SYMBOL_CRC(tb_ring_start, 0x1aa4562f, "_gpl");
SYMBOL_CRC(tb_ring_stop, 0xd280a48f, "_gpl");
SYMBOL_CRC(tb_ring_free, 0xa1c8737b, "_gpl");
SYMBOL_CRC(tb_property_create_dir, 0x01d23ee1, "_gpl");
SYMBOL_CRC(tb_property_free_dir, 0x393b4f2f, "_gpl");
SYMBOL_CRC(tb_property_add_immediate, 0x658e3d97, "_gpl");
SYMBOL_CRC(tb_property_add_data, 0xa3d2b403, "_gpl");
SYMBOL_CRC(tb_property_add_text, 0xb7c7cdce, "_gpl");
SYMBOL_CRC(tb_property_add_dir, 0x8b62f95e, "_gpl");
SYMBOL_CRC(tb_property_remove, 0x785eb82c, "_gpl");
SYMBOL_CRC(tb_property_find, 0x4e5064a7, "_gpl");
SYMBOL_CRC(tb_property_get_next, 0x73ad2acb, "_gpl");
SYMBOL_CRC(tb_xdomain_response, 0x5baac285, "_gpl");
SYMBOL_CRC(tb_xdomain_request, 0xfb380474, "_gpl");
SYMBOL_CRC(tb_register_protocol_handler, 0x4e64bdfd, "_gpl");
SYMBOL_CRC(tb_unregister_protocol_handler, 0xf76028c7, "_gpl");
SYMBOL_CRC(tb_register_service_driver, 0x07f89b71, "_gpl");
SYMBOL_CRC(tb_unregister_service_driver, 0x8d512980, "_gpl");
SYMBOL_CRC(tb_service_type, 0x78fa4dde, "_gpl");
SYMBOL_CRC(tb_xdomain_type, 0x96a5a7eb, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_enable, 0xe179e8bb, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_disable, 0x2ab160ec, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_in_hopid, 0xbb2fa115, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_out_hopid, 0x63509a90, "_gpl");
SYMBOL_CRC(tb_xdomain_release_in_hopid, 0x5f24873e, "_gpl");
SYMBOL_CRC(tb_xdomain_release_out_hopid, 0xcf0868f6, "_gpl");
SYMBOL_CRC(tb_xdomain_enable_paths, 0xa3381233, "_gpl");
SYMBOL_CRC(tb_xdomain_disable_paths, 0x68898c7a, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_uuid, 0xdadb651b, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_route, 0xaa39dee2, "_gpl");
SYMBOL_CRC(tb_register_property_dir, 0xf1cfd1ff, "_gpl");
SYMBOL_CRC(tb_unregister_property_dir, 0x603249ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x2b8bc34c, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x63f1d80a, "seq_read" },
	{ 0x7129a6f4, "osc_sb_native_usb4_support_confirmed" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922e914e, "fwnode_find_reference" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xef1bb5a1, "pm_runtime_forbid" },
	{ 0xd4514300, "debugfs_create_file" },
	{ 0x492ca35, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x5eaa6af, "pm_runtime_allow" },
	{ 0xb765aa18, "trace_event_buffer_reserve" },
	{ 0x4f0c7fa3, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9b41cea4, "acpi_fetch_acpi_dev" },
	{ 0x6a0af085, "param_ops_bool" },
	{ 0xd7269c64, "osc_sb_native_usb4_control" },
	{ 0x642cad8e, "seq_write" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc682a9d, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfd24dafe, "kobject_uevent" },
	{ 0xffa3dcc0, "device_iommu_capable" },
	{ 0x26da8228, "single_release" },
	{ 0xcbab69bb, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x60f6bada, "pci_walk_bus" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x97b991c6, "dev_err_probe" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x67f0c822, "nvmem_register" },
	{ 0xee92b7be, "pcim_iomap_table" },
	{ 0xfdf6bdbe, "__pm_runtime_suspend" },
	{ 0x64efaebf, "component_add" },
	{ 0x754d539c, "strlen" },
	{ 0x665a6601, "__pm_runtime_use_autosuspend" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x36bd243f, "single_open" },
	{ 0x6d43dc0a, "pcim_enable_device" },
	{ 0x6e07e153, "__pm_runtime_disable" },
	{ 0x55fe5cf7, "crypto_alloc_shash" },
	{ 0x74bece66, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf8efb469, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xfdd1dbe3, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x1d7b6d45, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x95a27f0b, "__dev_fwnode" },
	{ 0x3db04912, "pci_bus_type" },
	{ 0x6558423d, "pci_write_config_dword" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0x1c16f6ad, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5e782802, "pci_find_ext_capability" },
	{ 0xf6dedda8, "is_acpi_device_node" },
	{ 0x9bfbca8b, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa4096a30, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x5c0c50c1, "devm_request_threaded_irq" },
	{ 0x1e7816a5, "param_ops_uint" },
	{ 0xfe61531c, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb40915f2, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xdb41257c, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x7f650b17, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8a274f36, "trace_raw_output_prep" },
	{ 0x8aace6d2, "device_unregister" },
	{ 0x5fc6bb71, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe188313c, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8595ca00, "nvmem_unregister" },
	{ 0x223bee5b, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x224b779d, "__pci_register_driver" },
	{ 0x7e678633, "device_initialize" },
	{ 0xfffae2b3, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x262e67ad, "component_del" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x999dfa42, "pcpu_hot" },
	{ 0xb7b4ec8e, "seq_lseek" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0x2dde78c6, "acpi_find_child_by_adr" },
	{ 0xa929c7f7, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x54d0528c, "pci_irq_vector" },
	{ 0x1830d489, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4989fb02, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x3ce26dc6, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x23c37ad3, "trace_seq_puts" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x868e5e91, "dev_driver_string" },
	{ 0x3926bedd, "trace_event_buffer_commit" },
	{ 0x6926f534, "crypto_destroy_tfm" },
	{ 0xb704d4e, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x616cff5f, "__pm_runtime_set_status" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x52885f33, "pm_wakeup_dev_event" },
	{ 0x197819df, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0x47049f18, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xca963aae, "debugfs_lookup_and_remove" },
	{ 0x4d6d041, "put_device" },
	{ 0x6d672fc3, "devm_free_irq" },
	{ 0x84d39945, "pm_runtime_enable" },
	{ 0x7bf724d3, "device_for_each_child_reverse" },
	{ 0xa916b694, "strnlen" },
	{ 0x26778ef6, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc65e9372, "bus_for_each_dev" },
	{ 0xd011aa6a, "_dev_info" },
	{ 0x68e84444, "sysfs_create_link" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x4a5c7918, "pcim_iomap_regions" },
	{ 0xc73a2a4, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xa1048fde, "perf_trace_run_bpf_submit" },
	{ 0xa8cad3aa, "bus_unregister" },
	{ 0x2235dd05, "_dev_err" },
	{ 0xd417e635, "device_wakeup_enable" },
	{ 0x7704c214, "crypto_shash_setkey" },
	{ 0xdeb734fc, "bus_find_device" },
	{ 0xe4fc29e1, "device_add" },
	{ 0x7a8c4489, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa488a301, "device_property_read_u8_array" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xfb0c06d8, "bpf_trace_run5" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe80b42a9, "pci_device_is_present" },
	{ 0xd50d2ca, "dma_alloc_attrs" },
	{ 0xada345e7, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc8a1fe7e, "seq_putc" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x4808e220, "trace_event_reg" },
	{ 0x66e0e930, "crypto_shash_digest" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3bee7502, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xba320d38, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x50cb14c, "device_register" },
	{ 0x16d392fb, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x3c21bf18, "_dev_warn" },
	{ 0xb3dbe1dc, "unregister_acpi_bus_type" },
	{ 0x5315cb6f, "acpi_get_first_physical_node" },
	{ 0x4a39657c, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xba1008c8, "__crc32c_le" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x91871037, "pm_runtime_no_callbacks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001513sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001547sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Asv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Csv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001575sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000463Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000466Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A73Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A76Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A833sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A834sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i40*");

MODULE_INFO(srcversion, "4274988DB6B4555B5FF4A18");
