#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_disabled, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints_reverse, "_gpl", "");
KSYMTAB_FUNC(usb_check_bulk_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_check_int_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_alt_setting, "_gpl", "");
KSYMTAB_FUNC(usb_ifnum_to_if, "_gpl", "");
KSYMTAB_FUNC(usb_altnum_to_altsetting, "_gpl", "");
KSYMTAB_FUNC(usb_find_interface, "_gpl", "");
KSYMTAB_FUNC(usb_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_dev, "_gpl", "");
KSYMTAB_FUNC(usb_put_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_intf, "_gpl", "");
KSYMTAB_FUNC(usb_put_intf, "_gpl", "");
KSYMTAB_FUNC(usb_intf_get_dma_device, "_gpl", "");
KSYMTAB_FUNC(usb_lock_device_for_reset, "_gpl", "");
KSYMTAB_FUNC(usb_get_current_frame_number, "_gpl", "");
KSYMTAB_FUNC(__usb_get_extra_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_coherent, "_gpl", "");
KSYMTAB_FUNC(usb_free_coherent, "_gpl", "");
KSYMTAB_DATA(ehci_cf_port_reset_rwsem, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_notification, "_gpl", "");
KSYMTAB_FUNC(usb_hub_clear_tt_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_hub_claim_port, "_gpl", "");
KSYMTAB_FUNC(usb_hub_release_port, "_gpl", "");
KSYMTAB_FUNC(usb_set_device_state, "_gpl", "");
KSYMTAB_FUNC(usb_disable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_enabled_descendants, "_gpl", "");
KSYMTAB_FUNC(usb_root_hub_lost_power, "_gpl", "");
KSYMTAB_FUNC(usb_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_ep0_reinit, "_gpl", "");
KSYMTAB_FUNC(usb_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_queue_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_hub_find_child, "_gpl", "");
KSYMTAB_DATA(usb_hcds_loaded, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr_lock, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_poll_rh_status, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_start_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_end_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_calc_bus_time, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_link_urb_to_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_check_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unlink_urb_from_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_setup_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_map_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_giveback_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_streams, "_gpl", "");
KSYMTAB_FUNC(usb_free_streams, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_resume_root_hub, "_gpl", "");
KSYMTAB_FUNC(usb_bus_start_enum, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_irq, "_gpl", "");
KSYMTAB_FUNC(usb_hc_died, "_gpl", "");
KSYMTAB_FUNC(__usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_shared_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_get_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_put_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_is_primary_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_add_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_remove_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_setup_local_mem, "_gpl", "");
KSYMTAB_FUNC(usb_mon_register, "_gpl", "");
KSYMTAB_FUNC(usb_mon_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_init_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_urb, "_gpl", "");
KSYMTAB_FUNC(usb_free_urb, "_gpl", "");
KSYMTAB_FUNC(usb_get_urb, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unanchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_pipe_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_urb_ep_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_submit_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_urb, "_gpl", "");
KSYMTAB_FUNC(usb_poison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_block_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_poison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_suspend_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_resume_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_wait_anchor_empty_timeout, "_gpl", "");
KSYMTAB_FUNC(usb_get_from_anchor, "_gpl", "");
KSYMTAB_FUNC(usb_scuttle_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_empty, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_send, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_recv, "_gpl", "");
KSYMTAB_FUNC(usb_interrupt_msg, "_gpl", "");
KSYMTAB_FUNC(usb_bulk_msg, "_gpl", "");
KSYMTAB_FUNC(usb_sg_init, "_gpl", "");
KSYMTAB_FUNC(usb_sg_wait, "_gpl", "");
KSYMTAB_FUNC(usb_sg_cancel, "_gpl", "");
KSYMTAB_FUNC(usb_get_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_string, "_gpl", "");
KSYMTAB_FUNC(usb_cache_string, "_gpl", "");
KSYMTAB_FUNC(usb_get_status, "_gpl", "");
KSYMTAB_FUNC(usb_clear_halt, "_gpl", "");
KSYMTAB_FUNC(usb_reset_endpoint, "_gpl", "");
KSYMTAB_FUNC(usb_set_interface, "_gpl", "");
KSYMTAB_FUNC(usb_reset_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_set_wireless_status, "_gpl", "");
KSYMTAB_FUNC(usb_set_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_driver_set_configuration, "_gpl", "");
KSYMTAB_FUNC(cdc_parse_cdc_header, "", "");
KSYMTAB_FUNC(usb_store_new_id, "_gpl", "");
KSYMTAB_FUNC(usb_show_dynids, "_gpl", "");
KSYMTAB_FUNC(usb_driver_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_driver_release_interface, "_gpl", "");
KSYMTAB_FUNC(usb_match_one_id, "_gpl", "");
KSYMTAB_FUNC(usb_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_device_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_register_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_register_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_enable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_disable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_no_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_no_resume, "_gpl", "");
KSYMTAB_FUNC(usb_register_dev, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_dev, "_gpl", "");
KSYMTAB_FUNC(usb_register_notify, "_gpl", "");
KSYMTAB_FUNC(usb_unregister_notify, "_gpl", "");
KSYMTAB_FUNC(usb_choose_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc_usb3_phy, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_init, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_exit, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_set_mode, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_calibrate, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_connect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_disconnect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_on, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_off, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_probe, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_remove, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_shutdown, "_gpl", "");
KSYMTAB_DATA(usb_hcd_pci_pm_ops, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_power_manageable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_port_lpm_incapable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_set_power_state, "_gpl", "");

SYMBOL_CRC(usb_disabled, 0x19a304ba, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints, 0x93c7edeb, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints_reverse, 0x1e9c590a, "_gpl");
SYMBOL_CRC(usb_check_bulk_endpoints, 0x8aa8d87f, "_gpl");
SYMBOL_CRC(usb_check_int_endpoints, 0x4518fbd7, "_gpl");
SYMBOL_CRC(usb_find_alt_setting, 0x8f85c091, "_gpl");
SYMBOL_CRC(usb_ifnum_to_if, 0xea3dc083, "_gpl");
SYMBOL_CRC(usb_altnum_to_altsetting, 0x9fccc62e, "_gpl");
SYMBOL_CRC(usb_find_interface, 0x05200053, "_gpl");
SYMBOL_CRC(usb_for_each_dev, 0x1b3d1417, "_gpl");
SYMBOL_CRC(usb_alloc_dev, 0x8b7558d2, "_gpl");
SYMBOL_CRC(usb_get_dev, 0x96d94193, "_gpl");
SYMBOL_CRC(usb_put_dev, 0xe07b3315, "_gpl");
SYMBOL_CRC(usb_get_intf, 0xac71ddfb, "_gpl");
SYMBOL_CRC(usb_put_intf, 0xba9f738a, "_gpl");
SYMBOL_CRC(usb_intf_get_dma_device, 0x86481fbb, "_gpl");
SYMBOL_CRC(usb_lock_device_for_reset, 0x524fe02e, "_gpl");
SYMBOL_CRC(usb_get_current_frame_number, 0x2a7db5d6, "_gpl");
SYMBOL_CRC(__usb_get_extra_descriptor, 0xd36760ef, "_gpl");
SYMBOL_CRC(usb_alloc_coherent, 0xaba4b189, "_gpl");
SYMBOL_CRC(usb_free_coherent, 0xbc190b1c, "_gpl");
SYMBOL_CRC(ehci_cf_port_reset_rwsem, 0xbc9b8588, "_gpl");
SYMBOL_CRC(usb_wakeup_notification, 0xa8f564c7, "_gpl");
SYMBOL_CRC(usb_hub_clear_tt_buffer, 0x6c42f6e1, "_gpl");
SYMBOL_CRC(usb_hub_claim_port, 0x0e0f62b2, "_gpl");
SYMBOL_CRC(usb_hub_release_port, 0xa967a46d, "_gpl");
SYMBOL_CRC(usb_set_device_state, 0x51a27f66, "_gpl");
SYMBOL_CRC(usb_disable_ltm, 0x8027b699, "_gpl");
SYMBOL_CRC(usb_enable_ltm, 0x0d4b5e04, "_gpl");
SYMBOL_CRC(usb_wakeup_enabled_descendants, 0x575c7c73, "_gpl");
SYMBOL_CRC(usb_root_hub_lost_power, 0x9aa69448, "_gpl");
SYMBOL_CRC(usb_disable_lpm, 0x0ed0ff57, "_gpl");
SYMBOL_CRC(usb_unlocked_disable_lpm, 0xff99b446, "_gpl");
SYMBOL_CRC(usb_enable_lpm, 0x83bc17ca, "_gpl");
SYMBOL_CRC(usb_unlocked_enable_lpm, 0xc19de7e5, "_gpl");
SYMBOL_CRC(usb_ep0_reinit, 0xca23544a, "_gpl");
SYMBOL_CRC(usb_reset_device, 0x3f29dbba, "_gpl");
SYMBOL_CRC(usb_queue_reset_device, 0xe23d1d0d, "_gpl");
SYMBOL_CRC(usb_hub_find_child, 0xdf40d9e9, "_gpl");
SYMBOL_CRC(usb_hcds_loaded, 0xc17515d7, "_gpl");
SYMBOL_CRC(usb_bus_idr, 0x790be0b9, "_gpl");
SYMBOL_CRC(usb_bus_idr_lock, 0xae0ecf40, "_gpl");
SYMBOL_CRC(usb_hcd_poll_rh_status, 0xf03fae3b, "_gpl");
SYMBOL_CRC(usb_hcd_start_port_resume, 0xd618d1d5, "_gpl");
SYMBOL_CRC(usb_hcd_end_port_resume, 0x56155d28, "_gpl");
SYMBOL_CRC(usb_calc_bus_time, 0x7e64181d, "_gpl");
SYMBOL_CRC(usb_hcd_link_urb_to_ep, 0xf75d852c, "_gpl");
SYMBOL_CRC(usb_hcd_check_unlink_urb, 0xe702bf25, "_gpl");
SYMBOL_CRC(usb_hcd_unlink_urb_from_ep, 0x1264b834, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_setup_for_dma, 0x22956028, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_for_dma, 0x92b6a4c8, "_gpl");
SYMBOL_CRC(usb_hcd_map_urb_for_dma, 0xd4d38698, "_gpl");
SYMBOL_CRC(usb_hcd_giveback_urb, 0x7d1f0b81, "_gpl");
SYMBOL_CRC(usb_alloc_streams, 0xcdb0abd3, "_gpl");
SYMBOL_CRC(usb_free_streams, 0x4afa8f18, "_gpl");
SYMBOL_CRC(usb_hcd_resume_root_hub, 0x51ffe86c, "_gpl");
SYMBOL_CRC(usb_bus_start_enum, 0x74705593, "_gpl");
SYMBOL_CRC(usb_hcd_irq, 0x70cf032f, "_gpl");
SYMBOL_CRC(usb_hc_died, 0xb075bf14, "_gpl");
SYMBOL_CRC(__usb_create_hcd, 0xe324767d, "_gpl");
SYMBOL_CRC(usb_create_shared_hcd, 0x30a4fbb2, "_gpl");
SYMBOL_CRC(usb_create_hcd, 0xfc6af17b, "_gpl");
SYMBOL_CRC(usb_get_hcd, 0x3661877a, "_gpl");
SYMBOL_CRC(usb_put_hcd, 0x69b60889, "_gpl");
SYMBOL_CRC(usb_hcd_is_primary_hcd, 0xca2d142a, "_gpl");
SYMBOL_CRC(usb_add_hcd, 0x38be5ac9, "_gpl");
SYMBOL_CRC(usb_remove_hcd, 0x09f7d42e, "_gpl");
SYMBOL_CRC(usb_hcd_platform_shutdown, 0x663d3aa8, "_gpl");
SYMBOL_CRC(usb_hcd_setup_local_mem, 0xc984515e, "_gpl");
SYMBOL_CRC(usb_mon_register, 0xab230eda, "_gpl");
SYMBOL_CRC(usb_mon_deregister, 0xfed11ed1, "_gpl");
SYMBOL_CRC(usb_init_urb, 0x497a16d4, "_gpl");
SYMBOL_CRC(usb_alloc_urb, 0xc96563e9, "_gpl");
SYMBOL_CRC(usb_free_urb, 0x0b422809, "_gpl");
SYMBOL_CRC(usb_get_urb, 0x4d817faf, "_gpl");
SYMBOL_CRC(usb_anchor_urb, 0xdddff322, "_gpl");
SYMBOL_CRC(usb_unanchor_urb, 0xf898be9f, "_gpl");
SYMBOL_CRC(usb_pipe_type_check, 0xd4d52cfc, "_gpl");
SYMBOL_CRC(usb_urb_ep_type_check, 0x4d5ae25f, "_gpl");
SYMBOL_CRC(usb_submit_urb, 0xdc98f4a3, "_gpl");
SYMBOL_CRC(usb_unlink_urb, 0x34de825f, "_gpl");
SYMBOL_CRC(usb_kill_urb, 0x5b2d1404, "_gpl");
SYMBOL_CRC(usb_poison_urb, 0x20f741f7, "_gpl");
SYMBOL_CRC(usb_unpoison_urb, 0xdb020af0, "_gpl");
SYMBOL_CRC(usb_block_urb, 0xc05217e7, "_gpl");
SYMBOL_CRC(usb_kill_anchored_urbs, 0x962c8ae1, "_gpl");
SYMBOL_CRC(usb_poison_anchored_urbs, 0x842f046d, "_gpl");
SYMBOL_CRC(usb_unpoison_anchored_urbs, 0x86b13d2a, "_gpl");
SYMBOL_CRC(usb_unlink_anchored_urbs, 0x933f75e0, "_gpl");
SYMBOL_CRC(usb_anchor_suspend_wakeups, 0x79bc842c, "_gpl");
SYMBOL_CRC(usb_anchor_resume_wakeups, 0x40267068, "_gpl");
SYMBOL_CRC(usb_wait_anchor_empty_timeout, 0x407af304, "_gpl");
SYMBOL_CRC(usb_get_from_anchor, 0x89d46f5c, "_gpl");
SYMBOL_CRC(usb_scuttle_anchored_urbs, 0x807766ea, "_gpl");
SYMBOL_CRC(usb_anchor_empty, 0x7e8d8619, "_gpl");
SYMBOL_CRC(usb_control_msg, 0x10741b3a, "_gpl");
SYMBOL_CRC(usb_control_msg_send, 0x7a4e04b9, "_gpl");
SYMBOL_CRC(usb_control_msg_recv, 0xb865513b, "_gpl");
SYMBOL_CRC(usb_interrupt_msg, 0x7dc320fc, "_gpl");
SYMBOL_CRC(usb_bulk_msg, 0xc2a7d211, "_gpl");
SYMBOL_CRC(usb_sg_init, 0xde9ba4ce, "_gpl");
SYMBOL_CRC(usb_sg_wait, 0x2a3fd175, "_gpl");
SYMBOL_CRC(usb_sg_cancel, 0x05f5e877, "_gpl");
SYMBOL_CRC(usb_get_descriptor, 0x7f6c8a9d, "_gpl");
SYMBOL_CRC(usb_string, 0x0ae91031, "_gpl");
SYMBOL_CRC(usb_cache_string, 0x1d5bef95, "_gpl");
SYMBOL_CRC(usb_get_status, 0xfabfabd8, "_gpl");
SYMBOL_CRC(usb_clear_halt, 0x528dae5b, "_gpl");
SYMBOL_CRC(usb_reset_endpoint, 0x99bf2170, "_gpl");
SYMBOL_CRC(usb_set_interface, 0x85bd5bd2, "_gpl");
SYMBOL_CRC(usb_reset_configuration, 0x5a7561d6, "_gpl");
SYMBOL_CRC(usb_set_wireless_status, 0x693d97fd, "_gpl");
SYMBOL_CRC(usb_set_configuration, 0x7ee5968e, "_gpl");
SYMBOL_CRC(usb_driver_set_configuration, 0xbaf6cb09, "_gpl");
SYMBOL_CRC(cdc_parse_cdc_header, 0xfde0a96e, "");
SYMBOL_CRC(usb_store_new_id, 0xdecc91fd, "_gpl");
SYMBOL_CRC(usb_show_dynids, 0xc17e9946, "_gpl");
SYMBOL_CRC(usb_driver_claim_interface, 0x5c4dd7b3, "_gpl");
SYMBOL_CRC(usb_driver_release_interface, 0x2cca1bf7, "_gpl");
SYMBOL_CRC(usb_match_one_id, 0x46fd6b6f, "_gpl");
SYMBOL_CRC(usb_match_id, 0xace63f3d, "_gpl");
SYMBOL_CRC(usb_device_match_id, 0x91cb68ce, "_gpl");
SYMBOL_CRC(usb_register_device_driver, 0x8603e9f4, "_gpl");
SYMBOL_CRC(usb_deregister_device_driver, 0x7e41fd2b, "_gpl");
SYMBOL_CRC(usb_register_driver, 0xc5039ed2, "_gpl");
SYMBOL_CRC(usb_deregister, 0x3e94e5fd, "_gpl");
SYMBOL_CRC(usb_enable_autosuspend, 0x49540538, "_gpl");
SYMBOL_CRC(usb_disable_autosuspend, 0x93dc9552, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface, 0x0bfa5eff, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_async, 0x4d7f6564, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_no_suspend, 0xde25e2a5, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface, 0x107d5d4f, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_async, 0x70e8ced2, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_no_resume, 0xd02270cb, "_gpl");
SYMBOL_CRC(usb_register_dev, 0x6b08a54e, "_gpl");
SYMBOL_CRC(usb_deregister_dev, 0x80ecd2db, "_gpl");
SYMBOL_CRC(usb_register_notify, 0x89bbafc6, "_gpl");
SYMBOL_CRC(usb_unregister_notify, 0x811dc334, "_gpl");
SYMBOL_CRC(usb_choose_configuration, 0x3eaea20a, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc, 0x2f66dc94, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc_usb3_phy, 0xd5b514c2, "_gpl");
SYMBOL_CRC(usb_phy_roothub_init, 0xc93ee1e7, "_gpl");
SYMBOL_CRC(usb_phy_roothub_exit, 0xe39d0794, "_gpl");
SYMBOL_CRC(usb_phy_roothub_set_mode, 0x5bdae35b, "_gpl");
SYMBOL_CRC(usb_phy_roothub_calibrate, 0x851e6003, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_connect, 0x193780c4, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_disconnect, 0xef6a57e5, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_on, 0x9c803020, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_off, 0x8c89e3b8, "_gpl");
SYMBOL_CRC(usb_phy_roothub_suspend, 0xa0a3a196, "_gpl");
SYMBOL_CRC(usb_phy_roothub_resume, 0x226ba6b4, "_gpl");
SYMBOL_CRC(usb_hcd_pci_probe, 0x5736cca8, "_gpl");
SYMBOL_CRC(usb_hcd_pci_remove, 0x5841d739, "_gpl");
SYMBOL_CRC(usb_hcd_pci_shutdown, 0xe3eeace4, "_gpl");
SYMBOL_CRC(usb_hcd_pci_pm_ops, 0xfbf4f0a8, "_gpl");
SYMBOL_CRC(usb_acpi_power_manageable, 0xec140720, "_gpl");
SYMBOL_CRC(usb_acpi_port_lpm_incapable, 0x329bb4e4, "_gpl");
SYMBOL_CRC(usb_acpi_set_power_state, 0xd5686345, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4bb5f524, "device_create" },
	{ 0xe3126d75, "noop_llseek" },
	{ 0x39fe1de4, "sysfs_merge_group" },
	{ 0x3ffb4f35, "phy_notify_disconnect" },
	{ 0x43033ded, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfb6eedf9, "power_group_name" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x63f21177, "kernfs_find_and_get_ns" },
	{ 0xd50d2ca, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd8ac193c, "phy_power_on" },
	{ 0x767976b6, "no_seek_end_llseek" },
	{ 0x3bee7502, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3074584e, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1ebf6c2a, "pci_power_names" },
	{ 0x60d0e338, "sysfs_remove_file_from_group" },
	{ 0x72bffc3d, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x11089ac7, "_ctype" },
	{ 0x50cb14c, "device_register" },
	{ 0x1d1abdf0, "acpi_get_physical_device_location" },
	{ 0x16d392fb, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xaae8ab0e, "acpi_bus_power_manageable" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0x89e8d895, "device_bind_driver" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0xfb578fc5, "memset" },
	{ 0x3c21bf18, "_dev_warn" },
	{ 0x257f912, "system_bh_highpri_wq" },
	{ 0xb3dbe1dc, "unregister_acpi_bus_type" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x759a3290, "device_match_devt" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x4a39657c, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbefa51a3, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x91871037, "pm_runtime_no_callbacks" },
	{ 0xb26dab11, "phy_power_off" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x149e7075, "devm_gen_pool_create" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x64bb53e5, "dev_pm_qos_flags" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x94e06388, "pv_ops" },
	{ 0xd8558451, "sysfs_remove_group" },
	{ 0x26bbaec, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb219157, "_dev_notice" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xef1bb5a1, "pm_runtime_forbid" },
	{ 0xd4514300, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x492ca35, "dma_free_attrs" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x5eaa6af, "pm_runtime_allow" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x4f0c7fa3, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x282cdabc, "usb_led_activity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9b41cea4, "acpi_fetch_acpi_dev" },
	{ 0x6a0af085, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x8a7398c9, "kernfs_put" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xcd6a9de7, "inode_set_ctime_current" },
	{ 0x8969aca8, "__register_chrdev" },
	{ 0x99d798ee, "sysfs_break_active_protection" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xa9beddd3, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xfd24dafe, "kobject_uevent" },
	{ 0x772c2c6e, "device_pm_wait_for_dev" },
	{ 0x7f3ba77, "pci_disable_device" },
	{ 0x6b3651dd, "kill_pid_usb_asyncio" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x8541f245, "dma_mmap_attrs" },
	{ 0xd4c500, "usb_decode_interval" },
	{ 0xae6ed338, "usb_hcd_amd_remote_wakeup_quirk" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf7d6b76e, "dma_unmap_sg_attrs" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x2a640280, "dev_pm_qos_add_request" },
	{ 0x3208619b, "pm_runtime_barrier" },
	{ 0xfdf6bdbe, "__pm_runtime_suspend" },
	{ 0x1f86691d, "usb_debug_root" },
	{ 0x64efaebf, "component_add" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xcb6bd8fc, "set_primary_fwnode" },
	{ 0xaab7459b, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x665a6601, "__pm_runtime_use_autosuspend" },
	{ 0x77358855, "iomem_resource" },
	{ 0xd3df8e93, "phy_calibrate" },
	{ 0xb5252c00, "param_ops_int" },
	{ 0xc9e202e0, "_dev_printk" },
	{ 0xaed8630e, "dev_pm_qos_expose_flags" },
	{ 0x6e07e153, "__pm_runtime_disable" },
	{ 0x4de17ab3, "usb_state_string" },
	{ 0xd3a535c9, "dev_pm_qos_remove_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x8b20c0fa, "pci_free_irq_vectors" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x53b954a2, "up_read" },
	{ 0xfdd1dbe3, "driver_register" },
	{ 0x20857727, "put_pid" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf5e17072, "class_register" },
	{ 0x1d7b6d45, "__pm_runtime_idle" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa53fc1f1, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0x12113931, "cdev_del" },
	{ 0x707634f6, "device_remove_file" },
	{ 0x1c16f6ad, "bus_register" },
	{ 0x6ca75a1a, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3717b926, "phy_init" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x2f03593a, "phy_notify_connect" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1a146ec3, "usb_ep_type_string" },
	{ 0x69860765, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x760a0f4f, "yield" },
	{ 0xb5c81b6e, "device_set_wakeup_enable" },
	{ 0xd595bb51, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf6dedda8, "is_acpi_device_node" },
	{ 0x9bfbca8b, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf52cd2e5, "device_set_of_node_from_dev" },
	{ 0x1e7816a5, "param_ops_uint" },
	{ 0xfe61531c, "dma_pool_create" },
	{ 0x25243853, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfa5bf3b4, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8f4bb2de, "devm_memremap" },
	{ 0xdb41257c, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb0e602eb, "memmove" },
	{ 0x7f650b17, "pci_alloc_irq_vectors" },
	{ 0xba75a58b, "param_get_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfaa3c0c3, "dmam_alloc_attrs" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x4108030, "driver_remove_file" },
	{ 0xe947da4a, "sysfs_add_file_to_group" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x9aa058e3, "driver_attach" },
	{ 0x8aace6d2, "device_unregister" },
	{ 0x5fc6bb71, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xada31e57, "gen_pool_dma_alloc_align" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa0c8f1d9, "pci_get_device" },
	{ 0x3be4ef7f, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0xffcb56f5, "sysfs_unbreak_active_protection" },
	{ 0x2544996b, "pci_dev_run_wake" },
	{ 0x894d455c, "devm_ioremap" },
	{ 0x94ff8c6f, "pci_prepare_to_sleep" },
	{ 0x7e678633, "device_initialize" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x5aca7802, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x262e67ad, "component_del" },
	{ 0x49aa7e38, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x941099b1, "kobject_get_path" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x2dde78c6, "acpi_find_child_by_adr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x1498861c, "bus_for_each_drv" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x54d0528c, "pci_irq_vector" },
	{ 0x1830d489, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4989fb02, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x89cabfe4, "kernfs_notify" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9f092cc, "param_set_copystring" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x12d1595e, "__put_cred" },
	{ 0x2209698a, "__suspend_report_result" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x868e5e91, "dev_driver_string" },
	{ 0x486075c8, "gen_pool_dma_alloc" },
	{ 0x5e1cec87, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x616cff5f, "__pm_runtime_set_status" },
	{ 0x1b568ac6, "dma_map_page_attrs" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0xa963864f, "__devm_request_region" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x52885f33, "pm_wakeup_dev_event" },
	{ 0xc948b52b, "device_reprobe" },
	{ 0x197819df, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0x47049f18, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xca963aae, "debugfs_lookup_and_remove" },
	{ 0x4d6d041, "put_device" },
	{ 0x84d39945, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x5d015614, "driver_create_file" },
	{ 0x7d59dd46, "pm_wq" },
	{ 0xdf66a0cc, "phy_exit" },
	{ 0xdb38ef62, "bus_register_notifier" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x26778ef6, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc65e9372, "bus_for_each_dev" },
	{ 0x9f984513, "strrchr" },
	{ 0xd011aa6a, "_dev_info" },
	{ 0xe312dff8, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x68e84444, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcf0d5dfc, "device_wakeup_disable" },
	{ 0xc7a896ee, "compat_ptr_ioctl" },
	{ 0x548077f8, "cdev_add" },
	{ 0x88d2bf9f, "device_create_file" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc73a2a4, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x3ecd24d2, "sysfs_update_group" },
	{ 0x8d57dd73, "sysfs_unmerge_group" },
	{ 0xa8cad3aa, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2235dd05, "_dev_err" },
	{ 0xd417e635, "device_wakeup_enable" },
	{ 0xce807a25, "up_write" },
	{ 0xdeb734fc, "bus_find_device" },
	{ 0xe4fc29e1, "device_add" },
	{ 0x7a8c4489, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xf1177016, "init_uts_ns" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("usb:v0424p5534d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v04B4p6570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E3p*d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v0451p8142d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p8140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4913d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4914d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc09dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic09isc*ip*in*");

MODULE_INFO(srcversion, "9D01A63C683514EE25CDE6A");
