#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(gether_setup_name, "_gpl", "");
KSYMTAB_FUNC(gether_setup_name_default, "_gpl", "");
KSYMTAB_FUNC(gether_register_netdev, "_gpl", "");
KSYMTAB_FUNC(gether_set_gadget, "_gpl", "");
KSYMTAB_FUNC(gether_set_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_set_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_cdc, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_u8, "_gpl", "");
KSYMTAB_FUNC(gether_set_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_set_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_suspend, "_gpl", "");
KSYMTAB_FUNC(gether_resume, "_gpl", "");
KSYMTAB_FUNC(gether_cleanup, "_gpl", "");
KSYMTAB_FUNC(gether_connect, "_gpl", "");
KSYMTAB_FUNC(gether_disconnect, "_gpl", "");

SYMBOL_CRC(gether_setup_name, 0xdb8ce8d3, "_gpl");
SYMBOL_CRC(gether_setup_name_default, 0x91ceff2e, "_gpl");
SYMBOL_CRC(gether_register_netdev, 0x70db2c12, "_gpl");
SYMBOL_CRC(gether_set_gadget, 0x5916fc7d, "_gpl");
SYMBOL_CRC(gether_set_dev_addr, 0x44878dbc, "_gpl");
SYMBOL_CRC(gether_get_dev_addr, 0x7430e5a3, "_gpl");
SYMBOL_CRC(gether_set_host_addr, 0x170ffc5e, "_gpl");
SYMBOL_CRC(gether_get_host_addr, 0x98630f08, "_gpl");
SYMBOL_CRC(gether_get_host_addr_cdc, 0xf99f62e6, "_gpl");
SYMBOL_CRC(gether_get_host_addr_u8, 0xaff387ce, "_gpl");
SYMBOL_CRC(gether_set_qmult, 0x1fdf551e, "_gpl");
SYMBOL_CRC(gether_get_qmult, 0xcca99b5b, "_gpl");
SYMBOL_CRC(gether_get_ifname, 0x0bc6ee8a, "_gpl");
SYMBOL_CRC(gether_set_ifname, 0x28383f6f, "_gpl");
SYMBOL_CRC(gether_suspend, 0xbb64fae3, "_gpl");
SYMBOL_CRC(gether_resume, 0xa5d2ce48, "_gpl");
SYMBOL_CRC(gether_cleanup, 0x8878cfa6, "_gpl");
SYMBOL_CRC(gether_connect, 0x8ede2bea, "_gpl");
SYMBOL_CRC(gether_disconnect, 0xac5d979f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x754d539c, "strlen" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd152cd3f, "usb_ep_disable" },
	{ 0xbcf61715, "usb_ep_enable" },
	{ 0x4989fb02, "__dynamic_dev_dbg" },
	{ 0x8c3c7271, "dev_addr_mod" },
	{ 0xfa148379, "register_netdev" },
	{ 0xd011aa6a, "_dev_info" },
	{ 0xfa4ae030, "netif_carrier_off" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x96848186, "scnprintf" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x349cba85, "strchr" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x970607ff, "usb_ep_free_request" },
	{ 0x8ca7011c, "usb_ep_alloc_request" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xadbe1206, "unregister_netdev" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x5a0adce9, "free_netdev" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2235dd05, "_dev_err" },
	{ 0x61fca569, "__netdev_alloc_skb" },
	{ 0x7673e7f6, "usb_ep_queue" },
	{ 0x7c104481, "dev_kfree_skb_any_reason" },
	{ 0x5dd6d5eb, "netif_tx_wake_queue" },
	{ 0x26dc6d43, "netif_carrier_on" },
	{ 0xbe4dd0e9, "skb_put" },
	{ 0xfef1369a, "skb_dequeue" },
	{ 0xa03bf2d8, "skb_queue_tail" },
	{ 0x11cd239b, "eth_type_trans" },
	{ 0x745abf77, "netif_rx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb35bdc41, "usb_func_wakeup" },
	{ 0x12bcd44c, "usb_gadget_wakeup" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x532d8afb, "alloc_etherdev_mqs" },
	{ 0x3c21bf18, "_dev_warn" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x862f9fb2, "eth_mac_addr" },
	{ 0x2755f67f, "eth_validate_addr" },
	{ 0x81bfc24a, "ethtool_op_get_link" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "libcomposite");


MODULE_INFO(srcversion, "778C22C6102DA480283AC31");
