#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ax25_bcast, "_gpl", "");
KSYMTAB_DATA(ax25_defaddr, "_gpl", "");
KSYMTAB_DATA(null_ax25_address, "", "");
KSYMTAB_FUNC(ax2asc, "", "");
KSYMTAB_FUNC(asc2ax, "", "");
KSYMTAB_FUNC(ax25cmp, "", "");
KSYMTAB_FUNC(ax25_register_pid, "_gpl", "");
KSYMTAB_FUNC(ax25_protocol_release, "", "");
KSYMTAB_FUNC(ax25_linkfail_register, "", "");
KSYMTAB_FUNC(ax25_linkfail_release, "", "");
KSYMTAB_FUNC(ax25_listen_register, "", "");
KSYMTAB_FUNC(ax25_listen_release, "", "");
KSYMTAB_DATA(ax25_header_ops, "", "");
KSYMTAB_FUNC(ax25_ip_xmit, "", "");
KSYMTAB_FUNC(ax25_send_frame, "", "");
KSYMTAB_FUNC(ax25_display_timer, "", "");
KSYMTAB_DATA(ax25_uid_policy, "", "");
KSYMTAB_FUNC(ax25_findbyuid, "", "");
KSYMTAB_FUNC(ax25_find_cb, "", "");

SYMBOL_CRC(ax25_bcast, 0xac93ae05, "_gpl");
SYMBOL_CRC(ax25_defaddr, 0xaeb7451e, "_gpl");
SYMBOL_CRC(null_ax25_address, 0xd43ecbf1, "");
SYMBOL_CRC(ax2asc, 0x53dea1ff, "");
SYMBOL_CRC(asc2ax, 0x4502c65a, "");
SYMBOL_CRC(ax25cmp, 0xc1444946, "");
SYMBOL_CRC(ax25_register_pid, 0xd13f6a21, "_gpl");
SYMBOL_CRC(ax25_protocol_release, 0x8ede9e26, "");
SYMBOL_CRC(ax25_linkfail_register, 0x05d934e5, "");
SYMBOL_CRC(ax25_linkfail_release, 0xba701873, "");
SYMBOL_CRC(ax25_listen_register, 0xacffa222, "");
SYMBOL_CRC(ax25_listen_release, 0x3ab5dedd, "");
SYMBOL_CRC(ax25_header_ops, 0xa0216fcb, "");
SYMBOL_CRC(ax25_ip_xmit, 0x6c1fb613, "");
SYMBOL_CRC(ax25_send_frame, 0xec2dd165, "");
SYMBOL_CRC(ax25_display_timer, 0x14cecd59, "");
SYMBOL_CRC(ax25_uid_policy, 0x242852b9, "");
SYMBOL_CRC(ax25_findbyuid, 0xee02e420, "");
SYMBOL_CRC(ax25_find_cb, 0x8e4b16d8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x999dfa42, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x86039c5f, "__dev_get_by_name" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd3240032, "skb_queue_purge_reason" },
	{ 0xd8d45334, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x722ab68b, "proto_unregister" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1000e51, "schedule" },
	{ 0x1521f8d2, "sock_register" },
	{ 0x955e7cb7, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa4e5abd6, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xb0752e8, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x26778ef6, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x42a3d17d, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa03bf2d8, "skb_queue_tail" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x41fdd5e7, "init_net" },
	{ 0xc0a8d924, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xe47ceaaf, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x95ddf1c5, "dev_remove_pack" },
	{ 0x99cb1c0a, "sk_free" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x36688b7a, "skb_push" },
	{ 0xc8a1fe7e, "seq_putc" },
	{ 0x543ef284, "seq_hlist_start" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0xfd4b5716, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4e1b3819, "skb_copy_datagram_iter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbc879dd3, "__skb_wait_for_more_packets" },
	{ 0x7f7e3197, "sk_alloc" },
	{ 0x4d5770c3, "sock_no_socketpair" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x66dc2811, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbf44eb16, "sock_no_mmap" },
	{ 0x745abf77, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e4bdaa2, "sock_rfree" },
	{ 0xe7239873, "sock_i_ino" },
	{ 0xaf40e050, "__dev_queue_xmit" },
	{ 0x6297cda8, "skb_set_owner_w" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x11bdbc08, "sock_alloc_send_pskb" },
	{ 0x642cad8e, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6cb63b0b, "remove_proc_entry" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc682a9d, "seq_printf" },
	{ 0x2699760d, "skb_copy" },
	{ 0x56f27e9a, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe424612c, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e1ebcda, "sock_gettstamp" },
	{ 0x93ffd19, "send_sig" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x78bbe48c, "from_kuid_munged" },
	{ 0x299ba33c, "iov_iter_revert" },
	{ 0xef84d4e1, "proc_create_seq_private" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8c77bae1, "sock_init_data" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0x24228f2c, "release_sock" },
	{ 0x4fe6f515, "skb_queue_head" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x2d52556, "security_sock_graft" },
	{ 0xdb5efafe, "skb_free_datagram" },
	{ 0x500e478e, "sock_queue_rcv_skb_reason" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbe4dd0e9, "skb_put" },
	{ 0xfd806f90, "skb_expand_head" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4b5de90a, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfef1369a, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x9a0f167a, "__skb_try_recv_datagram" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6812E472115690AF9E3BBFF");
