#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x9007949b, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x469229e4, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x8209edd6, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x1ca5999a, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x87bda0ba, "_gpl");
SYMBOL_CRC(br_forward, 0xa480dba8, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xe25b167c, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x3e64d114, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x84f441c4, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x991540c3, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x81b498eb, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x2534a167, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x9fb3fd54, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xb2b9d3ce, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x2928db7a, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xcd1cb998, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xad632481, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x9b97c8d1, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x6834da3a, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x7648f46a, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x98201015, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0xd15cc421, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x437f9c0b, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x09bfe17d, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xcd37d9eb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9b024fb9, "kobject_create_and_add" },
	{ 0x56610c1b, "skb_trim" },
	{ 0xda29b53f, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x9a1d3f3f, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x66d3f289, "__ip_mc_inc_group" },
	{ 0xde26f840, "netdev_walk_all_upper_dev_rcu" },
	{ 0x94e06388, "pv_ops" },
	{ 0xd8558451, "sysfs_remove_group" },
	{ 0x28c435f9, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4d736b5f, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe79a4fcf, "__netpoll_setup" },
	{ 0xaf40e050, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xabc00303, "vlan_vid_add" },
	{ 0x3b2966d6, "neigh_destroy" },
	{ 0x81660eda, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xc2780af1, "kobject_del" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0xe3ded56f, "__SCK__tp_func_br_fdb_update" },
	{ 0x1c3b0744, "call_netdevice_notifiers" },
	{ 0x6427be4c, "is_skb_forwardable" },
	{ 0xfe617f99, "vlan_vid_del" },
	{ 0x2fcae953, "dev_set_allmulti" },
	{ 0x61dcfb63, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x2ae41159, "netdev_master_upper_dev_get" },
	{ 0xe834e518, "ipv6_dev_mc_inc" },
	{ 0xbaeb635, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfa4ae030, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x33b0f11b, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x56f27e9a, "skb_clone" },
	{ 0xd553966e, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0x6d7b7d28, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x26a2f2e, "dst_release" },
	{ 0x26dc6d43, "netif_carrier_on" },
	{ 0xfd24dafe, "kobject_uevent" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xdff8b73, "arp_tbl" },
	{ 0x3841aedb, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x36b13143, "netdev_rx_handler_register" },
	{ 0xe477bea7, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5290f11f, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc1c5fa57, "dev_disable_lro" },
	{ 0xa31ab4fb, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x96171b57, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x7c104481, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xaf8220b3, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xcd922ffa, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x6eaadc88, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8cea5e6c, "skb_ext_add" },
	{ 0x1989caf3, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x5626afe8, "stp_proto_unregister" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0x8eecc5c7, "neigh_lookup" },
	{ 0x41326383, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xcf461b6e, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2caa5f2b, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x93b2678e, "netdev_lower_get_next" },
	{ 0xb985ec3e, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x86bb9cc, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xd2a3ac5c, "skb_copy_bits" },
	{ 0xa1daf23, "__nlmsg_put" },
	{ 0xab6db1d, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6aed69f7, "ipv6_mc_check_mld" },
	{ 0xbe4dd0e9, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa8de0450, "call_switchdev_notifiers" },
	{ 0x130c6c35, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa6de9971, "netdev_update_features" },
	{ 0xe878f206, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbec2aa9, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x7aefe5ff, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa0f9cb50, "netpoll_send_skb" },
	{ 0x5160395a, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x9bb2d7ea, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0x53b8648e, "switchdev_port_obj_act_is_deferred" },
	{ 0xd8fa1eaa, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xaaffacd, "dev_set_promiscuity" },
	{ 0x999dfa42, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x18d6f63c, "unregister_netdevice_queue" },
	{ 0xe23b011e, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xef87f4ff, "netdev_state_change" },
	{ 0xaf7c4cd1, "__pskb_copy_fclone" },
	{ 0x86039c5f, "__dev_get_by_name" },
	{ 0x303eb09a, "ether_setup" },
	{ 0x2a77b0ce, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x98d8668b, "pskb_expand_head" },
	{ 0x555944c3, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xe34129f2, "brioctl_set" },
	{ 0x8c3c7271, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xb1cbe877, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5a7f786c, "alloc_netdev_mqs" },
	{ 0x99e36eca, "passthru_features_check" },
	{ 0x2d86ebff, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x12171208, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x431cef5f, "__SCK__tp_func_br_mdb_full" },
	{ 0x7dca7040, "rtnl_af_register" },
	{ 0x213249de, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0xb0752e8, "__alloc_skb" },
	{ 0x26778ef6, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x207d93aa, "rtnl_set_sk_err" },
	{ 0x1f403ec8, "skb_vlan_pop" },
	{ 0xecd3a69d, "rtnl_unicast" },
	{ 0x68e84444, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x509079d1, "ipv6_dev_get_saddr" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xea55fe28, "nla_reserve_64bit" },
	{ 0x40e3d726, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x4893f609, "__dev_get_by_index" },
	{ 0xaa8cd959, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x66e980a7, "dev_get_port_parent_id" },
	{ 0x41fdd5e7, "init_net" },
	{ 0xea5b5100, "ipv6_stub" },
	{ 0x22b46803, "inet_confirm_addr" },
	{ 0xc0a8d924, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7a8c4489, "sysfs_remove_link" },
	{ 0x56f6ba81, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x10862f75, "__SCK__tp_func_br_fdb_add" },
	{ 0xb5d68f5, "rtnl_af_unregister" },
	{ 0xe47ceaaf, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x645fbc48, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x83e86259, "dev_get_by_index_rcu" },
	{ 0xe33d7129, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0x36688b7a, "skb_push" },
	{ 0x41db049f, "kmem_cache_free" },
	{ 0x12c3372, "br_fdb_test_addr_hook" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x7f31cbf9, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0xeeca9202, "netdev_upper_dev_unlink" },
	{ 0x1d0555d6, "netif_receive_skb" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x2c3f03ac, "llc_mac_hdr_init" },
	{ 0x5a0adce9, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xbec83503, "__SCK__tp_func_fdb_delete" },
	{ 0x864b9414, "kobject_init_and_add" },
	{ 0x5c22594f, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x12fabd12, "ns_capable" },
	{ 0xc9f83695, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x72bffc3d, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x81bfc24a, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcc3a74df, "arp_create" },
	{ 0xc78c0f11, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc82e329c, "stp_proto_register" },
	{ 0xa18e6c4b, "rtnl_register_module" },
	{ 0xfef31896, "__tracepoint_br_fdb_update" },
	{ 0x3ce67120, "sysfs_rename_link_ns" },
	{ 0x9899efdf, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xb917e850, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xcd376208, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x53533143, "__pskb_pull_tail" },
	{ 0xdf23c9e2, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x745abf77, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x3b3d2730, "ip_mc_check_igmp" },
	{ 0x61fca569, "__netdev_alloc_skb" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xdfbed37d, "switchdev_port_obj_del" },
	{ 0xfbef2a44, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "stp,llc");


MODULE_INFO(srcversion, "124C3ED9C1C71D271315219");
