#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe48e1305, "l2tp_tunnel_dec_refcount" },
	{ 0x37a0cba, "kfree" },
	{ 0x6cb63b0b, "remove_proc_entry" },
	{ 0xc7362589, "proc_create_net_data" },
	{ 0xa6af405c, "l2tp_tunnel_get_nth" },
	{ 0x337f2432, "l2tp_nl_unregister_ops" },
	{ 0xcd307562, "l2tp_udp_encap_recv" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x500e478e, "sock_queue_rcv_skb_reason" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x878f813f, "ppp_input" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc0a8d924, "skb_pull" },
	{ 0x53533143, "__pskb_pull_tail" },
	{ 0x23a3d4b1, "l2tp_session_get_nth" },
	{ 0xfd4b5716, "lock_sock_nested" },
	{ 0x24228f2c, "release_sock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7d83df25, "ip6_mtu" },
	{ 0x26a2f2e, "dst_release" },
	{ 0xd94c93af, "ppp_register_net_channel" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x21a1b384, "l2tp_tunnel_delete" },
	{ 0x580bb9cf, "l2tp_session_create" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x26778ef6, "const_pcpu_hot" },
	{ 0x928cd26a, "l2tp_session_inc_refcount" },
	{ 0xd9621530, "l2tp_session_register" },
	{ 0x3ec6cb15, "l2tp_session_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xdb6db962, "ipv4_mtu" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x99cb1c0a, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf2c0bc2f, "ppp_dev_name" },
	{ 0xc682a9d, "seq_printf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x642cad8e, "seq_write" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xae6a6747, "l2tp_session_set_header_len" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc9427ed4, "pppox_unbind_sock" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3dfbde22, "sock_wmalloc" },
	{ 0xbe4dd0e9, "skb_put" },
	{ 0xe424612c, "_copy_from_iter" },
	{ 0x999dfa42, "pcpu_hot" },
	{ 0x4023a1bd, "l2tp_xmit_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x299ba33c, "iov_iter_revert" },
	{ 0x98d8668b, "pskb_expand_head" },
	{ 0xa650c139, "sock_no_bind" },
	{ 0x4d5770c3, "sock_no_socketpair" },
	{ 0x1c202c0f, "sock_no_accept" },
	{ 0x955e7cb7, "datagram_poll" },
	{ 0x37f956f, "pppox_ioctl" },
	{ 0xe4b7773c, "pppox_compat_ioctl" },
	{ 0x7fafe856, "sock_no_listen" },
	{ 0xb60ad50c, "sock_no_shutdown" },
	{ 0xbf44eb16, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6646685, "register_pernet_device" },
	{ 0x42a3d17d, "proto_register" },
	{ 0xf12c0e6d, "register_pppox_proto" },
	{ 0xedf3e696, "l2tp_nl_register_ops" },
	{ 0xe0ff7a18, "unregister_pppox_proto" },
	{ 0x92997ed8, "_printk" },
	{ 0x722ab68b, "proto_unregister" },
	{ 0xcba4cd99, "unregister_pernet_device" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa2bebdf3, "l2tp_session_get" },
	{ 0x7128f1f3, "l2tp_session_dec_refcount" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7f7e3197, "sk_alloc" },
	{ 0x8c77bae1, "sock_init_data" },
	{ 0xd3240032, "skb_queue_purge_reason" },
	{ 0x6fe1bd27, "skb_recv_datagram" },
	{ 0x4e1b3819, "skb_copy_datagram_iter" },
	{ 0xe47ceaaf, "sk_skb_reason_drop" },
	{ 0xe0c3388b, "l2tp_tunnel_get" },
	{ 0x35ebd224, "l2tp_tunnel_create" },
	{ 0xcda770dd, "l2tp_tunnel_inc_refcount" },
	{ 0x1b1ab9cc, "l2tp_tunnel_register" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "l2tp_core,l2tp_netlink,ppp_generic,pppox");


MODULE_INFO(srcversion, "7AAF652BB9CF6810A949ECB");
