#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0xaf0847f0, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x9adb7399, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xdba7326b, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x70a13d82, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x0ab6a096, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x5abaaa21, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xc38d53a6, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x7837c4d6, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x60654319, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x7baeae5a, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x9b5c44fa, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x5cf12657, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0xbdf6a384, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0xf874b7c0, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0xd43bfbb1, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x4d810da3, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x28eb1cea, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0xf5e29d1d, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x3cdaaf77, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xeb0ab313, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x468e4e74, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x0671d418, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x385c5676, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x9c80b063, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x7b42c279, "_gpl");
SYMBOL_CRC(print_tuple, 0x4e3ec5a1, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xbeac31cf, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xf3be0c21, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xe594a594, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x45a9980d, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x1b97c4e0, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0xe22ce5d1, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x5690f09e, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0xe3d1c0fa, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x22b3afae, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x919d6b37, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x1bb47201, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0xabf411e7, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0xfddc6df5, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x00e0f574, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0xed70d959, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0xc35a580c, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x8b02e0e5, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x267889ec, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x6b268c13, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x79bc03ae, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0xe7b82763, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0xff55460a, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x75a88af7, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x3d98011c, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x8000047e, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x8686bb45, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x60601ee1, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x062676fe, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0xb3b39284, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x8a9ea8ce, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x8179d119, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0xb2ed8e22, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x1f0d83a8, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x4872f5bf, "_gpl");
SYMBOL_CRC(nf_confirm, 0x76e897f1, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x89bd01ee, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0xf1fcc1f2, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x679faada, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0xedc6acb0, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xbba96e9c, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0xa901c880, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x5c131304, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x1c49a235, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0xa96ad4c9, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x76599208, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x09b9d38e, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x81f1c0f0, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x18def6e1, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0xdba56fd8, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0xbec7cb7a, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0xd587ad0f, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x42c01239, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x3b1ae1d2, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0xa9560b6f, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0xe0a2b91a, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x4191af32, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x3213eefc, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0xb5d0b48d, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x68589da3, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0xa18cab9d, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0xb9e28a0a, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0xf5a85e83, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0xd5f1760e, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0xd097d421, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa4e5abd6, "make_kuid" },
	{ 0x5ee15a69, "nf_defrag_ipv6_disable" },
	{ 0x3a5654ae, "ipv6_skip_exthdr" },
	{ 0x7048ea2d, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0x26778ef6, "const_pcpu_hot" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xe312dff8, "module_put" },
	{ 0x74be58f0, "nf_checksum" },
	{ 0x41fdd5e7, "init_net" },
	{ 0x53558656, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe47ceaaf, "sk_skb_reason_drop" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x41db049f, "kmem_cache_free" },
	{ 0xc8a1fe7e, "seq_putc" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xefd19858, "nf_checksum_partial" },
	{ 0x29b5701c, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x76fba5f6, "nf_unregister_net_hooks" },
	{ 0xfd4b5716, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9899efdf, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x954a2b5c, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xb917e850, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x30d089ff, "nf_log_packet" },
	{ 0x5b2eb70d, "make_kgid" },
	{ 0xe11f59cb, "nf_ip_checksum" },
	{ 0xee7fab21, "register_btf_kfunc_id_set" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xa041a619, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x254ad00e, "nla_policy_len" },
	{ 0x14fb2444, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xec79f56a, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x3b2b7faa, "proc_set_user" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6a0af085, "param_ops_bool" },
	{ 0xafad17d9, "inet_proto_csum_replace4" },
	{ 0x642cad8e, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6cb63b0b, "remove_proc_entry" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc682a9d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x526c4cb1, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x2077c970, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x66c4b158, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xdee94a03, "pskb_trim_rcsum_slow" },
	{ 0x53b954a2, "up_read" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x41326383, "kmem_cache_destroy" },
	{ 0x24228f2c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x416765c0, "__do_once_done" },
	{ 0xd595bb51, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x8d0bcf1b, "nf_defrag_ipv4_disable" },
	{ 0x6b8eadf4, "nf_ip6_checksum" },
	{ 0x917a760d, "proc_dou8vec_minmax" },
	{ 0xd2a3ac5c, "skb_copy_bits" },
	{ 0x1e7816a5, "param_ops_uint" },
	{ 0xac4038d6, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdaf8ac8d, "nf_register_sockopt" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0xe30a90a9, "nfct_btf_struct_access" },
	{ 0x28fdc806, "param_set_uint" },
	{ 0x68e3f5cc, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xdb71653f, "nf_ct_frag6_gather" },
	{ 0x720fcd3f, "get_net_ns_by_id" },
	{ 0x999dfa42, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe23b011e, "kmem_cache_create" },
	{ 0xb2a380d5, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc7362589, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x555944c3, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xd8d45334, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x9af455cf, "nf_unregister_sockopt" },
	{ 0x8076d1f, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv6,libcrc32c,nf_defrag_ipv4");


MODULE_INFO(srcversion, "C3EB11D2F910CD4744B9EB6");
