#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4d6d041, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x26778ef6, "const_pcpu_hot" },
	{ 0xa09cfa12, "snd_pcm_hw_rule_add" },
	{ 0xad84fcd1, "amdtp_domain_stop" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe5a2d328, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1cc61009, "snd_ctl_boolean_mono_info" },
	{ 0x2a4d6636, "devm_kmemdup" },
	{ 0x94098ff8, "snd_interval_list" },
	{ 0x2235dd05, "_dev_err" },
	{ 0x82f4960c, "snd_hwdep_new" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2948acee, "amdtp_stream_destroy" },
	{ 0x3bee7502, "driver_unregister" },
	{ 0x8285b822, "snd_pcm_set_ops" },
	{ 0xd18072ce, "amdtp_domain_add_stream" },
	{ 0xbc2a6cc7, "avc_general_get_sig_fmt" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x128efcd4, "cmp_connection_establish" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1aafe36d, "amdtp_stream_get_max_payload" },
	{ 0x22b18433, "avc_general_get_plug_info" },
	{ 0x20259aca, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0x36f00f20, "fcp_avc_transaction" },
	{ 0x2a1fbf9b, "cmp_connection_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc98b7a30, "snd_rawmidi_new" },
	{ 0x2202b96b, "snd_rawmidi_set_ops" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe80e5087, "fw_csr_iterator_init" },
	{ 0x54ada834, "fw_bus_type" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xc682a9d, "seq_printf" },
	{ 0xeb1e6f27, "snd_info_create_card_entry" },
	{ 0x761852ad, "avc_general_set_sig_fmt" },
	{ 0x6dc50487, "fw_csr_string" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x81188c30, "match_string" },
	{ 0x7ee7c8ab, "__fw_send_request" },
	{ 0x754d539c, "strlen" },
	{ 0xbea3ff81, "amdtp_domain_stream_pcm_ack" },
	{ 0xbaddae87, "amdtp_domain_destroy" },
	{ 0xfdd1dbe3, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0x545b6f1b, "amdtp_domain_start" },
	{ 0xe3fde125, "fw_csr_iterator_next" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe68869b4, "fw_send_response" },
	{ 0x89825370, "cmp_connection_reserve" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5be8c48f, "snd_rawmidi_receive" },
	{ 0xaedf84ce, "fw_high_memory_region" },
	{ 0xb40915f2, "devm_kmalloc" },
	{ 0xe1a8d889, "amdtp_am824_set_parameters" },
	{ 0xd88d2d5, "snd_rawmidi_transmit" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x270c2fd1, "snd_fw_transaction" },
	{ 0x53098004, "snd_ctl_add" },
	{ 0xb0e602eb, "memmove" },
	{ 0x8b16bcf3, "cmp_connection_check_used" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x251338b0, "snd_pcm_new" },
	{ 0x8d0ee0f4, "amdtp_am824_midi_trigger" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x53ca18e8, "amdtp_rate_table" },
	{ 0x5af2bf0f, "cmp_connection_release" },
	{ 0x5923b3cb, "amdtp_am824_init" },
	{ 0x96220b25, "snd_card_register" },
	{ 0x68826955, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xec0fa664, "amdtp_am824_add_pcm_hw_constraints" },
	{ 0x96848186, "scnprintf" },
	{ 0x42cfc108, "cmp_connection_init" },
	{ 0xa1fef20d, "snd_pcm_hw_constraint_minmax" },
	{ 0x1d0a451d, "cmp_connection_break" },
	{ 0x24753bb5, "fcp_bus_reset" },
	{ 0xbf7a9330, "amdtp_domain_stream_pcm_pointer" },
	{ 0xcb431033, "amdtp_stream_pcm_abort" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x6bfb64a4, "fw_core_remove_address_handler" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xbee170e, "amdtp_domain_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1830d489, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd0b6058f, "fw_core_add_address_handler" },
	{ 0xc2c64836, "amdtp_stream_pcm_prepare" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbe1a3c44, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-firewire-lib,snd,snd-hwdep,snd-rawmidi,firewire-core");

MODULE_ALIAS("ieee1394:ven00001292mo0000F970sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven0000D04Bmo0000F970sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven000030E0mo0000F970sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001564mo0000FC22sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00000FF2mo00000460sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00000FF2mo0000200Fsp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00000FF2mo*sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven0000022Emo00800007sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001260mo00001000sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001260mo00002000sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven000003DBmo0001DDDDsp0000A02Dver00010001*");

MODULE_INFO(srcversion, "956BE7B17D058817B94C130");
