#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nau8825_enable_jack_detect, "_gpl", "");

SYMBOL_CRC(nau8825_enable_jack_detect, 0x2d3cec09, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x43f81957, "clk_round_rate" },
	{ 0x511cea27, "i2c_register_driver" },
	{ 0x92a5fdcf, "snd_soc_info_volsw" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x2235dd05, "_dev_err" },
	{ 0x52e1a473, "snd_soc_dapm_force_bias_level" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x3c21bf18, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x8fe7f571, "snd_soc_info_enum_double" },
	{ 0xc95f9887, "devm_clk_get_optional" },
	{ 0xe8059f6f, "snd_soc_get_volsw" },
	{ 0x8ecfb0b8, "regmap_read" },
	{ 0xa33d0310, "snd_soc_put_volsw" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x539be0eb, "regmap_update_bits_base" },
	{ 0x73d063ff, "i2c_del_driver" },
	{ 0x5d52b076, "regmap_register_patch" },
	{ 0x67fe915b, "snd_soc_dapm_get_enum_double" },
	{ 0x7dddea5b, "regmap_raw_write" },
	{ 0x815588a6, "clk_enable" },
	{ 0x2acda8a0, "snd_soc_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x949eba9a, "snd_soc_dapm_put_enum_double" },
	{ 0xd23dd4a5, "device_property_present" },
	{ 0xd696f4a9, "regcache_cache_only" },
	{ 0xcdee46d1, "regcache_sync" },
	{ 0x92e683f5, "down_timeout" },
	{ 0x8633cdf8, "regmap_write" },
	{ 0x5c0c50c1, "devm_request_threaded_irq" },
	{ 0xb40915f2, "devm_kmalloc" },
	{ 0x105dedd1, "snd_soc_bytes_info_ext" },
	{ 0x47fe0897, "snd_soc_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4ccf4a57, "regmap_raw_read" },
	{ 0xcf2a6966, "up" },
	{ 0xa1fef20d, "snd_pcm_hw_constraint_minmax" },
	{ 0x8733236, "intlog10" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x44a7b365, "snd_soc_dapm_disable_pin" },
	{ 0x1ab5519c, "snd_soc_dapm_force_enable_pin" },
	{ 0xfd5e459a, "snd_soc_put_enum_double" },
	{ 0xf36ec120, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x4989fb02, "__dynamic_dev_dbg" },
	{ 0xa491514d, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x23171f51, "snd_soc_dapm_sync" },
	{ 0xdfcc483c, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xde1d7732, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x33f07c49, "device_property_read_u32_array" },
	{ 0x5a8c82f0, "snd_soc_get_enum_double" },
	{ 0xd011aa6a, "_dev_info" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");

MODULE_ALIAS("acpi*:10508825:*");
MODULE_ALIAS("i2c:nau8825");

MODULE_INFO(srcversion, "836CFF4F5D18E922A072558");
