#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(skl_dsp_set_dma_control, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_create_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_delete_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_pipeline_state, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_save_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_restore_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_dx, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_init_instance, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_bind_unbind, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_load_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_unload_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_get_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_sst_ipc_load_library, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_d0ix, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_get_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_put_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_wake, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_sleep, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(is_skl_dsp_running, "_gpl", "");
KSYMTAB_FUNC(cnl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(skl_clear_module_cnt, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(skl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_instance_id_map, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_id, "_gpl", "");
KSYMTAB_FUNC(skl_put_pvt_id, "_gpl", "");

SYMBOL_CRC(skl_dsp_set_dma_control, 0x4337a61d, "_gpl");
SYMBOL_CRC(skl_ipc_create_pipeline, 0xb40b71ca, "_gpl");
SYMBOL_CRC(skl_ipc_delete_pipeline, 0x60a3c7c8, "_gpl");
SYMBOL_CRC(skl_ipc_set_pipeline_state, 0xea1bfb28, "_gpl");
SYMBOL_CRC(skl_ipc_save_pipeline, 0xb11dd24c, "_gpl");
SYMBOL_CRC(skl_ipc_restore_pipeline, 0xdc252d25, "_gpl");
SYMBOL_CRC(skl_ipc_set_dx, 0x9ed5d9b2, "_gpl");
SYMBOL_CRC(skl_ipc_init_instance, 0x3ec993d8, "_gpl");
SYMBOL_CRC(skl_ipc_bind_unbind, 0x5eea2825, "_gpl");
SYMBOL_CRC(skl_ipc_load_modules, 0xea67aa4a, "_gpl");
SYMBOL_CRC(skl_ipc_unload_modules, 0x3e127815, "_gpl");
SYMBOL_CRC(skl_ipc_set_large_config, 0x98411758, "_gpl");
SYMBOL_CRC(skl_ipc_get_large_config, 0xa7da992b, "_gpl");
SYMBOL_CRC(skl_sst_ipc_load_library, 0x01c9b6f5, "_gpl");
SYMBOL_CRC(skl_ipc_set_d0ix, 0xe2c6c4dc, "_gpl");
SYMBOL_CRC(skl_dsp_get_core, 0xb362cdef, "_gpl");
SYMBOL_CRC(skl_dsp_put_core, 0x322a9764, "_gpl");
SYMBOL_CRC(skl_dsp_wake, 0xb7ce54a1, "_gpl");
SYMBOL_CRC(skl_dsp_sleep, 0x0709a821, "_gpl");
SYMBOL_CRC(skl_dsp_free, 0xc3ddb552, "_gpl");
SYMBOL_CRC(is_skl_dsp_running, 0xc2bd39ac, "_gpl");
SYMBOL_CRC(cnl_dsp_free, 0xa333d4ec, "_gpl");
SYMBOL_CRC(skl_clear_module_cnt, 0x101e591c, "_gpl");
SYMBOL_CRC(skl_sst_dsp_init, 0x3e50d4e3, "_gpl");
SYMBOL_CRC(skl_sst_init_fw, 0xc91c0ef1, "_gpl");
SYMBOL_CRC(skl_sst_dsp_cleanup, 0xdf5adfa9, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_init, 0x4a48b0f4, "_gpl");
SYMBOL_CRC(bxt_sst_init_fw, 0x84c54e59, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_cleanup, 0x7f8820f8, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_init, 0xbde983a5, "_gpl");
SYMBOL_CRC(cnl_sst_init_fw, 0x00c196b3, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_cleanup, 0xcb696711, "_gpl");
SYMBOL_CRC(skl_get_pvt_instance_id_map, 0x8021ebe9, "_gpl");
SYMBOL_CRC(skl_get_pvt_id, 0x6a2e7efd, "_gpl");
SYMBOL_CRC(skl_put_pvt_id, 0x6c01d5aa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7d326052, "snd_hdac_ext_bus_exit" },
	{ 0x53beca15, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4d6d041, "put_device" },
	{ 0x5216d7c1, "sysfs_remove_file_ns" },
	{ 0x2c0d5823, "snd_hdac_ext_stream_decouple" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0x399fba0a, "snd_hdac_ext_stream_clear" },
	{ 0xa916b694, "strnlen" },
	{ 0x51e45f54, "snd_hdac_device_register" },
	{ 0x16c55dc3, "snd_hdac_stream_spbcap_enable" },
	{ 0xd05ac9f7, "sst_ipc_tx_message_nopm" },
	{ 0xccc331bd, "snd_hdac_i915_init" },
	{ 0xd011aa6a, "_dev_info" },
	{ 0xd66329cc, "snd_hdac_bus_init_chip" },
	{ 0x6f2e0a91, "snd_hdac_stream_stop" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8baf5e0e, "intel_nhlt_get_endpoint_blob" },
	{ 0x17b3226, "snd_hdac_stream_cleanup" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa1d18b77, "sst_dsp_shim_read_unlocked" },
	{ 0x4ae0f61a, "devm_kfree" },
	{ 0x2235dd05, "_dev_err" },
	{ 0xc69a8e67, "simple_open" },
	{ 0x336f81a3, "snd_soc_acpi_intel_bxt_machines" },
	{ 0x8d566841, "snd_hdac_bus_exit_link_reset" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdbadff93, "platform_device_unregister" },
	{ 0xad11120c, "sst_ipc_fini" },
	{ 0xfda3650a, "snd_hdac_ext_stream_assign" },
	{ 0x2eb2e6aa, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xad4a0ef5, "snd_hdac_ext_stream_init_all" },
	{ 0xada345e7, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0xeb4e0358, "sst_dsp_shim_update_bits_unlocked" },
	{ 0x3a31c457, "sst_dsp_shim_update_bits_forced" },
	{ 0x79c7b001, "platform_device_add" },
	{ 0x9166fada, "strncpy" },
	{ 0xb0c79da9, "platform_device_alloc" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x22f26c90, "sst_ipc_init" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe53d43e4, "snd_soc_acpi_intel_glk_machines" },
	{ 0xf2fcdf9b, "snd_soc_tplg_component_load" },
	{ 0x85458120, "sst_dsp_shim_read" },
	{ 0xb3e33ae, "snd_hdac_ext_stream_setup" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc965c3a3, "snd_hdac_bus_stop_cmd_io" },
	{ 0x2c7a4e5b, "snd_hdac_stream_sync" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe7757740, "pci_restore_state" },
	{ 0xfaef0639, "default_llseek" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x20259aca, "snd_pcm_set_managed_buffer_all" },
	{ 0x3c21bf18, "_dev_warn" },
	{ 0xf5bcd84b, "snd_hdac_display_power" },
	{ 0x16e86983, "sst_shim32_read" },
	{ 0x4a39657c, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x215da1bc, "sst_dsp_mailbox_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x48d2aaf0, "sst_ipc_tx_msg_reply_complete" },
	{ 0x335ccd49, "snd_soc_tplg_component_remove" },
	{ 0xcec6f7e0, "snd_hdac_bus_init_cmd_io" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xdfb2511b, "snd_hdac_stream_format_bits" },
	{ 0x2b8bc34c, "dma_set_coherent_mask" },
	{ 0xcaafef1f, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x54cee4e4, "sst_dsp_shim_update_bits" },
	{ 0xe7dca441, "snd_hdac_acomp_exit" },
	{ 0xd4514300, "debugfs_create_file" },
	{ 0xa9a444ae, "snd_hdac_bus_parse_capabilities" },
	{ 0x3a1d0dde, "platform_device_register_full" },
	{ 0x7abfdc05, "sst_dsp_outbox_write" },
	{ 0x5eaa6af, "pm_runtime_allow" },
	{ 0x4f0c7fa3, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca28ccf4, "sst_dsp_inbox_read" },
	{ 0x8d546a8a, "snd_hdac_stream_set_params" },
	{ 0xa4f93400, "pci_release_regions" },
	{ 0xa9f2e73c, "snd_soc_acpi_intel_cnl_machines" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5d3b8261, "snd_hdac_ext_host_stream_setup" },
	{ 0xde702e95, "snd_hdac_ext_bus_get_ml_capabilities" },
	{ 0xc889d66f, "snd_hdac_bus_handle_stream_irq" },
	{ 0x458d0f8b, "pci_write_config_byte" },
	{ 0xbe33f12c, "snd_hdac_stream_drsm_enable" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc4faa357, "snd_soc_acpi_intel_skl_machines" },
	{ 0x7e03249b, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0xb7ed30b7, "snd_soc_set_runtime_hwparams" },
	{ 0xe9b07c0d, "snd_hdac_get_stream" },
	{ 0x7f3ba77, "pci_disable_device" },
	{ 0xe098dd43, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xb31f60ec, "snd_hdac_stream_sync_trigger" },
	{ 0x394856fc, "snd_hdac_ext_bus_link_put" },
	{ 0xc0bf0053, "snd_hda_codec_device_init" },
	{ 0xcbab69bb, "dma_set_mask" },
	{ 0xdcb61650, "snd_hdac_stream_format" },
	{ 0x272f47f6, "snd_hdac_set_codec_wakeup" },
	{ 0x19decb98, "snd_hdac_stream_reset" },
	{ 0x728e045a, "sst_dsp_shim_write" },
	{ 0xac05eb5a, "snd_pcm_period_elapsed" },
	{ 0xfdf6bdbe, "__pm_runtime_suspend" },
	{ 0xc57bf497, "snd_hdac_bus_alloc_stream_pages" },
	{ 0xfc0f92c1, "snd_soc_tplg_widget_bind_event" },
	{ 0xc48de39, "pci_read_config_byte" },
	{ 0x62e85022, "snd_hdac_dsp_trigger" },
	{ 0x754d539c, "strlen" },
	{ 0xe9c6de99, "sst_shim32_write" },
	{ 0xb5252c00, "param_ops_int" },
	{ 0x3cfc9db9, "intel_nhlt_init" },
	{ 0xeee8c129, "snd_hdac_stop_streams_and_chip" },
	{ 0x2586294, "snd_hdac_dsp_cleanup" },
	{ 0x74bece66, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xa6f24a72, "snd_hdac_ext_stream_reset" },
	{ 0x9b5b4dc3, "snd_hdac_stop_streams" },
	{ 0x45eb6410, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xa66d267b, "snd_hdac_stream_start" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6558423d, "pci_write_config_dword" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2991c13c, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa8a54866, "snd_hdac_stream_set_dpibr" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x14c53b06, "snd_soc_acpi_intel_hda_machines" },
	{ 0x93583281, "platform_device_put" },
	{ 0x69860765, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7700a853, "snd_hdac_ext_bus_link_power_down_all" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xce290ece, "sst_dsp_register_poll" },
	{ 0xc7a85d2d, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb40915f2, "devm_kmalloc" },
	{ 0xfa5bf3b4, "pci_enable_device" },
	{ 0x75032436, "snd_hdac_bus_send_cmd" },
	{ 0x130c6c35, "sysfs_create_file_ns" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x7791bc57, "snd_hdac_stream_set_spib" },
	{ 0xe44b8d94, "snd_hdac_bus_enter_link_reset" },
	{ 0x858dd326, "sst_ipc_tx_message_wait" },
	{ 0xd00701b7, "intel_nhlt_get_dmic_geo" },
	{ 0x71ece01b, "snd_hdac_bus_get_response" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4cbf7e20, "snd_hdac_ext_stream_start" },
	{ 0xe8c07b6a, "snd_soc_acpi_intel_kbl_machines" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5b981ff5, "snd_hdac_ext_stream_free_all" },
	{ 0x52b2eefe, "snd_hdac_bus_update_rirb" },
	{ 0xbf72c3, "sst_dsp_shim_write_unlocked" },
	{ 0x5ff36ade, "snd_hdac_ext_bus_ppcap_enable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2d5560e8, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x224b779d, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xa1fef20d, "snd_pcm_hw_constraint_minmax" },
	{ 0x53d93a20, "snd_hdac_codec_modalias" },
	{ 0x307d96a8, "snd_hdac_bus_stop_chip" },
	{ 0x5826eed3, "pci_request_regions" },
	{ 0x70b417dd, "snd_hdac_ext_bus_link_power_up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb2e916d2, "snd_hdac_ext_bus_init" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x92a1e30b, "snd_intel_dsp_driver_probe" },
	{ 0x116deaa7, "snd_hdac_stream_set_lpib" },
	{ 0xe0634293, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4989fb02, "__dynamic_dev_dbg" },
	{ 0x7faf41eb, "snd_sgbuf_get_chunk_size" },
	{ 0x57d03103, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x60b46ef1, "snd_hdac_ext_bus_device_remove" },
	{ 0x65a92639, "snd_hdac_ext_bus_ppcap_int_enable" },
	{ 0x3ce26dc6, "pci_unregister_driver" },
	{ 0x794cc5d7, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb4e1a6cc, "platform_device_add_data" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf60a730b, "snd_hdac_stream_timecounter_init" },
	{ 0xe69d6852, "snd_hdac_ext_link_free_all" },
	{ 0x226b573e, "sst_ipc_tx_message_nowait" },
	{ 0xb704d4e, "pci_read_config_dword" },
	{ 0x962a5a40, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdfcc483c, "devm_snd_soc_register_component" },
	{ 0x507e36bb, "snd_hdac_bus_free_stream_pages" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x3561037e, "snd_hdac_dsp_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf8b85c54, "snd_hdac_ext_bus_link_power_up_all" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core,snd-hda-core,snd-soc-sst-ipc,snd-intel-dspcfg,snd-soc-sst-dsp,snd-soc-acpi-intel-match,snd-soc-acpi,snd-soc-core,snd-pcm,snd-hda-codec,snd-soc-hdac-hda");

MODULE_ALIAS("pci:v00008086d00009D70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005A98sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D71sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003198sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "001835E63DBF07FC9C0F9DD");
