#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_bus_ml_init, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_free, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_count, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_lsdiid_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_lsdiid, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_map_stream_ch, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_put_all, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_reset_losidv, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_resume, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_suspend, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mutex, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_ssp_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_dmic_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_offload, "", "SND_SOC_SOF_HDA_MLINK");

SYMBOL_CRC(hda_bus_ml_init, 0xab42f7be, "");
SYMBOL_CRC(hda_bus_ml_free, 0xa00304e3, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0xf2c8a3a1, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0xef748898, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0xd069526d, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0xf185db8c, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0x043fcd40, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0xf881769e, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0x37329a39, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0x120e54b7, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0x249a74da, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0x7d9fd3ae, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0x495c924d, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0xd62cee63, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0x2a06a9f2, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0xd24fee2d, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0x4185003c, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0xc73cdffb, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0xe16432f2, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0xd786531e, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0x0912c1cb, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0x3d399dde, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0xd9286382, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0x1616ab4a, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0x72f30998, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0x5bad7ab8, "");
SYMBOL_CRC(hda_bus_ml_resume, 0xa1813a64, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0xf73ef7b0, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0x7e27c9ec, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0x5f16cabf, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0x4220adbf, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0xec2a54cd, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0xebda2aa5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x70b417dd, "snd_hdac_ext_bus_link_power_up" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4989fb02, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfda1283e, "snd_hdac_ext_bus_link_power_down" },
	{ 0x2235dd05, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x394856fc, "snd_hdac_ext_bus_link_put" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "1FE7A5672CF53E030E982B5");
