#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3f29dbba, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xdc98f4a3, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe5a2d328, "snd_card_new" },
	{ 0x4d5ae25f, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd472785e, "snd_card_set_id" },
	{ 0x2235dd05, "_dev_err" },
	{ 0x85bd5bd2, "usb_set_interface" },
	{ 0x8285b822, "snd_pcm_set_ops" },
	{ 0x3e94e5fd, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xae91031, "usb_string" },
	{ 0x20259aca, "snd_pcm_set_managed_buffer_all" },
	{ 0x3c21bf18, "_dev_warn" },
	{ 0x417419b2, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xae45bcd, "input_event" },
	{ 0x3dd82a72, "input_set_abs_params" },
	{ 0xc98b7a30, "snd_rawmidi_new" },
	{ 0x453253d, "snd_card_disconnect" },
	{ 0x2202b96b, "snd_rawmidi_set_ops" },
	{ 0x6a0af085, "param_ops_bool" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x5b2d1404, "usb_kill_urb" },
	{ 0x497a16d4, "usb_init_urb" },
	{ 0xac05eb5a, "snd_pcm_period_elapsed" },
	{ 0xb5252c00, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3f9bd9f, "kmalloc_caches" },
	{ 0xcb9e6f91, "input_allocate_device" },
	{ 0xc96563e9, "usb_alloc_urb" },
	{ 0x5be8c48f, "snd_rawmidi_receive" },
	{ 0xb422809, "usb_free_urb" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0xd88d2d5, "snd_rawmidi_transmit" },
	{ 0x53098004, "snd_ctl_add" },
	{ 0x251338b0, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96220b25, "snd_card_register" },
	{ 0x68826955, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc5039ed2, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x3c876ae3, "param_array_ops" },
	{ 0x7a42f151, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4989fb02, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2385041b, "input_free_device" },
	{ 0xbe1a3c44, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc2a7d211, "usb_bulk_msg" },
	{ 0xafbe39ce, "input_register_device" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd,snd-pcm,snd-rawmidi");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D5AA2B49B509894EBFF12B1");
